#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1250
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 134
#define ALIAS_COUNT 0
#define TOKEN_COUNT 74
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 20
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 40

enum ts_symbol_identifiers {
  anon_sym_COLON = 1,
  anon_sym_SLASHdts_DASHv1_SLASH = 2,
  anon_sym_SEMI = 3,
  anon_sym_SLASHplugin_SLASH = 4,
  anon_sym_SLASHmemreserve_SLASH = 5,
  sym_comment = 6,
  sym__label_name = 7,
  sym__node_path = 8,
  sym__node_or_property = 9,
  sym__property_with_hash = 10,
  sym__property_starts_with_number = 11,
  sym_unit_address = 12,
  anon_sym_AMP = 13,
  anon_sym_AMP_LBRACE = 14,
  anon_sym_AT = 15,
  anon_sym_RBRACE = 16,
  anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_SLASHbits_SLASH = 19,
  anon_sym_EQ = 20,
  anon_sym_COMMA = 21,
  anon_sym_SLASHdelete_DASHnode_SLASH = 22,
  anon_sym_SLASHdelete_DASHproperty_SLASH = 23,
  anon_sym_SLASHincbin_SLASH = 24,
  anon_sym_LPAREN = 25,
  anon_sym_RPAREN = 26,
  anon_sym_LT = 27,
  anon_sym_GT = 28,
  anon_sym_DQUOTE = 29,
  aux_sym_string_literal_token1 = 30,
  sym_escape_sequence = 31,
  sym_system_lib_string = 32,
  anon_sym_LBRACK = 33,
  anon_sym_RBRACK = 34,
  sym__byte_string_item = 35,
  sym_integer_literal = 36,
  sym_identifier = 37,
  anon_sym_QMARK = 38,
  anon_sym_BANG = 39,
  anon_sym_TILDE = 40,
  anon_sym_DASH = 41,
  anon_sym_PLUS = 42,
  anon_sym_STAR = 43,
  anon_sym_SLASH = 44,
  anon_sym_PERCENT = 45,
  anon_sym_PIPE_PIPE = 46,
  anon_sym_AMP_AMP = 47,
  anon_sym_PIPE = 48,
  anon_sym_CARET = 49,
  anon_sym_EQ_EQ = 50,
  anon_sym_BANG_EQ = 51,
  anon_sym_GT_EQ = 52,
  anon_sym_LT_EQ = 53,
  anon_sym_LT_LT = 54,
  anon_sym_GT_GT = 55,
  anon_sym_SLASHinclude_SLASH = 56,
  aux_sym_preproc_include_token1 = 57,
  aux_sym_preproc_include_token2 = 58,
  aux_sym_preproc_def_token1 = 59,
  anon_sym_LPAREN2 = 60,
  anon_sym_DOT_DOT_DOT = 61,
  aux_sym_preproc_undef_token1 = 62,
  sym_preproc_arg = 63,
  aux_sym_preproc_if_token1 = 64,
  anon_sym_LF = 65,
  aux_sym_preproc_if_token2 = 66,
  aux_sym_preproc_ifdef_token1 = 67,
  aux_sym_preproc_ifdef_token2 = 68,
  aux_sym_preproc_else_token1 = 69,
  aux_sym_preproc_elif_token1 = 70,
  aux_sym_preproc_elifdef_token1 = 71,
  aux_sym_preproc_elifdef_token2 = 72,
  anon_sym_defined = 73,
  sym_document = 74,
  sym__top_level_item = 75,
  sym__label = 76,
  sym_file_version = 77,
  sym_plugin = 78,
  sym_memory_reservation = 79,
  sym_reference = 80,
  sym__label_reference = 81,
  sym__node_reference = 82,
  sym_omit_if_no_ref = 83,
  sym_node = 84,
  sym__bits = 85,
  sym_property = 86,
  sym__node_members = 87,
  sym_delete_node = 88,
  sym_delete_property = 89,
  sym_incbin = 90,
  sym__property_value = 91,
  sym_integer_cells = 92,
  sym__integer_cell_items = 93,
  sym_string_literal = 94,
  sym_byte_string_literal = 95,
  sym__expression = 96,
  sym_call_expression = 97,
  sym_argument_list = 98,
  sym_conditional_expression = 99,
  sym_unary_expression = 100,
  sym_binary_expression = 101,
  sym_dtsi_include = 102,
  sym_preproc_include = 103,
  sym_preproc_def = 104,
  sym_preproc_function_def = 105,
  sym_preproc_params = 106,
  sym_preproc_undef = 107,
  sym_preproc_if = 108,
  sym_preproc_ifdef = 109,
  sym_preproc_else = 110,
  sym_preproc_elif = 111,
  sym_preproc_elifdef = 112,
  sym_preproc_if_in_node = 113,
  sym_preproc_ifdef_in_node = 114,
  sym_preproc_else_in_node = 115,
  sym_preproc_elif_in_node = 116,
  sym__preproc_expression = 117,
  sym_preproc_parenthesized_expression = 118,
  sym_preproc_defined = 119,
  sym_preproc_unary_expression = 120,
  sym_preproc_call_expression = 121,
  sym_preproc_argument_list = 122,
  sym_preproc_binary_expression = 123,
  aux_sym_document_repeat1 = 124,
  aux_sym_memory_reservation_repeat1 = 125,
  aux_sym_node_repeat1 = 126,
  aux_sym_property_repeat1 = 127,
  aux_sym_integer_cells_repeat1 = 128,
  aux_sym_string_literal_repeat1 = 129,
  aux_sym_byte_string_literal_repeat1 = 130,
  aux_sym_argument_list_repeat1 = 131,
  aux_sym_preproc_params_repeat1 = 132,
  aux_sym_preproc_argument_list_repeat1 = 133,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_COLON] = ":",
  [anon_sym_SLASHdts_DASHv1_SLASH] = "/dts-v1/",
  [anon_sym_SEMI] = ";",
  [anon_sym_SLASHplugin_SLASH] = "/plugin/",
  [anon_sym_SLASHmemreserve_SLASH] = "/memreserve/",
  [sym_comment] = "comment",
  [sym__label_name] = "identifier",
  [sym__node_path] = "identifier",
  [sym__node_or_property] = "identifier",
  [sym__property_with_hash] = "identifier",
  [sym__property_starts_with_number] = "identifier",
  [sym_unit_address] = "unit_address",
  [anon_sym_AMP] = "&",
  [anon_sym_AMP_LBRACE] = "&{",
  [anon_sym_AT] = "@",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH] = "/omit-if-no-ref/",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SLASHbits_SLASH] = "/bits/",
  [anon_sym_EQ] = "=",
  [anon_sym_COMMA] = ",",
  [anon_sym_SLASHdelete_DASHnode_SLASH] = "/delete-node/",
  [anon_sym_SLASHdelete_DASHproperty_SLASH] = "/delete-property/",
  [anon_sym_SLASHincbin_SLASH] = "/incbin/",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_literal_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__byte_string_item] = "_byte_string_item",
  [sym_integer_literal] = "integer_literal",
  [sym_identifier] = "identifier",
  [anon_sym_QMARK] = "\?",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SLASHinclude_SLASH] = "/include/",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [aux_sym_preproc_undef_token1] = "#undef",
  [sym_preproc_arg] = "preproc_arg",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [anon_sym_defined] = "defined",
  [sym_document] = "document",
  [sym__top_level_item] = "_top_level_item",
  [sym__label] = "_label",
  [sym_file_version] = "file_version",
  [sym_plugin] = "plugin",
  [sym_memory_reservation] = "memory_reservation",
  [sym_reference] = "reference",
  [sym__label_reference] = "_label_reference",
  [sym__node_reference] = "_node_reference",
  [sym_omit_if_no_ref] = "omit_if_no_ref",
  [sym_node] = "node",
  [sym__bits] = "_bits",
  [sym_property] = "property",
  [sym__node_members] = "_node_members",
  [sym_delete_node] = "delete_node",
  [sym_delete_property] = "delete_property",
  [sym_incbin] = "incbin",
  [sym__property_value] = "_property_value",
  [sym_integer_cells] = "integer_cells",
  [sym__integer_cell_items] = "_integer_cell_items",
  [sym_string_literal] = "string_literal",
  [sym_byte_string_literal] = "byte_string_literal",
  [sym__expression] = "_expression",
  [sym_call_expression] = "call_expression",
  [sym_argument_list] = "argument_list",
  [sym_conditional_expression] = "conditional_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_dtsi_include] = "dtsi_include",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_undef] = "preproc_undef",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_node] = "preproc_if",
  [sym_preproc_ifdef_in_node] = "preproc_ifdef",
  [sym_preproc_else_in_node] = "preproc_else",
  [sym_preproc_elif_in_node] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_memory_reservation_repeat1] = "memory_reservation_repeat1",
  [aux_sym_node_repeat1] = "node_repeat1",
  [aux_sym_property_repeat1] = "property_repeat1",
  [aux_sym_integer_cells_repeat1] = "integer_cells_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_byte_string_literal_repeat1] = "byte_string_literal_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SLASHdts_DASHv1_SLASH] = anon_sym_SLASHdts_DASHv1_SLASH,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_SLASHplugin_SLASH] = anon_sym_SLASHplugin_SLASH,
  [anon_sym_SLASHmemreserve_SLASH] = anon_sym_SLASHmemreserve_SLASH,
  [sym_comment] = sym_comment,
  [sym__label_name] = sym_identifier,
  [sym__node_path] = sym_identifier,
  [sym__node_or_property] = sym_identifier,
  [sym__property_with_hash] = sym_identifier,
  [sym__property_starts_with_number] = sym_identifier,
  [sym_unit_address] = sym_unit_address,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_AMP_LBRACE] = anon_sym_AMP_LBRACE,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH] = anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SLASHbits_SLASH] = anon_sym_SLASHbits_SLASH,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_SLASHdelete_DASHnode_SLASH] = anon_sym_SLASHdelete_DASHnode_SLASH,
  [anon_sym_SLASHdelete_DASHproperty_SLASH] = anon_sym_SLASHdelete_DASHproperty_SLASH,
  [anon_sym_SLASHincbin_SLASH] = anon_sym_SLASHincbin_SLASH,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__byte_string_item] = sym__byte_string_item,
  [sym_integer_literal] = sym_integer_literal,
  [sym_identifier] = sym_identifier,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SLASHinclude_SLASH] = anon_sym_SLASHinclude_SLASH,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [aux_sym_preproc_undef_token1] = aux_sym_preproc_undef_token1,
  [sym_preproc_arg] = sym_preproc_arg,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [anon_sym_defined] = anon_sym_defined,
  [sym_document] = sym_document,
  [sym__top_level_item] = sym__top_level_item,
  [sym__label] = sym__label,
  [sym_file_version] = sym_file_version,
  [sym_plugin] = sym_plugin,
  [sym_memory_reservation] = sym_memory_reservation,
  [sym_reference] = sym_reference,
  [sym__label_reference] = sym__label_reference,
  [sym__node_reference] = sym__node_reference,
  [sym_omit_if_no_ref] = sym_omit_if_no_ref,
  [sym_node] = sym_node,
  [sym__bits] = sym__bits,
  [sym_property] = sym_property,
  [sym__node_members] = sym__node_members,
  [sym_delete_node] = sym_delete_node,
  [sym_delete_property] = sym_delete_property,
  [sym_incbin] = sym_incbin,
  [sym__property_value] = sym__property_value,
  [sym_integer_cells] = sym_integer_cells,
  [sym__integer_cell_items] = sym__integer_cell_items,
  [sym_string_literal] = sym_string_literal,
  [sym_byte_string_literal] = sym_byte_string_literal,
  [sym__expression] = sym__expression,
  [sym_call_expression] = sym_call_expression,
  [sym_argument_list] = sym_argument_list,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_dtsi_include] = sym_dtsi_include,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_undef] = sym_preproc_undef,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_node] = sym_preproc_if,
  [sym_preproc_ifdef_in_node] = sym_preproc_ifdef,
  [sym_preproc_else_in_node] = sym_preproc_else,
  [sym_preproc_elif_in_node] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_preproc_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_memory_reservation_repeat1] = aux_sym_memory_reservation_repeat1,
  [aux_sym_node_repeat1] = aux_sym_node_repeat1,
  [aux_sym_property_repeat1] = aux_sym_property_repeat1,
  [aux_sym_integer_cells_repeat1] = aux_sym_integer_cells_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_byte_string_literal_repeat1] = aux_sym_byte_string_literal_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHdts_DASHv1_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHplugin_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHmemreserve_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__label_name] = {
    .visible = true,
    .named = true,
  },
  [sym__node_path] = {
    .visible = true,
    .named = true,
  },
  [sym__node_or_property] = {
    .visible = true,
    .named = true,
  },
  [sym__property_with_hash] = {
    .visible = true,
    .named = true,
  },
  [sym__property_starts_with_number] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_address] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHbits_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHdelete_DASHnode_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHdelete_DASHproperty_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHincbin_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__byte_string_item] = {
    .visible = false,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASHinclude_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_undef_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_item] = {
    .visible = false,
    .named = true,
  },
  [sym__label] = {
    .visible = false,
    .named = true,
  },
  [sym_file_version] = {
    .visible = true,
    .named = true,
  },
  [sym_plugin] = {
    .visible = true,
    .named = true,
  },
  [sym_memory_reservation] = {
    .visible = true,
    .named = true,
  },
  [sym_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__label_reference] = {
    .visible = false,
    .named = true,
  },
  [sym__node_reference] = {
    .visible = false,
    .named = true,
  },
  [sym_omit_if_no_ref] = {
    .visible = true,
    .named = true,
  },
  [sym_node] = {
    .visible = true,
    .named = true,
  },
  [sym__bits] = {
    .visible = false,
    .named = true,
  },
  [sym_property] = {
    .visible = true,
    .named = true,
  },
  [sym__node_members] = {
    .visible = false,
    .named = true,
  },
  [sym_delete_node] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_property] = {
    .visible = true,
    .named = true,
  },
  [sym_incbin] = {
    .visible = true,
    .named = true,
  },
  [sym__property_value] = {
    .visible = false,
    .named = true,
  },
  [sym_integer_cells] = {
    .visible = true,
    .named = true,
  },
  [sym__integer_cell_items] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_byte_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dtsi_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_undef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_node] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_node] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_node] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_node] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_memory_reservation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_node_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_cells_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_byte_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_address = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_bits = 5,
  field_condition = 6,
  field_consequence = 7,
  field_filename = 8,
  field_function = 9,
  field_label = 10,
  field_left = 11,
  field_length = 12,
  field_name = 13,
  field_offset = 14,
  field_operator = 15,
  field_parameters = 16,
  field_path = 17,
  field_right = 18,
  field_size = 19,
  field_value = 20,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_address] = "address",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_bits] = "bits",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_filename] = "filename",
  [field_function] = "function",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_name] = "name",
  [field_offset] = "offset",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_right] = "right",
  [field_size] = "size",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 2},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 2},
  [9] = {.index = 11, .length = 2},
  [10] = {.index = 13, .length = 2},
  [11] = {.index = 15, .length = 1},
  [12] = {.index = 16, .length = 2},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 3},
  [15] = {.index = 23, .length = 1},
  [16] = {.index = 24, .length = 2},
  [17] = {.index = 26, .length = 2},
  [18] = {.index = 28, .length = 3},
  [19] = {.index = 31, .length = 3},
  [20] = {.index = 34, .length = 3},
  [21] = {.index = 37, .length = 2},
  [22] = {.index = 39, .length = 2},
  [23] = {.index = 41, .length = 3},
  [24] = {.index = 44, .length = 3},
  [25] = {.index = 47, .length = 2},
  [26] = {.index = 49, .length = 2},
  [27] = {.index = 51, .length = 2},
  [28] = {.index = 53, .length = 3},
  [29] = {.index = 56, .length = 3},
  [30] = {.index = 59, .length = 3},
  [31] = {.index = 62, .length = 3},
  [32] = {.index = 65, .length = 4},
  [33] = {.index = 69, .length = 1},
  [34] = {.index = 70, .length = 4},
  [35] = {.index = 74, .length = 4},
  [36] = {.index = 78, .length = 4},
  [37] = {.index = 82, .length = 5},
  [38] = {.index = 87, .length = 3},
  [39] = {.index = 90, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_label, 0, .inherited = true},
  [1] =
    {field_address, 0, .inherited = true},
    {field_path, 0, .inherited = true},
  [3] =
    {field_label, 0},
  [4] =
    {field_label, 1},
  [5] =
    {field_path, 1},
  [6] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [8] =
    {field_name, 1},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_argument, 1},
    {field_operator, 0},
  [13] =
    {field_address, 1},
    {field_length, 2},
  [15] =
    {field_name, 0},
  [16] =
    {field_name, 1},
    {field_value, 2},
  [18] =
    {field_name, 1},
    {field_parameters, 2},
  [20] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [23] =
    {field_condition, 1},
  [24] =
    {field_alternative, 2},
    {field_name, 1},
  [26] =
    {field_label, 0, .inherited = true},
    {field_name, 1},
  [28] =
    {field_address, 2},
    {field_address, 3},
    {field_path, 1},
  [31] =
    {field_address, 2},
    {field_address, 3},
    {field_name, 1},
  [34] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [37] =
    {field_alternative, 3},
    {field_condition, 1},
  [39] =
    {field_alternative, 3},
    {field_name, 1},
  [41] =
    {field_address, 2},
    {field_label, 0, .inherited = true},
    {field_length, 3},
  [44] =
    {field_address, 1},
    {field_address, 2},
    {field_name, 0},
  [47] =
    {field_bits, 2},
    {field_name, 0},
  [49] =
    {field_name, 0},
    {field_value, 2},
  [51] =
    {field_alternative, 4},
    {field_condition, 1},
  [53] =
    {field_bits, 2},
    {field_name, 0},
    {field_value, 3},
  [56] =
    {field_name, 0},
    {field_value, 2},
    {field_value, 3},
  [59] =
    {field_bits, 3},
    {field_label, 0, .inherited = true},
    {field_name, 1},
  [62] =
    {field_label, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3},
  [65] =
    {field_address, 2},
    {field_address, 3},
    {field_label, 0, .inherited = true},
    {field_name, 1},
  [69] =
    {field_filename, 2},
  [70] =
    {field_bits, 2},
    {field_name, 0},
    {field_value, 3},
    {field_value, 4},
  [74] =
    {field_bits, 3},
    {field_label, 0, .inherited = true},
    {field_name, 1},
    {field_value, 4},
  [78] =
    {field_label, 0, .inherited = true},
    {field_name, 1},
    {field_value, 3},
    {field_value, 4},
  [82] =
    {field_bits, 3},
    {field_label, 0, .inherited = true},
    {field_name, 1},
    {field_value, 4},
    {field_value, 5},
  [87] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [90] =
    {field_filename, 2},
    {field_offset, 4},
    {field_size, 6},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 8,
  [16] = 7,
  [17] = 8,
  [18] = 9,
  [19] = 11,
  [20] = 11,
  [21] = 8,
  [22] = 11,
  [23] = 6,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 24,
  [29] = 29,
  [30] = 27,
  [31] = 24,
  [32] = 27,
  [33] = 24,
  [34] = 27,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 29,
  [39] = 39,
  [40] = 39,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 29,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 29,
  [59] = 59,
  [60] = 57,
  [61] = 59,
  [62] = 51,
  [63] = 52,
  [64] = 53,
  [65] = 55,
  [66] = 56,
  [67] = 67,
  [68] = 68,
  [69] = 39,
  [70] = 41,
  [71] = 42,
  [72] = 44,
  [73] = 45,
  [74] = 46,
  [75] = 48,
  [76] = 49,
  [77] = 50,
  [78] = 57,
  [79] = 59,
  [80] = 51,
  [81] = 52,
  [82] = 53,
  [83] = 55,
  [84] = 56,
  [85] = 67,
  [86] = 68,
  [87] = 39,
  [88] = 41,
  [89] = 42,
  [90] = 44,
  [91] = 45,
  [92] = 68,
  [93] = 48,
  [94] = 49,
  [95] = 50,
  [96] = 57,
  [97] = 59,
  [98] = 51,
  [99] = 52,
  [100] = 53,
  [101] = 55,
  [102] = 56,
  [103] = 67,
  [104] = 68,
  [105] = 39,
  [106] = 41,
  [107] = 42,
  [108] = 44,
  [109] = 45,
  [110] = 46,
  [111] = 48,
  [112] = 49,
  [113] = 50,
  [114] = 57,
  [115] = 59,
  [116] = 51,
  [117] = 52,
  [118] = 53,
  [119] = 55,
  [120] = 56,
  [121] = 67,
  [122] = 68,
  [123] = 67,
  [124] = 41,
  [125] = 42,
  [126] = 44,
  [127] = 45,
  [128] = 46,
  [129] = 48,
  [130] = 49,
  [131] = 50,
  [132] = 57,
  [133] = 59,
  [134] = 51,
  [135] = 52,
  [136] = 53,
  [137] = 55,
  [138] = 56,
  [139] = 67,
  [140] = 68,
  [141] = 39,
  [142] = 41,
  [143] = 42,
  [144] = 44,
  [145] = 45,
  [146] = 46,
  [147] = 48,
  [148] = 49,
  [149] = 50,
  [150] = 46,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 193,
  [216] = 194,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 223,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 166,
  [244] = 172,
  [245] = 173,
  [246] = 195,
  [247] = 181,
  [248] = 185,
  [249] = 165,
  [250] = 250,
  [251] = 212,
  [252] = 168,
  [253] = 169,
  [254] = 198,
  [255] = 160,
  [256] = 256,
  [257] = 196,
  [258] = 159,
  [259] = 161,
  [260] = 162,
  [261] = 164,
  [262] = 178,
  [263] = 180,
  [264] = 182,
  [265] = 183,
  [266] = 266,
  [267] = 184,
  [268] = 188,
  [269] = 189,
  [270] = 190,
  [271] = 271,
  [272] = 192,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 167,
  [290] = 290,
  [291] = 291,
  [292] = 169,
  [293] = 198,
  [294] = 160,
  [295] = 167,
  [296] = 196,
  [297] = 159,
  [298] = 161,
  [299] = 162,
  [300] = 164,
  [301] = 178,
  [302] = 180,
  [303] = 182,
  [304] = 191,
  [305] = 197,
  [306] = 176,
  [307] = 183,
  [308] = 184,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 187,
  [313] = 163,
  [314] = 188,
  [315] = 189,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 168,
  [326] = 171,
  [327] = 327,
  [328] = 170,
  [329] = 174,
  [330] = 175,
  [331] = 190,
  [332] = 332,
  [333] = 192,
  [334] = 193,
  [335] = 155,
  [336] = 194,
  [337] = 166,
  [338] = 338,
  [339] = 339,
  [340] = 177,
  [341] = 179,
  [342] = 186,
  [343] = 158,
  [344] = 344,
  [345] = 172,
  [346] = 173,
  [347] = 195,
  [348] = 181,
  [349] = 156,
  [350] = 185,
  [351] = 165,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 241,
  [356] = 234,
  [357] = 235,
  [358] = 236,
  [359] = 237,
  [360] = 238,
  [361] = 239,
  [362] = 240,
  [363] = 242,
  [364] = 166,
  [365] = 172,
  [366] = 173,
  [367] = 195,
  [368] = 181,
  [369] = 185,
  [370] = 165,
  [371] = 168,
  [372] = 169,
  [373] = 198,
  [374] = 160,
  [375] = 167,
  [376] = 196,
  [377] = 159,
  [378] = 161,
  [379] = 162,
  [380] = 164,
  [381] = 178,
  [382] = 180,
  [383] = 182,
  [384] = 183,
  [385] = 184,
  [386] = 188,
  [387] = 189,
  [388] = 190,
  [389] = 192,
  [390] = 193,
  [391] = 194,
  [392] = 321,
  [393] = 322,
  [394] = 323,
  [395] = 338,
  [396] = 339,
  [397] = 324,
  [398] = 290,
  [399] = 399,
  [400] = 354,
  [401] = 327,
  [402] = 402,
  [403] = 311,
  [404] = 404,
  [405] = 405,
  [406] = 402,
  [407] = 399,
  [408] = 404,
  [409] = 309,
  [410] = 310,
  [411] = 316,
  [412] = 317,
  [413] = 404,
  [414] = 414,
  [415] = 271,
  [416] = 273,
  [417] = 274,
  [418] = 404,
  [419] = 275,
  [420] = 276,
  [421] = 277,
  [422] = 278,
  [423] = 279,
  [424] = 353,
  [425] = 280,
  [426] = 281,
  [427] = 282,
  [428] = 283,
  [429] = 284,
  [430] = 285,
  [431] = 286,
  [432] = 287,
  [433] = 288,
  [434] = 318,
  [435] = 319,
  [436] = 320,
  [437] = 256,
  [438] = 250,
  [439] = 217,
  [440] = 218,
  [441] = 219,
  [442] = 220,
  [443] = 221,
  [444] = 222,
  [445] = 224,
  [446] = 225,
  [447] = 226,
  [448] = 214,
  [449] = 228,
  [450] = 229,
  [451] = 230,
  [452] = 231,
  [453] = 232,
  [454] = 233,
  [455] = 256,
  [456] = 162,
  [457] = 164,
  [458] = 178,
  [459] = 180,
  [460] = 182,
  [461] = 183,
  [462] = 184,
  [463] = 188,
  [464] = 189,
  [465] = 190,
  [466] = 192,
  [467] = 193,
  [468] = 194,
  [469] = 250,
  [470] = 217,
  [471] = 218,
  [472] = 472,
  [473] = 219,
  [474] = 220,
  [475] = 221,
  [476] = 222,
  [477] = 224,
  [478] = 225,
  [479] = 198,
  [480] = 160,
  [481] = 167,
  [482] = 226,
  [483] = 214,
  [484] = 228,
  [485] = 273,
  [486] = 274,
  [487] = 280,
  [488] = 196,
  [489] = 159,
  [490] = 161,
  [491] = 162,
  [492] = 164,
  [493] = 281,
  [494] = 282,
  [495] = 283,
  [496] = 284,
  [497] = 229,
  [498] = 285,
  [499] = 230,
  [500] = 286,
  [501] = 501,
  [502] = 231,
  [503] = 232,
  [504] = 233,
  [505] = 234,
  [506] = 178,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 472,
  [511] = 180,
  [512] = 501,
  [513] = 182,
  [514] = 183,
  [515] = 184,
  [516] = 507,
  [517] = 508,
  [518] = 509,
  [519] = 472,
  [520] = 235,
  [521] = 501,
  [522] = 236,
  [523] = 237,
  [524] = 238,
  [525] = 507,
  [526] = 508,
  [527] = 509,
  [528] = 472,
  [529] = 287,
  [530] = 501,
  [531] = 288,
  [532] = 275,
  [533] = 276,
  [534] = 277,
  [535] = 278,
  [536] = 279,
  [537] = 159,
  [538] = 161,
  [539] = 188,
  [540] = 189,
  [541] = 190,
  [542] = 217,
  [543] = 218,
  [544] = 280,
  [545] = 281,
  [546] = 282,
  [547] = 219,
  [548] = 271,
  [549] = 239,
  [550] = 240,
  [551] = 241,
  [552] = 192,
  [553] = 193,
  [554] = 194,
  [555] = 242,
  [556] = 220,
  [557] = 221,
  [558] = 283,
  [559] = 284,
  [560] = 285,
  [561] = 166,
  [562] = 286,
  [563] = 287,
  [564] = 172,
  [565] = 222,
  [566] = 173,
  [567] = 195,
  [568] = 181,
  [569] = 185,
  [570] = 224,
  [571] = 225,
  [572] = 226,
  [573] = 214,
  [574] = 228,
  [575] = 278,
  [576] = 271,
  [577] = 279,
  [578] = 288,
  [579] = 273,
  [580] = 229,
  [581] = 165,
  [582] = 274,
  [583] = 168,
  [584] = 230,
  [585] = 231,
  [586] = 232,
  [587] = 233,
  [588] = 234,
  [589] = 235,
  [590] = 236,
  [591] = 237,
  [592] = 238,
  [593] = 169,
  [594] = 256,
  [595] = 275,
  [596] = 509,
  [597] = 508,
  [598] = 239,
  [599] = 240,
  [600] = 241,
  [601] = 242,
  [602] = 166,
  [603] = 172,
  [604] = 173,
  [605] = 195,
  [606] = 181,
  [607] = 185,
  [608] = 165,
  [609] = 168,
  [610] = 169,
  [611] = 276,
  [612] = 507,
  [613] = 277,
  [614] = 198,
  [615] = 160,
  [616] = 167,
  [617] = 196,
  [618] = 250,
  [619] = 619,
  [620] = 620,
  [621] = 619,
  [622] = 622,
  [623] = 623,
  [624] = 622,
  [625] = 625,
  [626] = 620,
  [627] = 623,
  [628] = 622,
  [629] = 619,
  [630] = 620,
  [631] = 625,
  [632] = 623,
  [633] = 622,
  [634] = 623,
  [635] = 635,
  [636] = 625,
  [637] = 635,
  [638] = 625,
  [639] = 619,
  [640] = 620,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 646,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 647,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 655,
  [660] = 660,
  [661] = 658,
  [662] = 662,
  [663] = 648,
  [664] = 641,
  [665] = 650,
  [666] = 656,
  [667] = 642,
  [668] = 643,
  [669] = 662,
  [670] = 652,
  [671] = 651,
  [672] = 651,
  [673] = 651,
  [674] = 660,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 680,
  [691] = 680,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 680,
  [699] = 699,
  [700] = 700,
  [701] = 699,
  [702] = 699,
  [703] = 699,
  [704] = 699,
  [705] = 699,
  [706] = 700,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 709,
  [715] = 715,
  [716] = 709,
  [717] = 709,
  [718] = 709,
  [719] = 709,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 722,
  [724] = 722,
  [725] = 722,
  [726] = 722,
  [727] = 727,
  [728] = 722,
  [729] = 720,
  [730] = 730,
  [731] = 731,
  [732] = 720,
  [733] = 733,
  [734] = 731,
  [735] = 730,
  [736] = 736,
  [737] = 736,
  [738] = 738,
  [739] = 730,
  [740] = 738,
  [741] = 731,
  [742] = 736,
  [743] = 738,
  [744] = 738,
  [745] = 736,
  [746] = 746,
  [747] = 746,
  [748] = 748,
  [749] = 749,
  [750] = 748,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 748,
  [755] = 746,
  [756] = 756,
  [757] = 748,
  [758] = 752,
  [759] = 749,
  [760] = 749,
  [761] = 761,
  [762] = 751,
  [763] = 752,
  [764] = 756,
  [765] = 752,
  [766] = 746,
  [767] = 748,
  [768] = 751,
  [769] = 752,
  [770] = 751,
  [771] = 748,
  [772] = 752,
  [773] = 756,
  [774] = 761,
  [775] = 749,
  [776] = 761,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 780,
  [787] = 787,
  [788] = 781,
  [789] = 789,
  [790] = 790,
  [791] = 791,
  [792] = 789,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 793,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 778,
  [802] = 779,
  [803] = 780,
  [804] = 781,
  [805] = 782,
  [806] = 783,
  [807] = 784,
  [808] = 785,
  [809] = 809,
  [810] = 810,
  [811] = 794,
  [812] = 795,
  [813] = 813,
  [814] = 814,
  [815] = 787,
  [816] = 796,
  [817] = 817,
  [818] = 790,
  [819] = 819,
  [820] = 820,
  [821] = 790,
  [822] = 791,
  [823] = 823,
  [824] = 819,
  [825] = 825,
  [826] = 782,
  [827] = 789,
  [828] = 793,
  [829] = 794,
  [830] = 783,
  [831] = 784,
  [832] = 785,
  [833] = 795,
  [834] = 823,
  [835] = 819,
  [836] = 796,
  [837] = 777,
  [838] = 798,
  [839] = 799,
  [840] = 800,
  [841] = 841,
  [842] = 787,
  [843] = 778,
  [844] = 779,
  [845] = 780,
  [846] = 846,
  [847] = 781,
  [848] = 848,
  [849] = 782,
  [850] = 783,
  [851] = 823,
  [852] = 819,
  [853] = 784,
  [854] = 785,
  [855] = 855,
  [856] = 791,
  [857] = 857,
  [858] = 823,
  [859] = 823,
  [860] = 819,
  [861] = 819,
  [862] = 862,
  [863] = 820,
  [864] = 777,
  [865] = 787,
  [866] = 823,
  [867] = 798,
  [868] = 799,
  [869] = 790,
  [870] = 791,
  [871] = 800,
  [872] = 789,
  [873] = 823,
  [874] = 819,
  [875] = 819,
  [876] = 778,
  [877] = 793,
  [878] = 823,
  [879] = 794,
  [880] = 779,
  [881] = 795,
  [882] = 796,
  [883] = 777,
  [884] = 798,
  [885] = 799,
  [886] = 800,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 888,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 892,
  [900] = 900,
  [901] = 888,
  [902] = 902,
  [903] = 893,
  [904] = 892,
  [905] = 905,
  [906] = 888,
  [907] = 907,
  [908] = 898,
  [909] = 909,
  [910] = 896,
  [911] = 911,
  [912] = 892,
  [913] = 911,
  [914] = 893,
  [915] = 915,
  [916] = 888,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 898,
  [923] = 898,
  [924] = 911,
  [925] = 925,
  [926] = 896,
  [927] = 927,
  [928] = 911,
  [929] = 892,
  [930] = 893,
  [931] = 917,
  [932] = 919,
  [933] = 905,
  [934] = 927,
  [935] = 935,
  [936] = 917,
  [937] = 919,
  [938] = 915,
  [939] = 927,
  [940] = 893,
  [941] = 917,
  [942] = 919,
  [943] = 892,
  [944] = 927,
  [945] = 927,
  [946] = 917,
  [947] = 919,
  [948] = 927,
  [949] = 888,
  [950] = 917,
  [951] = 919,
  [952] = 893,
  [953] = 896,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 956,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 960,
  [973] = 965,
  [974] = 974,
  [975] = 967,
  [976] = 971,
  [977] = 955,
  [978] = 955,
  [979] = 979,
  [980] = 980,
  [981] = 966,
  [982] = 982,
  [983] = 954,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 957,
  [990] = 974,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 962,
  [996] = 963,
  [997] = 964,
  [998] = 998,
  [999] = 992,
  [1000] = 969,
  [1001] = 960,
  [1002] = 965,
  [1003] = 1003,
  [1004] = 967,
  [1005] = 971,
  [1006] = 955,
  [1007] = 979,
  [1008] = 979,
  [1009] = 980,
  [1010] = 966,
  [1011] = 982,
  [1012] = 1012,
  [1013] = 984,
  [1014] = 985,
  [1015] = 986,
  [1016] = 987,
  [1017] = 988,
  [1018] = 957,
  [1019] = 974,
  [1020] = 991,
  [1021] = 992,
  [1022] = 993,
  [1023] = 994,
  [1024] = 962,
  [1025] = 963,
  [1026] = 964,
  [1027] = 979,
  [1028] = 980,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 971,
  [1034] = 966,
  [1035] = 979,
  [1036] = 980,
  [1037] = 1037,
  [1038] = 966,
  [1039] = 982,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 954,
  [1044] = 984,
  [1045] = 985,
  [1046] = 986,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1012,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 993,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1037,
  [1056] = 1053,
  [1057] = 1057,
  [1058] = 1054,
  [1059] = 1059,
  [1060] = 982,
  [1061] = 987,
  [1062] = 988,
  [1063] = 957,
  [1064] = 1029,
  [1065] = 1030,
  [1066] = 974,
  [1067] = 991,
  [1068] = 1037,
  [1069] = 954,
  [1070] = 982,
  [1071] = 1040,
  [1072] = 984,
  [1073] = 968,
  [1074] = 1074,
  [1075] = 954,
  [1076] = 985,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 984,
  [1081] = 1081,
  [1082] = 985,
  [1083] = 986,
  [1084] = 1084,
  [1085] = 986,
  [1086] = 1029,
  [1087] = 1030,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 980,
  [1091] = 994,
  [1092] = 1050,
  [1093] = 1029,
  [1094] = 1030,
  [1095] = 1095,
  [1096] = 967,
  [1097] = 1037,
  [1098] = 1042,
  [1099] = 992,
  [1100] = 1040,
  [1101] = 993,
  [1102] = 1040,
  [1103] = 994,
  [1104] = 991,
  [1105] = 1105,
  [1106] = 1031,
  [1107] = 1012,
  [1108] = 1108,
  [1109] = 1077,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1050,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 987,
  [1116] = 988,
  [1117] = 957,
  [1118] = 974,
  [1119] = 962,
  [1120] = 963,
  [1121] = 964,
  [1122] = 1029,
  [1123] = 1030,
  [1124] = 991,
  [1125] = 1125,
  [1126] = 1040,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1111,
  [1130] = 968,
  [1131] = 156,
  [1132] = 1077,
  [1133] = 1133,
  [1134] = 1125,
  [1135] = 1041,
  [1136] = 960,
  [1137] = 965,
  [1138] = 1032,
  [1139] = 967,
  [1140] = 1048,
  [1141] = 960,
  [1142] = 1105,
  [1143] = 971,
  [1144] = 955,
  [1145] = 987,
  [1146] = 1146,
  [1147] = 1029,
  [1148] = 1030,
  [1149] = 155,
  [1150] = 969,
  [1151] = 1040,
  [1152] = 960,
  [1153] = 1153,
  [1154] = 992,
  [1155] = 993,
  [1156] = 994,
  [1157] = 979,
  [1158] = 980,
  [1159] = 966,
  [1160] = 982,
  [1161] = 954,
  [1162] = 984,
  [1163] = 985,
  [1164] = 986,
  [1165] = 1165,
  [1166] = 965,
  [1167] = 1105,
  [1168] = 1050,
  [1169] = 1169,
  [1170] = 1133,
  [1171] = 969,
  [1172] = 962,
  [1173] = 1051,
  [1174] = 1128,
  [1175] = 963,
  [1176] = 1003,
  [1177] = 987,
  [1178] = 988,
  [1179] = 957,
  [1180] = 1079,
  [1181] = 1165,
  [1182] = 974,
  [1183] = 1059,
  [1184] = 1074,
  [1185] = 1078,
  [1186] = 991,
  [1187] = 1128,
  [1188] = 967,
  [1189] = 1113,
  [1190] = 968,
  [1191] = 1079,
  [1192] = 1165,
  [1193] = 1193,
  [1194] = 1059,
  [1195] = 1074,
  [1196] = 1078,
  [1197] = 1077,
  [1198] = 1128,
  [1199] = 964,
  [1200] = 1146,
  [1201] = 965,
  [1202] = 1079,
  [1203] = 1165,
  [1204] = 988,
  [1205] = 1059,
  [1206] = 1074,
  [1207] = 1078,
  [1208] = 1208,
  [1209] = 1128,
  [1210] = 962,
  [1211] = 963,
  [1212] = 964,
  [1213] = 1079,
  [1214] = 1165,
  [1215] = 1059,
  [1216] = 1074,
  [1217] = 1078,
  [1218] = 992,
  [1219] = 1128,
  [1220] = 993,
  [1221] = 994,
  [1222] = 971,
  [1223] = 1079,
  [1224] = 1165,
  [1225] = 1059,
  [1226] = 1074,
  [1227] = 1078,
  [1228] = 1105,
  [1229] = 958,
  [1230] = 1208,
  [1231] = 959,
  [1232] = 1047,
  [1233] = 958,
  [1234] = 1208,
  [1235] = 959,
  [1236] = 1047,
  [1237] = 958,
  [1238] = 1208,
  [1239] = 959,
  [1240] = 1047,
  [1241] = 958,
  [1242] = 1208,
  [1243] = 959,
  [1244] = 1047,
  [1245] = 958,
  [1246] = 1208,
  [1247] = 959,
  [1248] = 1047,
  [1249] = 955,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(135);
      ADVANCE_MAP(
        '!', 328,
        '"', 297,
        '#', 74,
        '%', 334,
        '&', 278,
        '(', 349,
        ')', 293,
        '*', 332,
        '+', 331,
        ',', 288,
        '-', 330,
        '.', 60,
        '/', 333,
        '0', 269,
        ':', 136,
        ';', 138,
        '<', 295,
        '=', 287,
        '>', 296,
        '?', 326,
        '@', 281,
        '[', 309,
      );
      if (lookahead == '\\') SKIP(130);
      if (lookahead == ']') ADVANCE(310);
      if (lookahead == '^') ADVANCE(338);
      if (lookahead == 'd') ADVANCE(311);
      if (lookahead == '{') ADVANCE(284);
      if (lookahead == '|') ADVANCE(337);
      if (lookahead == '}') ADVANCE(282);
      if (lookahead == '~') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(270);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(51);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(51);
      if (lookahead == '\r') SKIP(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(46);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(46);
      if (lookahead == '\r') SKIP(3);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(49);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(49);
      if (lookahead == '\r') SKIP(5);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(42);
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(42);
      if (lookahead == '\r') SKIP(7);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(11);
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(11);
      if (lookahead == '\r') SKIP(9);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\n', 367,
        '!', 67,
        '%', 334,
        '&', 277,
        '(', 292,
        '*', 332,
        '+', 331,
        '-', 330,
        '/', 333,
        '<', 295,
        '=', 68,
        '>', 296,
      );
      if (lookahead == '\\') SKIP(10);
      if (lookahead == '^') ADVANCE(338);
      if (lookahead == '|') ADVANCE(337);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(43);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(43);
      if (lookahead == '\r') SKIP(12);
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(44);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(44);
      if (lookahead == '\r') SKIP(14);
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(53);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(53);
      if (lookahead == '\r') SKIP(16);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\n', 347,
        '\r', 354,
        '(', 349,
        '/', 361,
        '\\', 355,
        '\t', 357,
        0x0b, 357,
        '\f', 357,
        ' ', 357,
      );
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '\r') ADVANCE(354);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(355);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(357);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '\r') ADVANCE(21);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(28);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(64);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(28);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(22);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(355);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(357);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(45);
      if (lookahead == '"') ADVANCE(297);
      if (lookahead == '/') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(301);
      if (lookahead != 0) ADVANCE(302);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(304);
      if (lookahead == '\r') ADVANCE(303);
      if (lookahead == 'U') ADVANCE(128);
      if (lookahead == 'u') ADVANCE(124);
      if (lookahead == 'x') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(306);
      if (lookahead != 0) ADVANCE(303);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(63);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(63);
      if (lookahead == '\r') SKIP(25);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(64);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(64);
      if (lookahead == '\r') SKIP(27);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(65);
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(65);
      if (lookahead == '\r') SKIP(29);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(66);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(66);
      if (lookahead == '\r') SKIP(31);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(47);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(47);
      if (lookahead == '\r') SKIP(33);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(54);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(54);
      if (lookahead == '\r') SKIP(35);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(50);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(50);
      if (lookahead == '\r') SKIP(37);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(52);
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(52);
      if (lookahead == '\r') SKIP(39);
      END_STATE();
    case 41:
      if (lookahead == '\r') ADVANCE(145);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 67,
        '%', 334,
        '&', 278,
        '(', 292,
        ')', 293,
        '*', 332,
        '+', 331,
        ',', 288,
        '-', 330,
        '.', 60,
        '/', 333,
        '0', 316,
        ':', 136,
        ';', 138,
        '<', 295,
        '=', 68,
        '>', 296,
        '?', 326,
      );
      if (lookahead == '\\') SKIP(8);
      if (lookahead == '^') ADVANCE(338);
      if (lookahead == '{') ADVANCE(284);
      if (lookahead == '|') ADVANCE(337);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(317);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 327,
        '"', 297,
        '&', 279,
        '(', 292,
        ')', 293,
        '+', 331,
        '-', 330,
        '/', 56,
        '0', 316,
        ';', 138,
        '<', 294,
        '[', 309,
      );
      if (lookahead == '\\') SKIP(13);
      if (lookahead == 'd') ADVANCE(321);
      if (lookahead == '~') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(317);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 327,
        '"', 297,
        '(', 292,
        ')', 293,
        '+', 331,
        '-', 330,
        '/', 55,
        '0', 316,
        '<', 69,
      );
      if (lookahead == '\\') SKIP(15);
      if (lookahead == '~') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(317);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 45:
      if (lookahead == '"') ADVANCE(297);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      END_STATE();
    case 46:
      if (lookahead == '#') ADVANCE(228);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\\') SKIP(4);
      if (lookahead == '_') ADVANCE(148);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(268);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 47:
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == '\\') SKIP(34);
      if (lookahead == '_') ADVANCE(148);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(268);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 48:
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 49:
      if (lookahead == '#') ADVANCE(231);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\\') SKIP(6);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == '}') ADVANCE(282);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(268);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 50:
      if (lookahead == '#') ADVANCE(229);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\\') SKIP(38);
      if (lookahead == '_') ADVANCE(148);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(268);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 51:
      if (lookahead == '#') ADVANCE(76);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(152);
      if (lookahead == '\\') SKIP(2);
      if (lookahead == '_') ADVANCE(151);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 52:
      if (lookahead == '#') ADVANCE(230);
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(153);
      if (lookahead == '\\') SKIP(40);
      if (lookahead == '_') ADVANCE(148);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(268);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 53:
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(155);
      if (lookahead == '\\') SKIP(17);
      if (lookahead == '_') ADVANCE(151);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 54:
      if (lookahead == '&') ADVANCE(279);
      if (lookahead == '/') ADVANCE(154);
      if (lookahead == '\\') SKIP(36);
      if (lookahead == '_') ADVANCE(151);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 55:
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(144);
      END_STATE();
    case 56:
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(144);
      if (lookahead == 'b') ADVANCE(102);
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 57:
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead != 0) ADVANCE(58);
      END_STATE();
    case 58:
      if (lookahead == '*') ADVANCE(57);
      if (lookahead != 0) ADVANCE(58);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(350);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == '/') ADVANCE(285);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(291);
      END_STATE();
    case 63:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(26);
      if (lookahead == ']') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 64:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(28);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      END_STATE();
    case 65:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(30);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 66:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 67:
      if (lookahead == '=') ADVANCE(340);
      END_STATE();
    case 68:
      if (lookahead == '=') ADVANCE(339);
      END_STATE();
    case 69:
      if (lookahead == '>') ADVANCE(307);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '>') ADVANCE(308);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(69);
      END_STATE();
    case 71:
      if (lookahead == 'b') ADVANCE(106);
      END_STATE();
    case 72:
      if (lookahead == 'c') ADVANCE(109);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(71);
      END_STATE();
    case 74:
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(108);
      if (lookahead == 'i') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(74);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(111);
      if (lookahead == 'i') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(110);
      if (lookahead == 'i') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'i') ADVANCE(92);
      if (lookahead == 'u') ADVANCE(112);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(86);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(88);
      END_STATE();
    case 81:
      if (lookahead == 'd') ADVANCE(89);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(91);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(371);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(348);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(98);
      END_STATE();
    case 90:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 92:
      if (lookahead == 'f') ADVANCE(365);
      if (lookahead == 'n') ADVANCE(72);
      END_STATE();
    case 93:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 94:
      if (lookahead == 'f') ADVANCE(373);
      END_STATE();
    case 95:
      if (lookahead == 'f') ADVANCE(368);
      END_STATE();
    case 96:
      if (lookahead == 'f') ADVANCE(369);
      END_STATE();
    case 97:
      if (lookahead == 'f') ADVANCE(351);
      END_STATE();
    case 98:
      if (lookahead == 'f') ADVANCE(370);
      END_STATE();
    case 99:
      if (lookahead == 'f') ADVANCE(375);
      END_STATE();
    case 100:
      if (lookahead == 'f') ADVANCE(376);
      END_STATE();
    case 101:
      if (lookahead == 'f') ADVANCE(372);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(115);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(94);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 106:
      if (lookahead == 'i') ADVANCE(114);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(101);
      if (lookahead == 's') ADVANCE(84);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 109:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 110:
      if (lookahead == 'l') ADVANCE(107);
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 112:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 114:
      if (lookahead == 'n') ADVANCE(62);
      END_STATE();
    case 115:
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(61);
      END_STATE();
    case 117:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(79);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(123);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(124);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 129:
      if (eof) ADVANCE(135);
      if (lookahead == '\n') SKIP(133);
      END_STATE();
    case 130:
      if (eof) ADVANCE(135);
      if (lookahead == '\n') SKIP(133);
      if (lookahead == '\r') SKIP(129);
      END_STATE();
    case 131:
      if (eof) ADVANCE(135);
      if (lookahead == '\n') SKIP(134);
      END_STATE();
    case 132:
      if (eof) ADVANCE(135);
      if (lookahead == '\n') SKIP(134);
      if (lookahead == '\r') SKIP(131);
      END_STATE();
    case 133:
      if (eof) ADVANCE(135);
      ADVANCE_MAP(
        '!', 328,
        '"', 297,
        '#', 74,
        '%', 334,
        '&', 278,
        '(', 292,
        ')', 293,
        '*', 332,
        '+', 331,
        ',', 288,
        '-', 330,
        '.', 60,
        '/', 333,
        '0', 269,
        ':', 136,
        ';', 138,
        '<', 295,
        '=', 287,
        '>', 296,
        '?', 326,
        '@', 281,
        '[', 309,
      );
      if (lookahead == '\\') SKIP(130);
      if (lookahead == ']') ADVANCE(310);
      if (lookahead == '^') ADVANCE(338);
      if (lookahead == 'd') ADVANCE(311);
      if (lookahead == '{') ADVANCE(284);
      if (lookahead == '|') ADVANCE(337);
      if (lookahead == '}') ADVANCE(282);
      if (lookahead == '~') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(270);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= '_') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 134:
      if (eof) ADVANCE(135);
      ADVANCE_MAP(
        '#', 74,
        '&', 279,
        '(', 292,
        ')', 293,
        ',', 288,
        '/', 152,
        '0', 316,
        ':', 136,
        ';', 138,
        '=', 286,
        '@', 281,
      );
      if (lookahead == '\\') SKIP(132);
      if (lookahead == '_') ADVANCE(151);
      if (lookahead == '{') ADVANCE(284);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(317);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_SLASHdts_DASHv1_SLASH);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_SLASHplugin_SLASH);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_SLASHmemreserve_SLASH);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(41);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(143);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(144);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(41);
      if (lookahead != 0) ADVANCE(144);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead != 0) ADVANCE(146);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym__label_name);
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(148);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym__label_name);
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(149);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym__label_name);
      if (('+' <= lookahead && lookahead <= '.')) ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(150);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym__label_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(151);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == 'd') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(199);
      if (lookahead == 'm') ADVANCE(173);
      if (lookahead == 'o') ADVANCE(197);
      if (lookahead == 'p') ADVANCE(193);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == 'd') ADVANCE(186);
      if (lookahead == 'o') ADVANCE(197);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(143);
      if (lookahead == 'm') ADVANCE(173);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(143);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(221);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(200);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(201);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(191);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(203);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '-') ADVANCE(212);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(137);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(139);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(345);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(140);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(289);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(283);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '/') ADVANCE(290);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == '1') ADVANCE(162);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'c') ADVANCE(195);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'd') ADVANCE(180);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'd') ADVANCE(183);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(198);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(194);
      if (lookahead == 't') ADVANCE(213);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(214);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(208);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(217);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(188);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(158);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(164);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(210);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(165);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(166);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(157);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(218);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'e') ADVANCE(196);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'f') ADVANCE(160);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'f') ADVANCE(167);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'g') ADVANCE(192);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'i') ADVANCE(216);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'i') ADVANCE(187);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'i') ADVANCE(202);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'l') ADVANCE(219);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'l') ADVANCE(177);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'l') ADVANCE(220);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'l') ADVANCE(185);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'm') ADVANCE(190);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'm') ADVANCE(209);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'n') ADVANCE(170);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'n') ADVANCE(206);
      if (lookahead == 'p') ADVANCE(211);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'n') ADVANCE(206);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'n') ADVANCE(163);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'n') ADVANCE(205);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'o') ADVANCE(207);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'o') ADVANCE(161);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'o') ADVANCE(172);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'p') ADVANCE(181);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'r') ADVANCE(222);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'r') ADVANCE(175);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'r') ADVANCE(215);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'r') ADVANCE(204);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'r') ADVANCE(178);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 's') ADVANCE(156);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 's') ADVANCE(176);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 't') ADVANCE(223);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 't') ADVANCE(159);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 't') ADVANCE(179);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 't') ADVANCE(184);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'u') ADVANCE(189);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'u') ADVANCE(171);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'v') ADVANCE(169);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'v') ADVANCE(182);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym__node_path);
      if (lookahead == 'y') ADVANCE(168);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym__node_path);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym__node_or_property);
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym__node_or_property);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(226);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'c') ADVANCE(261);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(240);
      if (lookahead == 'e') ADVANCE(260);
      if (lookahead == 'i') ADVANCE(254);
      if (lookahead == 'u') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(74);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(240);
      if (lookahead == 'e') ADVANCE(263);
      if (lookahead == 'i') ADVANCE(254);
      if (lookahead == 'u') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(240);
      if (lookahead == 'e') ADVANCE(262);
      if (lookahead == 'i') ADVANCE(254);
      if (lookahead == 'u') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(240);
      if (lookahead == 'i') ADVANCE(254);
      if (lookahead == 'u') ADVANCE(264);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(258);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(239);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(242);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(243);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'd') ADVANCE(245);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(371);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(348);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(346);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(253);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(247);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(248);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(249);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(250);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'e') ADVANCE(251);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(368);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(369);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(351);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(370);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(375);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(376);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(372);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(256);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(366);
      if (lookahead == 'n') ADVANCE(227);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'f') ADVANCE(374);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(265);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(255);
      if (lookahead == 's') ADVANCE(237);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(246);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'i') ADVANCE(252);
      if (lookahead == 's') ADVANCE(237);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(257);
      if (lookahead == 'n') ADVANCE(232);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(266);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'l') ADVANCE(259);
      if (lookahead == 'n') ADVANCE(232);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'n') ADVANCE(232);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'n') ADVANCE(234);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'n') ADVANCE(238);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (lookahead == 'u') ADVANCE(233);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym__property_with_hash);
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(267);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (lookahead == '#') ADVANCE(267);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(268);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == 'b') ADVANCE(272);
      if (lookahead == 'x') ADVANCE(273);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(270);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(274);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (lookahead == '\'') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(270);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(274);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (lookahead == '\'') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(271);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(270);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(274);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(271);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(274);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(sym__property_starts_with_number);
      if (lookahead == '#' ||
          ('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(sym_unit_address);
      if (('+' <= lookahead && lookahead <= '.') ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(276);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(336);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(336);
      if (lookahead == '{') ADVANCE(280);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '{') ADVANCE(280);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_AMP_LBRACE);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_SLASHbits_SLASH);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(339);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_SLASHdelete_DASHnode_SLASH);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_SLASHdelete_DASHproperty_SLASH);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_SLASHincbin_SLASH);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(343);
      if (lookahead == '=') ADVANCE(342);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(341);
      if (lookahead == '>') ADVANCE(344);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(300);
      if (lookahead == '/') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(302);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead == '/') ADVANCE(302);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(300);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(299);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(300);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(298);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(301);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(302);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(24);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(303);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(305);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(307);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(69);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym__byte_string_item);
      if (lookahead == 'e') ADVANCE(312);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym__byte_string_item);
      if (lookahead == 'f') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym__byte_string_item);
      if (lookahead == 'i') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym__byte_string_item);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(314);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym__byte_string_item);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(315);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == 'b') ADVANCE(119);
      if (lookahead == 'x') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(317);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(318);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(377);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(319);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'f') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'i') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(320);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(340);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(58);
      if (lookahead == '/') ADVANCE(144);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(335);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_SLASHinclude_SLASH);
      if (('+' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(224);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(aux_sym_preproc_undef_token1);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(58);
      if (lookahead == '*') ADVANCE(352);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead != 0) ADVANCE(353);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(58);
      if (lookahead == '*') ADVANCE(352);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead != 0) ADVANCE(353);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(347);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(355);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(357);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(357);
      if (lookahead == '\r') ADVANCE(356);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(357);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(22);
      if (lookahead == '/') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(355);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(357);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(364);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(362);
      if (lookahead == '*') ADVANCE(352);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead != 0) ADVANCE(353);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\r') ADVANCE(147);
      if (lookahead == '\\') ADVANCE(142);
      if (lookahead != 0) ADVANCE(146);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(353);
      if (lookahead == '/') ADVANCE(146);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(363);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(352);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead != 0) ADVANCE(353);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(363);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0) ADVANCE(363);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(87);
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(367);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(90);
      if (lookahead == 'n') ADVANCE(82);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(244);
      if (lookahead == 'n') ADVANCE(236);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_defined);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(325);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 134},
  [2] = {.lex_state = 134},
  [3] = {.lex_state = 134},
  [4] = {.lex_state = 134},
  [5] = {.lex_state = 134},
  [6] = {.lex_state = 134},
  [7] = {.lex_state = 51},
  [8] = {.lex_state = 46},
  [9] = {.lex_state = 51},
  [10] = {.lex_state = 51},
  [11] = {.lex_state = 46},
  [12] = {.lex_state = 51},
  [13] = {.lex_state = 51},
  [14] = {.lex_state = 51},
  [15] = {.lex_state = 46},
  [16] = {.lex_state = 51},
  [17] = {.lex_state = 46},
  [18] = {.lex_state = 51},
  [19] = {.lex_state = 46},
  [20] = {.lex_state = 46},
  [21] = {.lex_state = 46},
  [22] = {.lex_state = 46},
  [23] = {.lex_state = 51},
  [24] = {.lex_state = 52},
  [25] = {.lex_state = 52},
  [26] = {.lex_state = 52},
  [27] = {.lex_state = 52},
  [28] = {.lex_state = 52},
  [29] = {.lex_state = 46},
  [30] = {.lex_state = 52},
  [31] = {.lex_state = 52},
  [32] = {.lex_state = 52},
  [33] = {.lex_state = 52},
  [34] = {.lex_state = 52},
  [35] = {.lex_state = 134},
  [36] = {.lex_state = 134},
  [37] = {.lex_state = 134},
  [38] = {.lex_state = 52},
  [39] = {.lex_state = 49},
  [40] = {.lex_state = 49},
  [41] = {.lex_state = 49},
  [42] = {.lex_state = 49},
  [43] = {.lex_state = 50},
  [44] = {.lex_state = 49},
  [45] = {.lex_state = 49},
  [46] = {.lex_state = 49},
  [47] = {.lex_state = 50},
  [48] = {.lex_state = 49},
  [49] = {.lex_state = 49},
  [50] = {.lex_state = 49},
  [51] = {.lex_state = 49},
  [52] = {.lex_state = 49},
  [53] = {.lex_state = 49},
  [54] = {.lex_state = 50},
  [55] = {.lex_state = 49},
  [56] = {.lex_state = 49},
  [57] = {.lex_state = 49},
  [58] = {.lex_state = 49},
  [59] = {.lex_state = 49},
  [60] = {.lex_state = 49},
  [61] = {.lex_state = 49},
  [62] = {.lex_state = 49},
  [63] = {.lex_state = 49},
  [64] = {.lex_state = 49},
  [65] = {.lex_state = 49},
  [66] = {.lex_state = 49},
  [67] = {.lex_state = 49},
  [68] = {.lex_state = 49},
  [69] = {.lex_state = 49},
  [70] = {.lex_state = 49},
  [71] = {.lex_state = 49},
  [72] = {.lex_state = 49},
  [73] = {.lex_state = 49},
  [74] = {.lex_state = 49},
  [75] = {.lex_state = 49},
  [76] = {.lex_state = 49},
  [77] = {.lex_state = 49},
  [78] = {.lex_state = 49},
  [79] = {.lex_state = 49},
  [80] = {.lex_state = 49},
  [81] = {.lex_state = 49},
  [82] = {.lex_state = 49},
  [83] = {.lex_state = 49},
  [84] = {.lex_state = 49},
  [85] = {.lex_state = 49},
  [86] = {.lex_state = 49},
  [87] = {.lex_state = 49},
  [88] = {.lex_state = 49},
  [89] = {.lex_state = 49},
  [90] = {.lex_state = 49},
  [91] = {.lex_state = 49},
  [92] = {.lex_state = 49},
  [93] = {.lex_state = 49},
  [94] = {.lex_state = 49},
  [95] = {.lex_state = 49},
  [96] = {.lex_state = 49},
  [97] = {.lex_state = 49},
  [98] = {.lex_state = 49},
  [99] = {.lex_state = 49},
  [100] = {.lex_state = 49},
  [101] = {.lex_state = 49},
  [102] = {.lex_state = 49},
  [103] = {.lex_state = 49},
  [104] = {.lex_state = 49},
  [105] = {.lex_state = 49},
  [106] = {.lex_state = 49},
  [107] = {.lex_state = 49},
  [108] = {.lex_state = 49},
  [109] = {.lex_state = 49},
  [110] = {.lex_state = 49},
  [111] = {.lex_state = 49},
  [112] = {.lex_state = 49},
  [113] = {.lex_state = 49},
  [114] = {.lex_state = 49},
  [115] = {.lex_state = 49},
  [116] = {.lex_state = 49},
  [117] = {.lex_state = 49},
  [118] = {.lex_state = 49},
  [119] = {.lex_state = 49},
  [120] = {.lex_state = 49},
  [121] = {.lex_state = 49},
  [122] = {.lex_state = 49},
  [123] = {.lex_state = 49},
  [124] = {.lex_state = 49},
  [125] = {.lex_state = 49},
  [126] = {.lex_state = 49},
  [127] = {.lex_state = 49},
  [128] = {.lex_state = 49},
  [129] = {.lex_state = 49},
  [130] = {.lex_state = 49},
  [131] = {.lex_state = 49},
  [132] = {.lex_state = 49},
  [133] = {.lex_state = 49},
  [134] = {.lex_state = 49},
  [135] = {.lex_state = 49},
  [136] = {.lex_state = 49},
  [137] = {.lex_state = 49},
  [138] = {.lex_state = 49},
  [139] = {.lex_state = 49},
  [140] = {.lex_state = 49},
  [141] = {.lex_state = 49},
  [142] = {.lex_state = 49},
  [143] = {.lex_state = 49},
  [144] = {.lex_state = 49},
  [145] = {.lex_state = 49},
  [146] = {.lex_state = 49},
  [147] = {.lex_state = 49},
  [148] = {.lex_state = 49},
  [149] = {.lex_state = 49},
  [150] = {.lex_state = 49},
  [151] = {.lex_state = 42},
  [152] = {.lex_state = 42},
  [153] = {.lex_state = 42},
  [154] = {.lex_state = 42},
  [155] = {.lex_state = 134},
  [156] = {.lex_state = 134},
  [157] = {.lex_state = 42},
  [158] = {.lex_state = 134},
  [159] = {.lex_state = 134},
  [160] = {.lex_state = 134},
  [161] = {.lex_state = 134},
  [162] = {.lex_state = 134},
  [163] = {.lex_state = 134},
  [164] = {.lex_state = 134},
  [165] = {.lex_state = 134},
  [166] = {.lex_state = 134},
  [167] = {.lex_state = 134},
  [168] = {.lex_state = 134},
  [169] = {.lex_state = 134},
  [170] = {.lex_state = 134},
  [171] = {.lex_state = 134},
  [172] = {.lex_state = 134},
  [173] = {.lex_state = 134},
  [174] = {.lex_state = 134},
  [175] = {.lex_state = 134},
  [176] = {.lex_state = 134},
  [177] = {.lex_state = 134},
  [178] = {.lex_state = 134},
  [179] = {.lex_state = 134},
  [180] = {.lex_state = 134},
  [181] = {.lex_state = 134},
  [182] = {.lex_state = 134},
  [183] = {.lex_state = 134},
  [184] = {.lex_state = 134},
  [185] = {.lex_state = 134},
  [186] = {.lex_state = 134},
  [187] = {.lex_state = 134},
  [188] = {.lex_state = 134},
  [189] = {.lex_state = 134},
  [190] = {.lex_state = 134},
  [191] = {.lex_state = 134},
  [192] = {.lex_state = 134},
  [193] = {.lex_state = 134},
  [194] = {.lex_state = 134},
  [195] = {.lex_state = 134},
  [196] = {.lex_state = 134},
  [197] = {.lex_state = 134},
  [198] = {.lex_state = 134},
  [199] = {.lex_state = 42},
  [200] = {.lex_state = 42},
  [201] = {.lex_state = 42},
  [202] = {.lex_state = 42},
  [203] = {.lex_state = 42},
  [204] = {.lex_state = 42},
  [205] = {.lex_state = 42},
  [206] = {.lex_state = 42},
  [207] = {.lex_state = 42},
  [208] = {.lex_state = 42},
  [209] = {.lex_state = 42},
  [210] = {.lex_state = 42},
  [211] = {.lex_state = 42},
  [212] = {.lex_state = 42},
  [213] = {.lex_state = 42},
  [214] = {.lex_state = 46},
  [215] = {.lex_state = 46},
  [216] = {.lex_state = 46},
  [217] = {.lex_state = 46},
  [218] = {.lex_state = 46},
  [219] = {.lex_state = 46},
  [220] = {.lex_state = 46},
  [221] = {.lex_state = 46},
  [222] = {.lex_state = 46},
  [223] = {.lex_state = 42},
  [224] = {.lex_state = 46},
  [225] = {.lex_state = 46},
  [226] = {.lex_state = 46},
  [227] = {.lex_state = 42},
  [228] = {.lex_state = 46},
  [229] = {.lex_state = 46},
  [230] = {.lex_state = 46},
  [231] = {.lex_state = 46},
  [232] = {.lex_state = 46},
  [233] = {.lex_state = 46},
  [234] = {.lex_state = 46},
  [235] = {.lex_state = 46},
  [236] = {.lex_state = 46},
  [237] = {.lex_state = 46},
  [238] = {.lex_state = 46},
  [239] = {.lex_state = 46},
  [240] = {.lex_state = 46},
  [241] = {.lex_state = 46},
  [242] = {.lex_state = 46},
  [243] = {.lex_state = 46},
  [244] = {.lex_state = 46},
  [245] = {.lex_state = 46},
  [246] = {.lex_state = 46},
  [247] = {.lex_state = 46},
  [248] = {.lex_state = 46},
  [249] = {.lex_state = 46},
  [250] = {.lex_state = 46},
  [251] = {.lex_state = 11},
  [252] = {.lex_state = 46},
  [253] = {.lex_state = 46},
  [254] = {.lex_state = 46},
  [255] = {.lex_state = 46},
  [256] = {.lex_state = 46},
  [257] = {.lex_state = 46},
  [258] = {.lex_state = 46},
  [259] = {.lex_state = 46},
  [260] = {.lex_state = 46},
  [261] = {.lex_state = 46},
  [262] = {.lex_state = 46},
  [263] = {.lex_state = 46},
  [264] = {.lex_state = 46},
  [265] = {.lex_state = 46},
  [266] = {.lex_state = 42},
  [267] = {.lex_state = 46},
  [268] = {.lex_state = 46},
  [269] = {.lex_state = 46},
  [270] = {.lex_state = 46},
  [271] = {.lex_state = 46},
  [272] = {.lex_state = 46},
  [273] = {.lex_state = 46},
  [274] = {.lex_state = 46},
  [275] = {.lex_state = 46},
  [276] = {.lex_state = 46},
  [277] = {.lex_state = 46},
  [278] = {.lex_state = 46},
  [279] = {.lex_state = 46},
  [280] = {.lex_state = 46},
  [281] = {.lex_state = 46},
  [282] = {.lex_state = 46},
  [283] = {.lex_state = 46},
  [284] = {.lex_state = 46},
  [285] = {.lex_state = 46},
  [286] = {.lex_state = 46},
  [287] = {.lex_state = 46},
  [288] = {.lex_state = 46},
  [289] = {.lex_state = 46},
  [290] = {.lex_state = 42},
  [291] = {.lex_state = 42},
  [292] = {.lex_state = 51},
  [293] = {.lex_state = 51},
  [294] = {.lex_state = 51},
  [295] = {.lex_state = 51},
  [296] = {.lex_state = 51},
  [297] = {.lex_state = 51},
  [298] = {.lex_state = 51},
  [299] = {.lex_state = 51},
  [300] = {.lex_state = 51},
  [301] = {.lex_state = 51},
  [302] = {.lex_state = 51},
  [303] = {.lex_state = 51},
  [304] = {.lex_state = 51},
  [305] = {.lex_state = 51},
  [306] = {.lex_state = 51},
  [307] = {.lex_state = 51},
  [308] = {.lex_state = 51},
  [309] = {.lex_state = 42},
  [310] = {.lex_state = 42},
  [311] = {.lex_state = 42},
  [312] = {.lex_state = 51},
  [313] = {.lex_state = 51},
  [314] = {.lex_state = 51},
  [315] = {.lex_state = 51},
  [316] = {.lex_state = 42},
  [317] = {.lex_state = 42},
  [318] = {.lex_state = 42},
  [319] = {.lex_state = 42},
  [320] = {.lex_state = 42},
  [321] = {.lex_state = 42},
  [322] = {.lex_state = 42},
  [323] = {.lex_state = 42},
  [324] = {.lex_state = 42},
  [325] = {.lex_state = 51},
  [326] = {.lex_state = 51},
  [327] = {.lex_state = 42},
  [328] = {.lex_state = 51},
  [329] = {.lex_state = 51},
  [330] = {.lex_state = 51},
  [331] = {.lex_state = 51},
  [332] = {.lex_state = 42},
  [333] = {.lex_state = 51},
  [334] = {.lex_state = 51},
  [335] = {.lex_state = 51},
  [336] = {.lex_state = 51},
  [337] = {.lex_state = 51},
  [338] = {.lex_state = 42},
  [339] = {.lex_state = 42},
  [340] = {.lex_state = 51},
  [341] = {.lex_state = 51},
  [342] = {.lex_state = 51},
  [343] = {.lex_state = 51},
  [344] = {.lex_state = 42},
  [345] = {.lex_state = 51},
  [346] = {.lex_state = 51},
  [347] = {.lex_state = 51},
  [348] = {.lex_state = 51},
  [349] = {.lex_state = 51},
  [350] = {.lex_state = 51},
  [351] = {.lex_state = 51},
  [352] = {.lex_state = 42},
  [353] = {.lex_state = 42},
  [354] = {.lex_state = 42},
  [355] = {.lex_state = 52},
  [356] = {.lex_state = 52},
  [357] = {.lex_state = 52},
  [358] = {.lex_state = 52},
  [359] = {.lex_state = 52},
  [360] = {.lex_state = 52},
  [361] = {.lex_state = 52},
  [362] = {.lex_state = 52},
  [363] = {.lex_state = 52},
  [364] = {.lex_state = 52},
  [365] = {.lex_state = 52},
  [366] = {.lex_state = 52},
  [367] = {.lex_state = 52},
  [368] = {.lex_state = 52},
  [369] = {.lex_state = 52},
  [370] = {.lex_state = 52},
  [371] = {.lex_state = 52},
  [372] = {.lex_state = 52},
  [373] = {.lex_state = 52},
  [374] = {.lex_state = 52},
  [375] = {.lex_state = 52},
  [376] = {.lex_state = 52},
  [377] = {.lex_state = 52},
  [378] = {.lex_state = 52},
  [379] = {.lex_state = 52},
  [380] = {.lex_state = 52},
  [381] = {.lex_state = 52},
  [382] = {.lex_state = 52},
  [383] = {.lex_state = 52},
  [384] = {.lex_state = 52},
  [385] = {.lex_state = 52},
  [386] = {.lex_state = 52},
  [387] = {.lex_state = 52},
  [388] = {.lex_state = 52},
  [389] = {.lex_state = 52},
  [390] = {.lex_state = 52},
  [391] = {.lex_state = 52},
  [392] = {.lex_state = 11},
  [393] = {.lex_state = 11},
  [394] = {.lex_state = 11},
  [395] = {.lex_state = 11},
  [396] = {.lex_state = 11},
  [397] = {.lex_state = 11},
  [398] = {.lex_state = 11},
  [399] = {.lex_state = 42},
  [400] = {.lex_state = 11},
  [401] = {.lex_state = 11},
  [402] = {.lex_state = 11},
  [403] = {.lex_state = 11},
  [404] = {.lex_state = 11},
  [405] = {.lex_state = 11},
  [406] = {.lex_state = 11},
  [407] = {.lex_state = 42},
  [408] = {.lex_state = 11},
  [409] = {.lex_state = 11},
  [410] = {.lex_state = 11},
  [411] = {.lex_state = 11},
  [412] = {.lex_state = 11},
  [413] = {.lex_state = 11},
  [414] = {.lex_state = 11},
  [415] = {.lex_state = 52},
  [416] = {.lex_state = 52},
  [417] = {.lex_state = 52},
  [418] = {.lex_state = 11},
  [419] = {.lex_state = 52},
  [420] = {.lex_state = 52},
  [421] = {.lex_state = 52},
  [422] = {.lex_state = 52},
  [423] = {.lex_state = 52},
  [424] = {.lex_state = 11},
  [425] = {.lex_state = 52},
  [426] = {.lex_state = 52},
  [427] = {.lex_state = 52},
  [428] = {.lex_state = 52},
  [429] = {.lex_state = 52},
  [430] = {.lex_state = 52},
  [431] = {.lex_state = 52},
  [432] = {.lex_state = 52},
  [433] = {.lex_state = 52},
  [434] = {.lex_state = 11},
  [435] = {.lex_state = 11},
  [436] = {.lex_state = 11},
  [437] = {.lex_state = 52},
  [438] = {.lex_state = 52},
  [439] = {.lex_state = 52},
  [440] = {.lex_state = 52},
  [441] = {.lex_state = 52},
  [442] = {.lex_state = 52},
  [443] = {.lex_state = 52},
  [444] = {.lex_state = 52},
  [445] = {.lex_state = 52},
  [446] = {.lex_state = 52},
  [447] = {.lex_state = 52},
  [448] = {.lex_state = 52},
  [449] = {.lex_state = 52},
  [450] = {.lex_state = 52},
  [451] = {.lex_state = 52},
  [452] = {.lex_state = 52},
  [453] = {.lex_state = 52},
  [454] = {.lex_state = 52},
  [455] = {.lex_state = 50},
  [456] = {.lex_state = 50},
  [457] = {.lex_state = 50},
  [458] = {.lex_state = 50},
  [459] = {.lex_state = 50},
  [460] = {.lex_state = 50},
  [461] = {.lex_state = 50},
  [462] = {.lex_state = 50},
  [463] = {.lex_state = 50},
  [464] = {.lex_state = 50},
  [465] = {.lex_state = 50},
  [466] = {.lex_state = 50},
  [467] = {.lex_state = 50},
  [468] = {.lex_state = 50},
  [469] = {.lex_state = 49},
  [470] = {.lex_state = 49},
  [471] = {.lex_state = 49},
  [472] = {.lex_state = 43},
  [473] = {.lex_state = 49},
  [474] = {.lex_state = 49},
  [475] = {.lex_state = 49},
  [476] = {.lex_state = 49},
  [477] = {.lex_state = 49},
  [478] = {.lex_state = 49},
  [479] = {.lex_state = 49},
  [480] = {.lex_state = 49},
  [481] = {.lex_state = 49},
  [482] = {.lex_state = 49},
  [483] = {.lex_state = 49},
  [484] = {.lex_state = 49},
  [485] = {.lex_state = 50},
  [486] = {.lex_state = 50},
  [487] = {.lex_state = 50},
  [488] = {.lex_state = 49},
  [489] = {.lex_state = 49},
  [490] = {.lex_state = 49},
  [491] = {.lex_state = 49},
  [492] = {.lex_state = 49},
  [493] = {.lex_state = 50},
  [494] = {.lex_state = 50},
  [495] = {.lex_state = 50},
  [496] = {.lex_state = 50},
  [497] = {.lex_state = 49},
  [498] = {.lex_state = 50},
  [499] = {.lex_state = 49},
  [500] = {.lex_state = 50},
  [501] = {.lex_state = 43},
  [502] = {.lex_state = 49},
  [503] = {.lex_state = 49},
  [504] = {.lex_state = 49},
  [505] = {.lex_state = 49},
  [506] = {.lex_state = 49},
  [507] = {.lex_state = 43},
  [508] = {.lex_state = 43},
  [509] = {.lex_state = 43},
  [510] = {.lex_state = 43},
  [511] = {.lex_state = 49},
  [512] = {.lex_state = 43},
  [513] = {.lex_state = 49},
  [514] = {.lex_state = 49},
  [515] = {.lex_state = 49},
  [516] = {.lex_state = 43},
  [517] = {.lex_state = 43},
  [518] = {.lex_state = 43},
  [519] = {.lex_state = 43},
  [520] = {.lex_state = 49},
  [521] = {.lex_state = 43},
  [522] = {.lex_state = 49},
  [523] = {.lex_state = 49},
  [524] = {.lex_state = 49},
  [525] = {.lex_state = 43},
  [526] = {.lex_state = 43},
  [527] = {.lex_state = 43},
  [528] = {.lex_state = 43},
  [529] = {.lex_state = 50},
  [530] = {.lex_state = 43},
  [531] = {.lex_state = 50},
  [532] = {.lex_state = 50},
  [533] = {.lex_state = 50},
  [534] = {.lex_state = 50},
  [535] = {.lex_state = 50},
  [536] = {.lex_state = 50},
  [537] = {.lex_state = 50},
  [538] = {.lex_state = 50},
  [539] = {.lex_state = 49},
  [540] = {.lex_state = 49},
  [541] = {.lex_state = 49},
  [542] = {.lex_state = 50},
  [543] = {.lex_state = 50},
  [544] = {.lex_state = 49},
  [545] = {.lex_state = 49},
  [546] = {.lex_state = 49},
  [547] = {.lex_state = 50},
  [548] = {.lex_state = 49},
  [549] = {.lex_state = 49},
  [550] = {.lex_state = 49},
  [551] = {.lex_state = 49},
  [552] = {.lex_state = 49},
  [553] = {.lex_state = 49},
  [554] = {.lex_state = 49},
  [555] = {.lex_state = 49},
  [556] = {.lex_state = 50},
  [557] = {.lex_state = 50},
  [558] = {.lex_state = 49},
  [559] = {.lex_state = 49},
  [560] = {.lex_state = 49},
  [561] = {.lex_state = 49},
  [562] = {.lex_state = 49},
  [563] = {.lex_state = 49},
  [564] = {.lex_state = 49},
  [565] = {.lex_state = 50},
  [566] = {.lex_state = 49},
  [567] = {.lex_state = 49},
  [568] = {.lex_state = 49},
  [569] = {.lex_state = 49},
  [570] = {.lex_state = 50},
  [571] = {.lex_state = 50},
  [572] = {.lex_state = 50},
  [573] = {.lex_state = 50},
  [574] = {.lex_state = 50},
  [575] = {.lex_state = 49},
  [576] = {.lex_state = 50},
  [577] = {.lex_state = 49},
  [578] = {.lex_state = 49},
  [579] = {.lex_state = 49},
  [580] = {.lex_state = 50},
  [581] = {.lex_state = 49},
  [582] = {.lex_state = 49},
  [583] = {.lex_state = 49},
  [584] = {.lex_state = 50},
  [585] = {.lex_state = 50},
  [586] = {.lex_state = 50},
  [587] = {.lex_state = 50},
  [588] = {.lex_state = 50},
  [589] = {.lex_state = 50},
  [590] = {.lex_state = 50},
  [591] = {.lex_state = 50},
  [592] = {.lex_state = 50},
  [593] = {.lex_state = 49},
  [594] = {.lex_state = 49},
  [595] = {.lex_state = 49},
  [596] = {.lex_state = 43},
  [597] = {.lex_state = 43},
  [598] = {.lex_state = 50},
  [599] = {.lex_state = 50},
  [600] = {.lex_state = 50},
  [601] = {.lex_state = 50},
  [602] = {.lex_state = 50},
  [603] = {.lex_state = 50},
  [604] = {.lex_state = 50},
  [605] = {.lex_state = 50},
  [606] = {.lex_state = 50},
  [607] = {.lex_state = 50},
  [608] = {.lex_state = 50},
  [609] = {.lex_state = 50},
  [610] = {.lex_state = 50},
  [611] = {.lex_state = 49},
  [612] = {.lex_state = 43},
  [613] = {.lex_state = 49},
  [614] = {.lex_state = 50},
  [615] = {.lex_state = 50},
  [616] = {.lex_state = 50},
  [617] = {.lex_state = 50},
  [618] = {.lex_state = 50},
  [619] = {.lex_state = 43},
  [620] = {.lex_state = 43},
  [621] = {.lex_state = 43},
  [622] = {.lex_state = 43},
  [623] = {.lex_state = 43},
  [624] = {.lex_state = 43},
  [625] = {.lex_state = 43},
  [626] = {.lex_state = 43},
  [627] = {.lex_state = 43},
  [628] = {.lex_state = 43},
  [629] = {.lex_state = 43},
  [630] = {.lex_state = 43},
  [631] = {.lex_state = 43},
  [632] = {.lex_state = 43},
  [633] = {.lex_state = 43},
  [634] = {.lex_state = 43},
  [635] = {.lex_state = 43},
  [636] = {.lex_state = 43},
  [637] = {.lex_state = 43},
  [638] = {.lex_state = 43},
  [639] = {.lex_state = 43},
  [640] = {.lex_state = 43},
  [641] = {.lex_state = 43},
  [642] = {.lex_state = 43},
  [643] = {.lex_state = 43},
  [644] = {.lex_state = 43},
  [645] = {.lex_state = 43},
  [646] = {.lex_state = 43},
  [647] = {.lex_state = 43},
  [648] = {.lex_state = 43},
  [649] = {.lex_state = 43},
  [650] = {.lex_state = 43},
  [651] = {.lex_state = 43},
  [652] = {.lex_state = 43},
  [653] = {.lex_state = 43},
  [654] = {.lex_state = 43},
  [655] = {.lex_state = 43},
  [656] = {.lex_state = 43},
  [657] = {.lex_state = 43},
  [658] = {.lex_state = 43},
  [659] = {.lex_state = 43},
  [660] = {.lex_state = 43},
  [661] = {.lex_state = 43},
  [662] = {.lex_state = 43},
  [663] = {.lex_state = 43},
  [664] = {.lex_state = 43},
  [665] = {.lex_state = 43},
  [666] = {.lex_state = 43},
  [667] = {.lex_state = 43},
  [668] = {.lex_state = 43},
  [669] = {.lex_state = 43},
  [670] = {.lex_state = 43},
  [671] = {.lex_state = 43},
  [672] = {.lex_state = 43},
  [673] = {.lex_state = 43},
  [674] = {.lex_state = 43},
  [675] = {.lex_state = 44},
  [676] = {.lex_state = 44},
  [677] = {.lex_state = 42},
  [678] = {.lex_state = 42},
  [679] = {.lex_state = 44},
  [680] = {.lex_state = 47},
  [681] = {.lex_state = 44},
  [682] = {.lex_state = 44},
  [683] = {.lex_state = 44},
  [684] = {.lex_state = 44},
  [685] = {.lex_state = 44},
  [686] = {.lex_state = 44},
  [687] = {.lex_state = 44},
  [688] = {.lex_state = 44},
  [689] = {.lex_state = 44},
  [690] = {.lex_state = 47},
  [691] = {.lex_state = 47},
  [692] = {.lex_state = 42},
  [693] = {.lex_state = 44},
  [694] = {.lex_state = 44},
  [695] = {.lex_state = 44},
  [696] = {.lex_state = 44},
  [697] = {.lex_state = 44},
  [698] = {.lex_state = 47},
  [699] = {.lex_state = 53},
  [700] = {.lex_state = 54},
  [701] = {.lex_state = 53},
  [702] = {.lex_state = 53},
  [703] = {.lex_state = 53},
  [704] = {.lex_state = 53},
  [705] = {.lex_state = 53},
  [706] = {.lex_state = 54},
  [707] = {.lex_state = 42},
  [708] = {.lex_state = 42},
  [709] = {.lex_state = 53},
  [710] = {.lex_state = 42},
  [711] = {.lex_state = 42},
  [712] = {.lex_state = 42},
  [713] = {.lex_state = 42},
  [714] = {.lex_state = 53},
  [715] = {.lex_state = 42},
  [716] = {.lex_state = 53},
  [717] = {.lex_state = 53},
  [718] = {.lex_state = 53},
  [719] = {.lex_state = 53},
  [720] = {.lex_state = 47},
  [721] = {.lex_state = 42},
  [722] = {.lex_state = 53},
  [723] = {.lex_state = 53},
  [724] = {.lex_state = 53},
  [725] = {.lex_state = 53},
  [726] = {.lex_state = 53},
  [727] = {.lex_state = 42},
  [728] = {.lex_state = 53},
  [729] = {.lex_state = 54},
  [730] = {.lex_state = 47},
  [731] = {.lex_state = 47},
  [732] = {.lex_state = 53},
  [733] = {.lex_state = 43},
  [734] = {.lex_state = 54},
  [735] = {.lex_state = 54},
  [736] = {.lex_state = 134},
  [737] = {.lex_state = 134},
  [738] = {.lex_state = 134},
  [739] = {.lex_state = 53},
  [740] = {.lex_state = 134},
  [741] = {.lex_state = 53},
  [742] = {.lex_state = 134},
  [743] = {.lex_state = 134},
  [744] = {.lex_state = 134},
  [745] = {.lex_state = 134},
  [746] = {.lex_state = 134},
  [747] = {.lex_state = 134},
  [748] = {.lex_state = 18},
  [749] = {.lex_state = 134},
  [750] = {.lex_state = 18},
  [751] = {.lex_state = 47},
  [752] = {.lex_state = 44},
  [753] = {.lex_state = 23},
  [754] = {.lex_state = 18},
  [755] = {.lex_state = 134},
  [756] = {.lex_state = 23},
  [757] = {.lex_state = 18},
  [758] = {.lex_state = 44},
  [759] = {.lex_state = 134},
  [760] = {.lex_state = 134},
  [761] = {.lex_state = 23},
  [762] = {.lex_state = 47},
  [763] = {.lex_state = 44},
  [764] = {.lex_state = 23},
  [765] = {.lex_state = 44},
  [766] = {.lex_state = 134},
  [767] = {.lex_state = 18},
  [768] = {.lex_state = 47},
  [769] = {.lex_state = 44},
  [770] = {.lex_state = 47},
  [771] = {.lex_state = 18},
  [772] = {.lex_state = 44},
  [773] = {.lex_state = 23},
  [774] = {.lex_state = 23},
  [775] = {.lex_state = 134},
  [776] = {.lex_state = 23},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 0},
  [779] = {.lex_state = 0},
  [780] = {.lex_state = 0},
  [781] = {.lex_state = 0},
  [782] = {.lex_state = 0},
  [783] = {.lex_state = 0},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 0},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 0},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 0},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 0},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 63},
  [810] = {.lex_state = 53},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 0},
  [813] = {.lex_state = 63},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 0},
  [816] = {.lex_state = 0},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 0},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 0},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 0},
  [831] = {.lex_state = 0},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 0},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 0},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 0},
  [838] = {.lex_state = 0},
  [839] = {.lex_state = 0},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 63},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 0},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 42},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 0},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 0},
  [863] = {.lex_state = 0},
  [864] = {.lex_state = 0},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 0},
  [867] = {.lex_state = 0},
  [868] = {.lex_state = 0},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 0},
  [871] = {.lex_state = 0},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0},
  [874] = {.lex_state = 0},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 0},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 0},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0},
  [882] = {.lex_state = 0},
  [883] = {.lex_state = 0},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0},
  [887] = {.lex_state = 19},
  [888] = {.lex_state = 19},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 19},
  [895] = {.lex_state = 19},
  [896] = {.lex_state = 134},
  [897] = {.lex_state = 0},
  [898] = {.lex_state = 134},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 19},
  [902] = {.lex_state = 42},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 19},
  [907] = {.lex_state = 19},
  [908] = {.lex_state = 134},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 134},
  [911] = {.lex_state = 134},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 134},
  [914] = {.lex_state = 0},
  [915] = {.lex_state = 42},
  [916] = {.lex_state = 19},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 134},
  [923] = {.lex_state = 134},
  [924] = {.lex_state = 134},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 134},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 134},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 42},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 19},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 134},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 20},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 65},
  [959] = {.lex_state = 65},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 0},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 20},
  [966] = {.lex_state = 20},
  [967] = {.lex_state = 20},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 0},
  [971] = {.lex_state = 0},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 20},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 20},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 20},
  [978] = {.lex_state = 20},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 20},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 20},
  [1003] = {.lex_state = 134},
  [1004] = {.lex_state = 20},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 20},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 20},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 42},
  [1030] = {.lex_state = 42},
  [1031] = {.lex_state = 42},
  [1032] = {.lex_state = 134},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 20},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 42},
  [1038] = {.lex_state = 20},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 65},
  [1041] = {.lex_state = 42},
  [1042] = {.lex_state = 134},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 65},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 42},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 42},
  [1065] = {.lex_state = 42},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 42},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 65},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 65},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 42},
  [1087] = {.lex_state = 42},
  [1088] = {.lex_state = 134},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 42},
  [1094] = {.lex_state = 42},
  [1095] = {.lex_state = 134},
  [1096] = {.lex_state = 20},
  [1097] = {.lex_state = 42},
  [1098] = {.lex_state = 134},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 65},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 65},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 42},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 42},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 42},
  [1123] = {.lex_state = 42},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 65},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 20},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 134},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 42},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 20},
  [1138] = {.lex_state = 134},
  [1139] = {.lex_state = 20},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 20},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 42},
  [1148] = {.lex_state = 42},
  [1149] = {.lex_state = 20},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 65},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 20},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 20},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 134},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 134},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 20},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 66},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 20},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 65},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 65},
  [1230] = {.lex_state = 65},
  [1231] = {.lex_state = 65},
  [1232] = {.lex_state = 65},
  [1233] = {.lex_state = 65},
  [1234] = {.lex_state = 65},
  [1235] = {.lex_state = 65},
  [1236] = {.lex_state = 65},
  [1237] = {.lex_state = 65},
  [1238] = {.lex_state = 65},
  [1239] = {.lex_state = 65},
  [1240] = {.lex_state = 65},
  [1241] = {.lex_state = 65},
  [1242] = {.lex_state = 65},
  [1243] = {.lex_state = 65},
  [1244] = {.lex_state = 65},
  [1245] = {.lex_state = 65},
  [1246] = {.lex_state = 65},
  [1247] = {.lex_state = 65},
  [1248] = {.lex_state = 65},
  [1249] = {.lex_state = 20},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__property_starts_with_number] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_AMP_LBRACE] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [sym__byte_string_item] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [aux_sym_preproc_undef_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(1108),
    [sym__top_level_item] = STATE(37),
    [sym__label] = STATE(735),
    [sym_file_version] = STATE(37),
    [sym_plugin] = STATE(37),
    [sym_memory_reservation] = STATE(37),
    [sym_reference] = STATE(1128),
    [sym__label_reference] = STATE(710),
    [sym__node_reference] = STATE(711),
    [sym_omit_if_no_ref] = STATE(37),
    [sym_node] = STATE(37),
    [sym_delete_node] = STATE(37),
    [sym_dtsi_include] = STATE(37),
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_undef] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [aux_sym_document_repeat1] = STATE(37),
    [aux_sym_memory_reservation_repeat1] = STATE(700),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_SLASHdts_DASHv1_SLASH] = ACTIONS(7),
    [anon_sym_SLASHplugin_SLASH] = ACTIONS(9),
    [anon_sym_SLASHmemreserve_SLASH] = ACTIONS(11),
    [sym_comment] = ACTIONS(3),
    [sym__label_name] = ACTIONS(13),
    [sym__node_path] = ACTIONS(15),
    [sym__node_or_property] = ACTIONS(15),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_AMP_LBRACE] = ACTIONS(19),
    [anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH] = ACTIONS(21),
    [anon_sym_SLASHdelete_DASHnode_SLASH] = ACTIONS(23),
    [anon_sym_SLASHinclude_SLASH] = ACTIONS(25),
    [aux_sym_preproc_include_token1] = ACTIONS(27),
    [aux_sym_preproc_def_token1] = ACTIONS(29),
    [aux_sym_preproc_undef_token1] = ACTIONS(31),
    [aux_sym_preproc_if_token1] = ACTIONS(33),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(35),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(35),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(37), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(41), 1,
      aux_sym_preproc_elif_token1,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1056), 3,
      sym_preproc_else,
      sym_preproc_elif,
      sym_preproc_elifdef,
    STATE(6), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [101] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(41), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(45), 1,
      aux_sym_preproc_if_token2,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(956), 3,
      sym_preproc_else,
      sym_preproc_elif,
      sym_preproc_elifdef,
    STATE(2), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [202] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(41), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(47), 1,
      aux_sym_preproc_if_token2,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(961), 3,
      sym_preproc_else,
      sym_preproc_elif,
      sym_preproc_elifdef,
    STATE(5), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [303] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(41), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(49), 1,
      aux_sym_preproc_if_token2,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(1053), 3,
      sym_preproc_else,
      sym_preproc_elif,
      sym_preproc_elifdef,
    STATE(6), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [404] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(56), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(59), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(62), 1,
      sym__label_name,
    ACTIONS(68), 1,
      anon_sym_AMP,
    ACTIONS(71), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(74), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(77), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(80), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(83), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(86), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(89), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(92), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(98), 1,
      aux_sym_preproc_elif_token1,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(65), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(95), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(51), 5,
      ts_builtin_sym_end,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(6), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [497] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(124), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1173), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(9), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [593] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(152), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1112), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(11), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [689] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(160), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1189), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(23), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [785] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(162), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1153), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(13), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [881] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(164), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1109), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(29), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [977] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(166), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(970), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(14), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [1073] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(168), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(998), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(23), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [1169] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(170), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1169), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(23), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [1265] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(172), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1050), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(20), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [1361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(174), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1051), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(18), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [1457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(176), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1092), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(19), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [1553] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(39), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(100), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(102), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(104), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(106), 1,
      sym__label_name,
    ACTIONS(110), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(112), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(114), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(116), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(118), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(120), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(122), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(128), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(178), 1,
      aux_sym_preproc_if_token2,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(126), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1113), 2,
      sym_preproc_else,
      sym_preproc_elif,
    STATE(23), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [1649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(180), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1132), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(29), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [1745] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(182), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1077), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(29), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [1841] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(184), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1168), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(22), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [1937] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(130), 1,
      sym__label_name,
    ACTIONS(132), 1,
      sym__node_path,
    ACTIONS(134), 1,
      sym__node_or_property,
    ACTIONS(138), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(140), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(142), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(144), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(146), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(148), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(150), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(158), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(186), 1,
      aux_sym_preproc_if_token2,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(43), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    ACTIONS(136), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(154), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1197), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(29), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2033] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(68), 1,
      anon_sym_AMP,
    ACTIONS(71), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(188), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(191), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(194), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(197), 1,
      sym__label_name,
    ACTIONS(203), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(206), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(209), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(212), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(215), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(218), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(221), 1,
      aux_sym_preproc_if_token1,
    STATE(706), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1187), 1,
      sym_reference,
    ACTIONS(200), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(224), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(51), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(23), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [2121] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(249), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1130), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(30), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2212] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(255), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1057), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(26), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2303] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(257), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1110), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2394] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(259), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1105), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2485] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(261), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1073), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(27), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2576] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(263), 1,
      sym__label_name,
    ACTIONS(266), 1,
      sym__node_path,
    ACTIONS(269), 1,
      sym__node_or_property,
    ACTIONS(275), 1,
      anon_sym_AMP,
    ACTIONS(278), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(281), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(284), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(287), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(290), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(293), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(296), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(299), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(307), 1,
      aux_sym_preproc_elif_token1,
    STATE(680), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1198), 1,
      sym_reference,
    ACTIONS(272), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(304), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(302), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(29), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2663] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(309), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1167), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2754] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(311), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(968), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(32), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2845] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(313), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1142), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [2936] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(315), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1190), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(34), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3027] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(156), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(227), 1,
      sym__label_name,
    ACTIONS(229), 1,
      sym__node_path,
    ACTIONS(231), 1,
      sym__node_or_property,
    ACTIONS(235), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(237), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(239), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(241), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(243), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(245), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(247), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(253), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(317), 1,
      aux_sym_preproc_if_token2,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(233), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(251), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(1228), 2,
      sym_preproc_else_in_node,
      sym_preproc_elif_in_node,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3118] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(319), 1,
      aux_sym_preproc_if_token2,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(36), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [3204] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(321), 1,
      aux_sym_preproc_if_token2,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [3290] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_SLASHdts_DASHv1_SLASH,
    ACTIONS(9), 1,
      anon_sym_SLASHplugin_SLASH,
    ACTIONS(11), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(13), 1,
      sym__label_name,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(21), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(23), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(25), 1,
      anon_sym_SLASHinclude_SLASH,
    ACTIONS(27), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(29), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(31), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(33), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(323), 1,
      ts_builtin_sym_end,
    STATE(700), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(735), 1,
      sym__label,
    STATE(1128), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
    ACTIONS(35), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(6), 15,
      sym__top_level_item,
      sym_file_version,
      sym_plugin,
      sym_memory_reservation,
      sym_omit_if_no_ref,
      sym_node,
      sym_delete_node,
      sym_dtsi_include,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if,
      sym_preproc_ifdef,
      aux_sym_document_repeat1,
  [3376] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_AMP,
    ACTIONS(278), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(325), 1,
      sym__label_name,
    ACTIONS(328), 1,
      sym__node_path,
    ACTIONS(331), 1,
      sym__node_or_property,
    ACTIONS(337), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(340), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(343), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(346), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(349), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(352), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(355), 1,
      aux_sym_preproc_if_token1,
    STATE(690), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1209), 1,
      sym_reference,
    ACTIONS(334), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(358), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(302), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    STATE(38), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(369), 1,
      anon_sym_RBRACE,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3540] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(387), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3621] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(389), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3702] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(391), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3783] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(393), 1,
      sym__label_name,
    ACTIONS(395), 1,
      sym__node_path,
    ACTIONS(397), 1,
      sym__node_or_property,
    ACTIONS(401), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(403), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(405), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(407), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(409), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(411), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(413), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(415), 1,
      aux_sym_preproc_if_token2,
    STATE(691), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1219), 1,
      sym_reference,
    ACTIONS(399), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(417), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(47), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3864] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(419), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(48), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [3945] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(421), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(49), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4026] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(423), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(50), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4107] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(393), 1,
      sym__label_name,
    ACTIONS(395), 1,
      sym__node_path,
    ACTIONS(397), 1,
      sym__node_or_property,
    ACTIONS(401), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(403), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(405), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(407), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(409), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(411), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(413), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(425), 1,
      aux_sym_preproc_if_token2,
    STATE(691), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1219), 1,
      sym_reference,
    ACTIONS(399), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(417), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(54), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4188] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(427), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4269] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(429), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4350] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(431), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4431] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(433), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(123), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4512] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(435), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(92), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(437), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(40), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4674] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_AMP,
    ACTIONS(278), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(302), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(439), 1,
      sym__label_name,
    ACTIONS(442), 1,
      sym__node_path,
    ACTIONS(445), 1,
      sym__node_or_property,
    ACTIONS(451), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(454), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(457), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(460), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(463), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(466), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(469), 1,
      aux_sym_preproc_if_token1,
    STATE(691), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1219), 1,
      sym_reference,
    ACTIONS(448), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(472), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(54), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4755] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(475), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(41), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4836] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(477), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(42), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4917] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(479), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(59), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [4998] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(275), 1,
      anon_sym_AMP,
    ACTIONS(278), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(302), 1,
      anon_sym_RBRACE,
    ACTIONS(481), 1,
      sym__label_name,
    ACTIONS(484), 1,
      sym__node_path,
    ACTIONS(487), 1,
      sym__node_or_property,
    ACTIONS(493), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(496), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(499), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(502), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(505), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(508), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(511), 1,
      aux_sym_preproc_if_token1,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(490), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(514), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5079] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(517), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5160] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(519), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(61), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5241] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(521), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5322] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(523), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(67), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5403] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(525), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(68), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5484] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(527), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(69), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5565] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(529), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(70), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5646] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(531), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(71), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5727] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(533), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5808] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(535), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5889] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(537), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [5970] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(539), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6051] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(541), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6132] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(543), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(75), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6213] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(545), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(76), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6294] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(547), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(77), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6375] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(549), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6456] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(551), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6537] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(553), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6618] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(555), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(79), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6699] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(557), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6780] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(559), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(85), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6861] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(561), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(86), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [6942] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(563), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(87), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7023] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(565), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(88), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7104] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(567), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(89), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7185] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(569), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7266] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(571), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7347] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(573), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7428] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(575), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(577), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7590] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(579), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(93), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7671] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(581), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(94), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(583), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7833] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(585), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7914] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(587), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [7995] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(589), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8076] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(591), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(97), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8157] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(593), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8238] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(595), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(103), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8319] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(597), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(104), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8400] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(599), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(105), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8481] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(601), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(106), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8562] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(603), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(107), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8643] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(605), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8724] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(607), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8805] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(609), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8886] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(611), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [8967] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(613), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9048] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(615), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(111), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9129] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(617), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(112), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9210] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(619), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(113), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9291] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(621), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9372] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(623), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9453] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(625), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9534] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(627), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(115), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9615] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(629), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9696] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(631), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(121), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9777] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(633), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(122), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9858] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(635), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(39), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [9939] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(637), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(124), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10020] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(639), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(125), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10101] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(641), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10182] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(643), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10263] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(645), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10344] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(647), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10425] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(649), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10506] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(651), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(129), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10587] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(653), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(130), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10668] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(655), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(131), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10749] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(657), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10830] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(659), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10911] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(661), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [10992] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(133), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11073] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(665), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11154] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(667), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(139), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11235] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(669), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(140), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11316] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(671), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(141), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11397] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(673), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(142), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11478] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(675), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(143), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11559] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(677), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11640] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(679), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11721] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(681), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11802] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(683), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11883] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(685), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [11964] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(687), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(147), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12045] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(689), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(148), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12126] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(691), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(149), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(693), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12288] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(695), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12369] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(697), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(58), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12450] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(361), 1,
      sym__label_name,
    ACTIONS(363), 1,
      sym__node_path,
    ACTIONS(365), 1,
      sym__node_or_property,
    ACTIONS(371), 1,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
    ACTIONS(373), 1,
      anon_sym_SLASHdelete_DASHnode_SLASH,
    ACTIONS(375), 1,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
    ACTIONS(377), 1,
      aux_sym_preproc_include_token1,
    ACTIONS(379), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(381), 1,
      aux_sym_preproc_undef_token1,
    ACTIONS(383), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(699), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(730), 1,
      sym__label,
    STATE(1174), 1,
      sym_reference,
    ACTIONS(367), 2,
      sym__property_with_hash,
      sym__property_starts_with_number,
    ACTIONS(385), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(95), 13,
      sym_omit_if_no_ref,
      sym_node,
      sym_property,
      sym__node_members,
      sym_delete_node,
      sym_delete_property,
      sym_preproc_include,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_undef,
      sym_preproc_if_in_node,
      sym_preproc_ifdef_in_node,
      aux_sym_node_repeat1,
  [12531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(703), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(701), 21,
      anon_sym_COLON,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_integer_literal,
      sym_identifier,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(707), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(705), 21,
      anon_sym_COLON,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_integer_literal,
      sym_identifier,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(709), 21,
      anon_sym_COLON,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_integer_literal,
      sym_identifier,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(713), 21,
      anon_sym_COLON,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_integer_literal,
      sym_identifier,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(717), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_RPAREN,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(723), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(721), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_RPAREN,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12735] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LPAREN,
    STATE(151), 1,
      sym_argument_list,
    ACTIONS(727), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(725), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(733), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(731), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(739), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(743), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(747), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [12988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(751), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(755), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(759), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(763), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(767), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(773), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(771), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(775), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(779), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(783), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(789), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(787), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(791), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(797), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(795), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(799), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(809), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(807), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(811), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(815), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(819), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(825), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(823), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(829), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(827), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(837), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(835), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(843), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [13980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(847), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 11,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(851), 12,
      ts_builtin_sym_end,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14042] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(857), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [14086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(857), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(855), 11,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [14124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(857), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(855), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(855), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14188] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 5,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
  [14238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [14286] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 6,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [14334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PIPE,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [14380] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(857), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(855), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(857), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(855), 13,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14458] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(881), 1,
      anon_sym_COMMA,
    ACTIONS(883), 1,
      anon_sym_RPAREN,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    STATE(846), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(891), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(889), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14546] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(893), 3,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [14600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(899), 1,
      anon_sym_LPAREN,
    STATE(309), 1,
      sym_preproc_argument_list,
    ACTIONS(895), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(897), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(901), 17,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(907), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(911), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(915), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(919), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(907), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(923), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(907), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [14925] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    STATE(820), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(923), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(907), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(923), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15067] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(953), 1,
      anon_sym_RPAREN,
    STATE(863), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(923), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(957), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(961), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(965), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(969), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(965), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(969), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(965), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(969), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(965), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(969), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(973), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(973), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(973), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(973), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(755), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(779), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(783), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(843), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(811), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(819), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(751), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(977), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15789] = 5,
    ACTIONS(897), 1,
      anon_sym_LF,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(981), 1,
      anon_sym_LPAREN,
    STATE(409), 1,
      sym_preproc_argument_list,
    ACTIONS(895), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(763), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(767), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(851), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(739), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(985), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [15996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(735), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(747), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(803), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16228] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(987), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [16281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(815), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(831), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(991), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(839), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(995), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(999), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1003), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1007), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1007), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1007), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1007), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1011), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1015), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1019), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1023), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1027), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1031), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1031), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1031), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(1031), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 9,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(759), 12,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [16948] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(1035), 1,
      anon_sym_PIPE,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [16992] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1037), 1,
      anon_sym_COLON,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(767), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(769), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(851), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(853), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(739), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(741), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(761), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(737), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(737), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(737), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(737), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(747), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(749), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(805), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(805), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(805), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(835), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(837), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(847), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(849), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(795), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(797), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(803), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(805), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(815), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(817), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1041), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1045), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1049), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(827), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(829), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(743), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(745), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(833), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(833), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [17716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1053), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1057), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17772] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1033), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [17814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1033), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [17850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1035), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1033), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1033), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17910] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [17958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18004] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(1035), 1,
      anon_sym_PIPE,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1033), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(763), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(765), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(777), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1035), 4,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
    ACTIONS(1033), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(773), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(787), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(789), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(793), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(831), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(833), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18252] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1059), 1,
      anon_sym_RPAREN,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(841), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(841), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(717), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(719), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(841), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(755), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(757), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1063), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1067), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(799), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(801), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(807), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(809), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(825), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(731), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(733), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18612] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(865), 1,
      anon_sym_SLASH,
    ACTIONS(873), 1,
      anon_sym_AMP,
    ACTIONS(875), 1,
      anon_sym_AMP_AMP,
    ACTIONS(877), 1,
      anon_sym_PIPE,
    ACTIONS(879), 1,
      anon_sym_CARET,
    ACTIONS(885), 1,
      anon_sym_QMARK,
    ACTIONS(887), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1069), 1,
      anon_sym_RPAREN,
    ACTIONS(859), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(861), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(863), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(867), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(869), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(871), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(779), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(781), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(785), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(845), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(813), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(721), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(723), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(819), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(821), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(751), 10,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(753), 10,
      anon_sym_SLASHdts_DASHv1_SLASH,
      anon_sym_SLASHplugin_SLASH,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      anon_sym_SLASHinclude_SLASH,
      aux_sym_preproc_if_token1,
  [18860] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1071), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [18910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 5,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_PIPE,
    ACTIONS(1075), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18938] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1033), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(755), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(779), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(783), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(843), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(811), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(819), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(751), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(763), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(767), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(851), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(739), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(759), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(747), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(815), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [19977] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1035), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20004] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20049] = 11,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1035), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20092] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym_LF,
    ACTIONS(1061), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20119] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_LF,
    ACTIONS(1065), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20146] = 10,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1035), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20187] = 9,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1035), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20226] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20275] = 7,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1035), 7,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [20310] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1035), 13,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20341] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1099), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20386] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(1047), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20413] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1101), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20458] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1103), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20503] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20548] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_AMP,
    ACTIONS(937), 1,
      anon_sym_SLASH,
    ACTIONS(939), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(941), 1,
      anon_sym_AMP_AMP,
    ACTIONS(943), 1,
      anon_sym_PIPE,
    ACTIONS(945), 1,
      anon_sym_CARET,
    ACTIONS(1107), 1,
      anon_sym_RPAREN,
    ACTIONS(931), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(933), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(935), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(947), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(949), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(951), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20597] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1109), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20642] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LF,
    ACTIONS(1039), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20669] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym_LF,
    ACTIONS(1043), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20696] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym_LF,
    ACTIONS(1051), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20723] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(1055), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20750] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1111), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20795] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1113), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(991), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [20867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(995), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [20894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(999), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [20921] = 12,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_AMP,
    ACTIONS(1085), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1087), 1,
      anon_sym_PIPE,
    ACTIONS(1089), 1,
      anon_sym_CARET,
    ACTIONS(1097), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1115), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [20966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1003), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [20993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21101] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_LF,
    ACTIONS(1073), 18,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1011), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1015), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1019), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1023), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1027), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21371] = 8,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1091), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1079), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1035), 5,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
  [21408] = 6,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1081), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1093), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1035), 11,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [21441] = 4,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_LF,
    ACTIONS(1083), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1035), 15,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [21470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(985), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(977), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(911), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(915), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(919), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(957), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(961), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 11,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [21956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(985), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [21981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(747), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(815), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(977), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(911), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(915), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22381] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1117), 1,
      anon_sym_SEMI,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    STATE(622), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(812), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [22426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(919), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(851), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(739), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(759), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(995), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(999), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1011), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(749), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(747), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1015), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1019), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [22976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1023), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1027), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(957), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(961), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23126] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1129), 1,
      anon_sym_SEMI,
    STATE(636), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(815), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1131), 1,
      anon_sym_SEMI,
    STATE(629), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(827), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23341] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1133), 1,
      anon_sym_SEMI,
    STATE(630), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(828), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23386] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1135), 1,
      anon_sym_SEMI,
    STATE(632), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(829), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23431] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_SEMI,
    STATE(633), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(833), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23501] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_SEMI,
    STATE(638), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(865), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(803), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(817), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(815), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23621] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_SEMI,
    STATE(639), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(872), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23666] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1143), 1,
      anon_sym_SEMI,
    STATE(640), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(877), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23711] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1145), 1,
      anon_sym_SEMI,
    STATE(627), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(879), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23756] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1147), 1,
      anon_sym_SEMI,
    STATE(628), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(881), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1149), 1,
      anon_sym_SEMI,
    STATE(631), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(787), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [23946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1151), 1,
      anon_sym_SEMI,
    STATE(619), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(792), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [23991] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1153), 1,
      anon_sym_SEMI,
    STATE(620), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(793), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [24036] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1155), 1,
      anon_sym_SEMI,
    STATE(623), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(794), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [24081] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1157), 1,
      anon_sym_SEMI,
    STATE(624), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(795), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [24126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24151] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1159), 1,
      anon_sym_SEMI,
    STATE(625), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(842), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [24196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1003), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(833), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(831), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(911), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(915), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1009), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1011), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1015), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1017), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1019), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(919), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(991), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(841), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(839), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1021), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1023), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1025), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1027), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(755), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [24996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(779), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(783), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(843), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(811), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(819), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(907), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(923), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(991), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1029), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1031), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(993), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(995), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(957), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(751), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(997), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(999), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(763), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(959), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(961), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(965), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(969), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(767), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(985), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1001), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1003), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25821] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1161), 1,
      anon_sym_SEMI,
    STATE(634), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(811), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [25866] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1163), 1,
      anon_sym_SEMI,
    STATE(626), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(797), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [25911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [25986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(973), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(757), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(755), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(781), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(779), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(785), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(783), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(843), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(813), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(811), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(821), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(819), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(753), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(751), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(765), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(763), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(767), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26261] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1119), 1,
      anon_sym_SLASHbits_SLASH,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1165), 1,
      anon_sym_SEMI,
    STATE(621), 1,
      sym__bits,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(789), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1005), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(1007), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(853), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(851), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(741), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(739), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(761), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(759), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(735), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 8,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_with_hash,
      sym__property_starts_with_number,
      anon_sym_AMP,
      anon_sym_SLASHomit_DASHif_DASHno_DASHref_SLASH,
      aux_sym_preproc_if_token1,
    ACTIONS(977), 9,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHdelete_DASHnode_SLASH,
      anon_sym_SLASHdelete_DASHproperty_SLASH,
      aux_sym_preproc_include_token1,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_undef_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
  [26456] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1167), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(777), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26495] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1169), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(799), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26534] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1171), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(864), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26573] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1173), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(786), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1175), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(801), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26651] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1177), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(803), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26690] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1179), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(818), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1181), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(868), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26768] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1183), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(778), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26807] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1185), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(780), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26846] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1187), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(837), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26885] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1189), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(839), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26924] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(790), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [26963] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1193), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(843), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27002] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1195), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(845), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27041] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1197), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(876), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(1203), 1,
      sym_integer_literal,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(227), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27113] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1211), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(821), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27152] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    ACTIONS(1215), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(223), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27185] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1217), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(869), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27224] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1219), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(883), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27263] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(885), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      sym_integer_literal,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(394), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1233), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(400), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27362] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1235), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(401), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27392] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1237), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(405), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27422] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1121), 1,
      anon_sym_SLASHincbin_SLASH,
    ACTIONS(1123), 1,
      anon_sym_LT,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    ACTIONS(1127), 1,
      anon_sym_LBRACK,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(935), 6,
      sym_reference,
      sym_incbin,
      sym__property_value,
      sym_integer_cells,
      sym_string_literal,
      sym_byte_string_literal,
  [27458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1239), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(407), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27488] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1241), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(410), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1243), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(393), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1245), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(399), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1247), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(397), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1249), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(404), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1251), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(406), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1253), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(414), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27698] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1255), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(310), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1257), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(434), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1259), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(398), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1261), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(352), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27818] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1263), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(436), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1265), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(318), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1267), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(319), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27908] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1269), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(320), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27938] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1271), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(321), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27968] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1273), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(322), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [27998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1275), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(323), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1277), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(324), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28058] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1279), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(290), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28088] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1281), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(354), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28118] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_LPAREN,
    ACTIONS(1205), 1,
      sym_identifier,
    ACTIONS(1209), 1,
      anon_sym_defined,
    ACTIONS(1283), 1,
      sym_integer_literal,
    ACTIONS(1207), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(327), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28148] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1285), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(392), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28178] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1287), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(402), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1289), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(408), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1291), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(413), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1293), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(418), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_LPAREN,
    ACTIONS(1227), 1,
      sym_identifier,
    ACTIONS(1231), 1,
      anon_sym_defined,
    ACTIONS(1295), 1,
      sym_integer_literal,
    ACTIONS(1229), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(435), 6,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
  [28328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1299), 1,
      anon_sym_RPAREN,
    ACTIONS(1301), 1,
      sym_integer_literal,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(209), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1307), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(204), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28383] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_AMP,
    ACTIONS(1312), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1315), 1,
      anon_sym_LPAREN,
    ACTIONS(1318), 1,
      anon_sym_GT,
    ACTIONS(1320), 1,
      sym_integer_literal,
    ACTIONS(1323), 1,
      sym_identifier,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(677), 4,
      sym_reference,
      sym__integer_cell_items,
      sym_call_expression,
      aux_sym_integer_cells_repeat1,
  [28417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LPAREN,
    ACTIONS(1328), 1,
      anon_sym_GT,
    ACTIONS(1330), 1,
      sym_integer_literal,
    ACTIONS(1332), 1,
      sym_identifier,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(677), 4,
      sym_reference,
      sym__integer_cell_items,
      sym_call_expression,
      aux_sym_integer_cells_repeat1,
  [28451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1334), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(199), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28477] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1336), 1,
      sym__label_name,
    ACTIONS(1338), 1,
      sym__node_path,
    ACTIONS(1340), 1,
      sym__node_or_property,
    ACTIONS(1342), 1,
      sym__property_with_hash,
    ACTIONS(1344), 1,
      sym__property_starts_with_number,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(720), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(730), 1,
      sym__label,
    STATE(1202), 1,
      sym_reference,
  [28517] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1346), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(200), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1348), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(291), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28569] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1350), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(201), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1352), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(202), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1354), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(203), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1356), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(205), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1358), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(206), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1360), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(207), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(208), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28751] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1364), 1,
      sym__label_name,
    ACTIONS(1366), 1,
      sym__node_path,
    ACTIONS(1368), 1,
      sym__node_or_property,
    ACTIONS(1370), 1,
      sym__property_with_hash,
    ACTIONS(1372), 1,
      sym__property_starts_with_number,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(720), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(730), 1,
      sym__label,
    STATE(1213), 1,
      sym_reference,
  [28791] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1374), 1,
      sym__label_name,
    ACTIONS(1376), 1,
      sym__node_path,
    ACTIONS(1378), 1,
      sym__node_or_property,
    ACTIONS(1380), 1,
      sym__property_with_hash,
    ACTIONS(1382), 1,
      sym__property_starts_with_number,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(720), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(730), 1,
      sym__label,
    STATE(1223), 1,
      sym_reference,
  [28831] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      sym_identifier,
    ACTIONS(1384), 1,
      anon_sym_GT,
    ACTIONS(1386), 1,
      sym_integer_literal,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(678), 4,
      sym_reference,
      sym__integer_cell_items,
      sym_call_expression,
      aux_sym_integer_cells_repeat1,
  [28865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1388), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(266), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1390), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(211), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1392), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(344), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1394), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(210), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 1,
      anon_sym_LPAREN,
    ACTIONS(1303), 1,
      sym_identifier,
    ACTIONS(1396), 1,
      sym_integer_literal,
    ACTIONS(1305), 4,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(332), 5,
      sym__expression,
      sym_call_expression,
      sym_conditional_expression,
      sym_unary_expression,
      sym_binary_expression,
  [28995] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1398), 1,
      sym__label_name,
    ACTIONS(1400), 1,
      sym__node_path,
    ACTIONS(1402), 1,
      sym__node_or_property,
    ACTIONS(1404), 1,
      sym__property_with_hash,
    ACTIONS(1406), 1,
      sym__property_starts_with_number,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(720), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(730), 1,
      sym__label,
    STATE(1180), 1,
      sym_reference,
  [29035] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1408), 1,
      sym__label_name,
    STATE(243), 1,
      sym_node,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(717), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(929), 1,
      sym_reference,
    ACTIONS(132), 2,
      sym__node_path,
      sym__node_or_property,
  [29070] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1410), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(1412), 1,
      sym__label_name,
    ACTIONS(1414), 1,
      sym__node_path,
    ACTIONS(1416), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(729), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(735), 1,
      sym__label,
    STATE(1079), 1,
      sym_reference,
  [29107] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1418), 1,
      sym__label_name,
    STATE(364), 1,
      sym_node,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(718), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(899), 1,
      sym_reference,
    ACTIONS(229), 2,
      sym__node_path,
      sym__node_or_property,
  [29142] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1420), 1,
      sym__label_name,
    STATE(561), 1,
      sym_node,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(716), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(904), 1,
      sym_reference,
    ACTIONS(363), 2,
      sym__node_path,
      sym__node_or_property,
  [29177] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1422), 1,
      sym__label_name,
    STATE(337), 1,
      sym_node,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(714), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(892), 1,
      sym_reference,
    ACTIONS(108), 2,
      sym__node_path,
      sym__node_or_property,
  [29212] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1424), 1,
      sym__label_name,
    STATE(166), 1,
      sym_node,
    STATE(709), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(739), 1,
      sym__label,
    STATE(943), 1,
      sym_reference,
    ACTIONS(15), 2,
      sym__node_path,
      sym__node_or_property,
  [29247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1426), 1,
      sym__label_name,
    STATE(602), 1,
      sym_node,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(719), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(912), 1,
      sym_reference,
    ACTIONS(395), 2,
      sym__node_path,
      sym__node_or_property,
  [29282] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1428), 1,
      anon_sym_SLASHmemreserve_SLASH,
    ACTIONS(1430), 1,
      sym__label_name,
    ACTIONS(1432), 1,
      sym__node_path,
    ACTIONS(1434), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(729), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(735), 1,
      sym__label,
    STATE(1191), 1,
      sym_reference,
  [29319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_AMP,
    ACTIONS(1436), 9,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      sym_identifier,
    ACTIONS(1440), 1,
      sym_integer_literal,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1127), 3,
      sym_reference,
      sym__integer_cell_items,
      sym_call_expression,
  [29367] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1414), 1,
      sym__node_path,
    ACTIONS(1416), 1,
      sym__node_or_property,
    ACTIONS(1442), 1,
      sym__label_name,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1079), 1,
      sym_reference,
  [29401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1444), 9,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_AMP,
    ACTIONS(1448), 9,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29437] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1326), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      sym_identifier,
    ACTIONS(1452), 1,
      sym_integer_literal,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1084), 3,
      sym_reference,
      sym__integer_cell_items,
      sym_call_expression,
  [29467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1456), 1,
      anon_sym_AMP,
    ACTIONS(1454), 9,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29485] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1432), 1,
      sym__node_path,
    ACTIONS(1434), 1,
      sym__node_or_property,
    ACTIONS(1458), 1,
      sym__label_name,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1191), 1,
      sym_reference,
  [29519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 1,
      anon_sym_AMP,
    ACTIONS(1460), 9,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29537] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1400), 1,
      sym__node_path,
    ACTIONS(1464), 1,
      sym__label_name,
    ACTIONS(1466), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1180), 1,
      sym_reference,
  [29571] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1338), 1,
      sym__node_path,
    ACTIONS(1468), 1,
      sym__label_name,
    ACTIONS(1470), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1202), 1,
      sym_reference,
  [29605] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1366), 1,
      sym__node_path,
    ACTIONS(1472), 1,
      sym__label_name,
    ACTIONS(1474), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1213), 1,
      sym_reference,
  [29639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1376), 1,
      sym__node_path,
    ACTIONS(1476), 1,
      sym__label_name,
    ACTIONS(1478), 1,
      sym__node_or_property,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    STATE(1223), 1,
      sym_reference,
  [29673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      sym__label_name,
    STATE(720), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(730), 1,
      sym__label,
    ACTIONS(1485), 2,
      sym__property_with_hash,
      anon_sym_AMP_LBRACE,
    ACTIONS(1483), 4,
      sym__node_path,
      sym__node_or_property,
      sym__property_starts_with_number,
      anon_sym_AMP,
  [29696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym_LPAREN,
    ACTIONS(1487), 1,
      anon_sym_AMP,
    STATE(151), 1,
      sym_argument_list,
    ACTIONS(1489), 6,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1136), 1,
      sym_reference,
    ACTIONS(1491), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29741] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(972), 1,
      sym_reference,
    ACTIONS(1493), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29765] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1141), 1,
      sym_reference,
    ACTIONS(1495), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1152), 1,
      sym_reference,
    ACTIONS(1497), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(960), 1,
      sym_reference,
    ACTIONS(1499), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_AMP,
    ACTIONS(1503), 7,
      anon_sym_AMP_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT,
      sym_integer_literal,
      sym_identifier,
  [29853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_AMP,
    ACTIONS(19), 1,
      anon_sym_AMP_LBRACE,
    STATE(710), 1,
      sym__label_reference,
    STATE(711), 1,
      sym__node_reference,
    STATE(1001), 1,
      sym_reference,
    ACTIONS(1505), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [29877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1507), 1,
      sym__label_name,
    STATE(729), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(735), 1,
      sym__label,
    ACTIONS(1483), 4,
      anon_sym_SLASHmemreserve_SLASH,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [29899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 2,
      sym__property_with_hash,
      anon_sym_AMP_LBRACE,
    ACTIONS(1510), 5,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_starts_with_number,
      anon_sym_AMP,
  [29914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 2,
      sym__property_with_hash,
      anon_sym_AMP_LBRACE,
    ACTIONS(1514), 5,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      sym__property_starts_with_number,
      anon_sym_AMP,
  [29929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1518), 1,
      sym__label_name,
    STATE(732), 1,
      aux_sym_memory_reservation_repeat1,
    STATE(739), 1,
      sym__label,
    ACTIONS(1483), 3,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [29950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_AMP,
    ACTIONS(1521), 6,
      anon_sym_SEMI,
      anon_sym_AMP_LBRACE,
      anon_sym_SLASHincbin_SLASH,
      anon_sym_LT,
      anon_sym_DQUOTE,
      anon_sym_LBRACK,
  [29965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1514), 5,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [29979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1510), 5,
      anon_sym_SLASHmemreserve_SLASH,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [29993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1527), 1,
      anon_sym_SEMI,
    ACTIONS(1529), 1,
      anon_sym_AT,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1533), 1,
      anon_sym_EQ,
  [30012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1535), 1,
      anon_sym_SEMI,
    ACTIONS(1537), 1,
      anon_sym_AT,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    ACTIONS(1541), 1,
      anon_sym_EQ,
  [30031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1543), 1,
      anon_sym_SEMI,
    ACTIONS(1545), 1,
      anon_sym_AT,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
    ACTIONS(1549), 1,
      anon_sym_EQ,
  [30050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1510), 4,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [30063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1551), 1,
      anon_sym_SEMI,
    ACTIONS(1553), 1,
      anon_sym_AT,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_EQ,
  [30082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_AMP_LBRACE,
    ACTIONS(1514), 4,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
      anon_sym_AMP,
  [30095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1559), 1,
      anon_sym_SEMI,
    ACTIONS(1561), 1,
      anon_sym_AT,
    ACTIONS(1563), 1,
      anon_sym_LBRACE,
    ACTIONS(1565), 1,
      anon_sym_EQ,
  [30114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1567), 1,
      anon_sym_SEMI,
    ACTIONS(1569), 1,
      anon_sym_AT,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
    ACTIONS(1573), 1,
      anon_sym_EQ,
  [30133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1577), 1,
      anon_sym_AT,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
    ACTIONS(1581), 1,
      anon_sym_EQ,
  [30152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
    ACTIONS(1583), 1,
      anon_sym_SEMI,
    ACTIONS(1585), 1,
      anon_sym_AT,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(1589), 1,
      anon_sym_EQ,
  [30171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      anon_sym_SEMI,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_LBRACE,
    ACTIONS(1597), 1,
      anon_sym_EQ,
  [30187] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_SEMI,
    ACTIONS(1601), 1,
      anon_sym_AT,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
    ACTIONS(1605), 1,
      anon_sym_EQ,
  [30203] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1607), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1611), 1,
      sym_preproc_arg,
    STATE(906), 1,
      sym_preproc_params,
  [30219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_SEMI,
    ACTIONS(1545), 1,
      anon_sym_AT,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
    ACTIONS(1549), 1,
      anon_sym_EQ,
  [30235] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1613), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1615), 1,
      sym_preproc_arg,
    STATE(949), 1,
      sym_preproc_params,
  [30251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      sym__property_with_hash,
    ACTIONS(1617), 3,
      sym__label_name,
      sym__node_or_property,
      sym__property_starts_with_number,
  [30263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(1002), 1,
      sym_string_literal,
    ACTIONS(1623), 2,
      sym_system_lib_string,
      sym_identifier,
  [30277] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1625), 1,
      anon_sym_DQUOTE,
    ACTIONS(1627), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1630), 1,
      sym_escape_sequence,
    STATE(753), 1,
      aux_sym_string_literal_repeat1,
  [30293] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1633), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1635), 1,
      sym_preproc_arg,
    STATE(916), 1,
      sym_preproc_params,
  [30309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 1,
      anon_sym_SEMI,
    ACTIONS(1639), 1,
      anon_sym_AT,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
    ACTIONS(1643), 1,
      anon_sym_EQ,
  [30325] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_DQUOTE,
    ACTIONS(1647), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1649), 1,
      sym_escape_sequence,
    STATE(761), 1,
      aux_sym_string_literal_repeat1,
  [30341] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1651), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1653), 1,
      sym_preproc_arg,
    STATE(894), 1,
      sym_preproc_params,
  [30357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(965), 1,
      sym_string_literal,
    ACTIONS(1655), 2,
      sym_system_lib_string,
      sym_identifier,
  [30371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_SEMI,
    ACTIONS(1553), 1,
      anon_sym_AT,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_EQ,
  [30387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_SEMI,
    ACTIONS(1569), 1,
      anon_sym_AT,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
    ACTIONS(1573), 1,
      anon_sym_EQ,
  [30403] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1657), 1,
      anon_sym_DQUOTE,
    ACTIONS(1659), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1661), 1,
      sym_escape_sequence,
    STATE(753), 1,
      aux_sym_string_literal_repeat1,
  [30419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1665), 1,
      sym__property_with_hash,
    ACTIONS(1663), 3,
      sym__label_name,
      sym__node_or_property,
      sym__property_starts_with_number,
  [30431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(1166), 1,
      sym_string_literal,
    ACTIONS(1667), 2,
      sym_system_lib_string,
      sym_identifier,
  [30445] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DQUOTE,
    ACTIONS(1671), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1673), 1,
      sym_escape_sequence,
    STATE(776), 1,
      aux_sym_string_literal_repeat1,
  [30461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(1201), 1,
      sym_string_literal,
    ACTIONS(1675), 2,
      sym_system_lib_string,
      sym_identifier,
  [30475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 1,
      anon_sym_SEMI,
    ACTIONS(1679), 1,
      anon_sym_AT,
    ACTIONS(1681), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      anon_sym_EQ,
  [30491] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1685), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1687), 1,
      sym_preproc_arg,
    STATE(901), 1,
      sym_preproc_params,
  [30507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 1,
      sym__property_with_hash,
    ACTIONS(1689), 3,
      sym__label_name,
      sym__node_or_property,
      sym__property_starts_with_number,
  [30519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(1137), 1,
      sym_string_literal,
    ACTIONS(1693), 2,
      sym_system_lib_string,
      sym_identifier,
  [30533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1697), 1,
      sym__property_with_hash,
    ACTIONS(1695), 3,
      sym__label_name,
      sym__node_or_property,
      sym__property_starts_with_number,
  [30545] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1609), 1,
      anon_sym_LPAREN2,
    ACTIONS(1699), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1701), 1,
      sym_preproc_arg,
    STATE(888), 1,
      sym_preproc_params,
  [30561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 1,
      anon_sym_DQUOTE,
    STATE(973), 1,
      sym_string_literal,
    ACTIONS(1703), 2,
      sym_system_lib_string,
      sym_identifier,
  [30575] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1705), 1,
      anon_sym_DQUOTE,
    ACTIONS(1707), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1709), 1,
      sym_escape_sequence,
    STATE(774), 1,
      aux_sym_string_literal_repeat1,
  [30591] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1659), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1661), 1,
      sym_escape_sequence,
    ACTIONS(1711), 1,
      anon_sym_DQUOTE,
    STATE(753), 1,
      aux_sym_string_literal_repeat1,
  [30607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1577), 1,
      anon_sym_AT,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
    ACTIONS(1581), 1,
      anon_sym_EQ,
  [30623] = 5,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1659), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1661), 1,
      sym_escape_sequence,
    ACTIONS(1713), 1,
      anon_sym_DQUOTE,
    STATE(753), 1,
      aux_sym_string_literal_repeat1,
  [30639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_SEMI,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    STATE(805), 1,
      aux_sym_property_repeat1,
  [30652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1719), 1,
      anon_sym_SEMI,
    STATE(784), 1,
      aux_sym_property_repeat1,
  [30665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1721), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30678] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_SEMI,
    STATE(785), 1,
      aux_sym_property_repeat1,
  [30691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1725), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1727), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1729), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1731), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1733), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1735), 1,
      anon_sym_SEMI,
    STATE(832), 1,
      aux_sym_property_repeat1,
  [30769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1737), 1,
      anon_sym_SEMI,
    STATE(791), 1,
      aux_sym_property_repeat1,
  [30782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1739), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1741), 1,
      anon_sym_SEMI,
    STATE(867), 1,
      aux_sym_property_repeat1,
  [30808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_SEMI,
    STATE(796), 1,
      aux_sym_property_repeat1,
  [30821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1745), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1747), 1,
      anon_sym_SEMI,
    STATE(798), 1,
      aux_sym_property_repeat1,
  [30847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1749), 1,
      anon_sym_SEMI,
    STATE(800), 1,
      aux_sym_property_repeat1,
  [30860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1751), 1,
      anon_sym_SEMI,
    STATE(802), 1,
      aux_sym_property_repeat1,
  [30873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1753), 1,
      anon_sym_SEMI,
    STATE(804), 1,
      aux_sym_property_repeat1,
  [30886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1755), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1757), 1,
      anon_sym_SEMI,
    STATE(871), 1,
      aux_sym_property_repeat1,
  [30912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1759), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30925] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1761), 1,
      anon_sym_SEMI,
    STATE(806), 1,
      aux_sym_property_repeat1,
  [30938] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1763), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1765), 1,
      anon_sym_SEMI,
    STATE(807), 1,
      aux_sym_property_repeat1,
  [30964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1767), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [30977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1769), 1,
      anon_sym_SEMI,
    STATE(808), 1,
      aux_sym_property_repeat1,
  [30990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1771), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31003] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1773), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1775), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31029] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1777), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1779), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1781), 1,
      anon_sym_RBRACK,
    ACTIONS(1783), 1,
      sym__byte_string_item,
    STATE(813), 1,
      aux_sym_byte_string_literal_repeat1,
  [31068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1785), 3,
      sym__label_name,
      sym__node_path,
      sym__node_or_property,
  [31077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_SEMI,
    STATE(880), 1,
      aux_sym_property_repeat1,
  [31090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1789), 1,
      anon_sym_SEMI,
    STATE(788), 1,
      aux_sym_property_repeat1,
  [31103] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1791), 1,
      anon_sym_RBRACK,
    ACTIONS(1793), 1,
      sym__byte_string_item,
    STATE(813), 1,
      aux_sym_byte_string_literal_repeat1,
  [31116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1796), 1,
      anon_sym_COMMA,
    ACTIONS(1799), 1,
      anon_sym_RPAREN,
    STATE(814), 1,
      aux_sym_preproc_params_repeat1,
  [31129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_SEMI,
    STATE(822), 1,
      aux_sym_property_repeat1,
  [31142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1803), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_SEMI,
    ACTIONS(1807), 1,
      anon_sym_COMMA,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1810), 1,
      anon_sym_SEMI,
    STATE(816), 1,
      aux_sym_property_repeat1,
  [31181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(1814), 1,
      anon_sym_AT,
    ACTIONS(1816), 1,
      anon_sym_LBRACE,
  [31194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(1818), 1,
      anon_sym_RPAREN,
    STATE(825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [31207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1820), 1,
      anon_sym_SEMI,
    STATE(836), 1,
      aux_sym_property_repeat1,
  [31220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1822), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_AT,
    ACTIONS(1539), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_AT,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 1,
      anon_sym_RPAREN,
    ACTIONS(1826), 1,
      anon_sym_COMMA,
    STATE(825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [31272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1829), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1831), 1,
      anon_sym_SEMI,
    STATE(838), 1,
      aux_sym_property_repeat1,
  [31298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1833), 1,
      anon_sym_SEMI,
    STATE(840), 1,
      aux_sym_property_repeat1,
  [31311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1835), 1,
      anon_sym_SEMI,
    STATE(844), 1,
      aux_sym_property_repeat1,
  [31324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1837), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1839), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1841), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1843), 1,
      anon_sym_SEMI,
    STATE(847), 1,
      aux_sym_property_repeat1,
  [31376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_COLON,
    ACTIONS(1845), 1,
      anon_sym_AT,
    ACTIONS(1847), 1,
      anon_sym_LBRACE,
  [31389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_COLON,
    ACTIONS(1849), 1,
      anon_sym_AT,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
  [31402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1853), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1855), 1,
      anon_sym_SEMI,
    STATE(849), 1,
      aux_sym_property_repeat1,
  [31428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1857), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1859), 1,
      anon_sym_SEMI,
    STATE(850), 1,
      aux_sym_property_repeat1,
  [31454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1861), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_RBRACK,
    ACTIONS(1865), 1,
      sym__byte_string_item,
    STATE(809), 1,
      aux_sym_byte_string_literal_repeat1,
  [31480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1867), 1,
      anon_sym_SEMI,
    STATE(856), 1,
      aux_sym_property_repeat1,
  [31493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1869), 1,
      anon_sym_SEMI,
    STATE(853), 1,
      aux_sym_property_repeat1,
  [31506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1871), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1873), 1,
      anon_sym_SEMI,
    STATE(854), 1,
      aux_sym_property_repeat1,
  [31532] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(881), 1,
      anon_sym_COMMA,
    ACTIONS(1875), 1,
      anon_sym_RPAREN,
    STATE(855), 1,
      aux_sym_argument_list_repeat1,
  [31545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1877), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1879), 1,
      anon_sym_RPAREN,
    ACTIONS(1881), 2,
      sym_identifier,
      anon_sym_DOT_DOT_DOT,
  [31569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1883), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1885), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31595] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_AT,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_AT,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1887), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31634] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1889), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      anon_sym_RPAREN,
    ACTIONS(1891), 1,
      anon_sym_COMMA,
    STATE(855), 1,
      aux_sym_argument_list_repeat1,
  [31660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1894), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_COMMA,
    ACTIONS(1898), 1,
      anon_sym_RPAREN,
    STATE(862), 1,
      aux_sym_preproc_params_repeat1,
  [31686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_COLON,
    ACTIONS(1900), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
  [31699] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AT,
    ACTIONS(1563), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_AT,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_AT,
    ACTIONS(1816), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1896), 1,
      anon_sym_COMMA,
    ACTIONS(1904), 1,
      anon_sym_RPAREN,
    STATE(814), 1,
      aux_sym_preproc_params_repeat1,
  [31751] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 1,
      anon_sym_COMMA,
    ACTIONS(1906), 1,
      anon_sym_RPAREN,
    STATE(825), 1,
      aux_sym_preproc_argument_list_repeat1,
  [31764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1908), 1,
      anon_sym_SEMI,
    STATE(826), 1,
      aux_sym_property_repeat1,
  [31777] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1910), 1,
      anon_sym_SEMI,
    STATE(870), 1,
      aux_sym_property_repeat1,
  [31790] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(1900), 1,
      anon_sym_AT,
    ACTIONS(1902), 1,
      anon_sym_LBRACE,
  [31803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1912), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1914), 1,
      anon_sym_SEMI,
    STATE(830), 1,
      aux_sym_property_repeat1,
  [31829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1916), 1,
      anon_sym_SEMI,
    STATE(882), 1,
      aux_sym_property_repeat1,
  [31842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1918), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1920), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1922), 1,
      anon_sym_SEMI,
    STATE(884), 1,
      aux_sym_property_repeat1,
  [31881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 1,
      anon_sym_AT,
    ACTIONS(1587), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_AT,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [31907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(1849), 1,
      anon_sym_AT,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
  [31920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1924), 1,
      anon_sym_SEMI,
    STATE(831), 1,
      aux_sym_property_repeat1,
  [31933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1926), 1,
      anon_sym_SEMI,
    STATE(886), 1,
      aux_sym_property_repeat1,
  [31946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_COLON,
    ACTIONS(1845), 1,
      anon_sym_AT,
    ACTIONS(1847), 1,
      anon_sym_LBRACE,
  [31959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1928), 1,
      anon_sym_SEMI,
    STATE(779), 1,
      aux_sym_property_repeat1,
  [31972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1930), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [31985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1932), 1,
      anon_sym_SEMI,
    STATE(781), 1,
      aux_sym_property_repeat1,
  [31998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1934), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [32011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1936), 1,
      anon_sym_SEMI,
    STATE(782), 1,
      aux_sym_property_repeat1,
  [32024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1938), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [32037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1940), 1,
      anon_sym_SEMI,
    STATE(783), 1,
      aux_sym_property_repeat1,
  [32050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      anon_sym_COMMA,
    ACTIONS(1942), 1,
      anon_sym_SEMI,
    STATE(817), 1,
      aux_sym_property_repeat1,
  [32063] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1944), 2,
      aux_sym_preproc_include_token2,
      sym_preproc_arg,
  [32071] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1946), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1948), 1,
      sym_preproc_arg,
  [32081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    STATE(897), 1,
      sym_string_literal,
  [32091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1950), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1952), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
    ACTIONS(1954), 1,
      anon_sym_SEMI,
  [32117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 1,
      anon_sym_SEMI,
    ACTIONS(1958), 1,
      anon_sym_AT,
  [32127] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1960), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1962), 1,
      sym_preproc_arg,
  [32137] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1964), 2,
      aux_sym_preproc_include_token2,
      sym_preproc_arg,
  [32145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1966), 1,
      anon_sym_SEMI,
    ACTIONS(1968), 1,
      anon_sym_EQ,
  [32155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_COMMA,
    ACTIONS(1972), 1,
      anon_sym_RPAREN,
  [32165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 1,
      anon_sym_SEMI,
    ACTIONS(1557), 1,
      anon_sym_EQ,
  [32175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1974), 1,
      anon_sym_SEMI,
  [32185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1976), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32193] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1978), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1980), 1,
      sym_preproc_arg,
  [32203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1982), 2,
      sym_identifier,
      anon_sym_DOT_DOT_DOT,
  [32211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
    ACTIONS(1986), 1,
      anon_sym_AT,
  [32221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
    ACTIONS(1988), 1,
      anon_sym_SEMI,
  [32231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_DQUOTE,
    STATE(176), 1,
      sym_string_literal,
  [32241] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1990), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(1992), 1,
      sym_preproc_arg,
  [32251] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(1994), 2,
      aux_sym_preproc_include_token2,
      sym_preproc_arg,
  [32259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_SEMI,
    ACTIONS(1549), 1,
      anon_sym_EQ,
  [32269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1996), 1,
      anon_sym_AT,
    ACTIONS(1998), 1,
      anon_sym_RBRACE,
  [32279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2000), 1,
      anon_sym_SEMI,
    ACTIONS(2002), 1,
      anon_sym_EQ,
  [32289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_SEMI,
    ACTIONS(2006), 1,
      anon_sym_EQ,
  [32299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
    ACTIONS(2008), 1,
      anon_sym_SEMI,
  [32309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2010), 1,
      anon_sym_SEMI,
    ACTIONS(2012), 1,
      anon_sym_EQ,
  [32319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_SEMI,
    ACTIONS(2016), 1,
      anon_sym_AT,
  [32329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_LPAREN,
    ACTIONS(2020), 1,
      sym_identifier,
  [32339] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2022), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(2024), 1,
      sym_preproc_arg,
  [32349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2026), 1,
      anon_sym_AT,
    ACTIONS(2028), 1,
      anon_sym_LBRACE,
  [32359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2030), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2032), 1,
      anon_sym_AT,
    ACTIONS(2034), 1,
      anon_sym_LBRACE,
  [32377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [32393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1575), 1,
      anon_sym_SEMI,
    ACTIONS(1581), 1,
      anon_sym_EQ,
  [32403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1567), 1,
      anon_sym_SEMI,
    ACTIONS(1573), 1,
      anon_sym_EQ,
  [32413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_SEMI,
    ACTIONS(2040), 1,
      anon_sym_EQ,
  [32423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2042), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2044), 1,
      anon_sym_SEMI,
    ACTIONS(2046), 1,
      anon_sym_EQ,
  [32441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_AT,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
  [32451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2048), 1,
      anon_sym_SEMI,
    ACTIONS(2050), 1,
      anon_sym_EQ,
  [32461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
    ACTIONS(2052), 1,
      anon_sym_SEMI,
  [32471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
    ACTIONS(2056), 1,
      anon_sym_AT,
  [32481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2058), 1,
      anon_sym_AT,
    ACTIONS(2060), 1,
      anon_sym_LBRACE,
  [32491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_AT,
    ACTIONS(1603), 1,
      anon_sym_LBRACE,
  [32501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2062), 1,
      anon_sym_DQUOTE,
    STATE(306), 1,
      sym_string_literal,
  [32511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_AT,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
  [32521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [32529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 1,
      anon_sym_AT,
    ACTIONS(2066), 1,
      anon_sym_LBRACE,
  [32539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym_AT,
    ACTIONS(2070), 1,
      anon_sym_LBRACE,
  [32549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2072), 1,
      anon_sym_LPAREN,
    ACTIONS(2074), 1,
      sym_identifier,
  [32559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 1,
      anon_sym_AT,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
  [32569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_SEMI,
    ACTIONS(2078), 1,
      anon_sym_AT,
  [32579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2080), 1,
      anon_sym_AT,
    ACTIONS(2082), 1,
      anon_sym_LBRACE,
  [32589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_AT,
    ACTIONS(1681), 1,
      anon_sym_LBRACE,
  [32599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LBRACE,
    ACTIONS(2084), 1,
      anon_sym_SEMI,
  [32609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1553), 1,
      anon_sym_AT,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
  [32619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1814), 1,
      anon_sym_AT,
    ACTIONS(1816), 1,
      anon_sym_LBRACE,
  [32629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_AT,
    ACTIONS(2088), 1,
      anon_sym_LBRACE,
  [32639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1639), 1,
      anon_sym_AT,
    ACTIONS(1641), 1,
      anon_sym_LBRACE,
  [32649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      anon_sym_AT,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
  [32659] = 3,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2090), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(2092), 1,
      sym_preproc_arg,
  [32669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2094), 1,
      anon_sym_AT,
    ACTIONS(2096), 1,
      anon_sym_LBRACE,
  [32679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      anon_sym_AT,
    ACTIONS(1595), 1,
      anon_sym_LBRACE,
  [32689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_SEMI,
    ACTIONS(2100), 1,
      anon_sym_AT,
  [32699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_SEMI,
    ACTIONS(2104), 1,
      anon_sym_EQ,
  [32709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2106), 1,
      anon_sym_SEMI,
  [32716] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2108), 1,
      aux_sym_preproc_include_token2,
  [32723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2110), 1,
      aux_sym_preproc_if_token2,
  [32730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_SEMI,
  [32737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2114), 1,
      sym_unit_address,
  [32744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 1,
      sym_unit_address,
  [32751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1956), 1,
      anon_sym_SEMI,
  [32758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2118), 1,
      aux_sym_preproc_if_token2,
  [32765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2120), 1,
      anon_sym_SEMI,
  [32772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_SEMI,
  [32779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2124), 1,
      anon_sym_SEMI,
  [32786] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2126), 1,
      aux_sym_preproc_include_token2,
  [32793] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2128), 1,
      aux_sym_preproc_include_token2,
  [32800] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2130), 1,
      aux_sym_preproc_include_token2,
  [32807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2132), 1,
      aux_sym_preproc_if_token2,
  [32814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_SEMI,
  [32821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      aux_sym_preproc_if_token2,
  [32828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2138), 1,
      anon_sym_SEMI,
  [32835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_SEMI,
  [32842] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2140), 1,
      aux_sym_preproc_include_token2,
  [32849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2142), 1,
      anon_sym_SEMI,
  [32856] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2144), 1,
      aux_sym_preproc_include_token2,
  [32863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2146), 1,
      anon_sym_SEMI,
  [32870] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2148), 1,
      aux_sym_preproc_include_token2,
  [32877] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2150), 1,
      aux_sym_preproc_include_token2,
  [32884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2152), 1,
      anon_sym_SEMI,
  [32891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2154), 1,
      anon_sym_SEMI,
  [32898] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2156), 1,
      aux_sym_preproc_include_token2,
  [32905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2158), 1,
      anon_sym_SEMI,
  [32912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 1,
      anon_sym_SEMI,
  [32919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 1,
      anon_sym_SEMI,
  [32926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2164), 1,
      anon_sym_SEMI,
  [32933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2166), 1,
      anon_sym_SEMI,
  [32940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_SEMI,
  [32947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_SEMI,
  [32954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_SEMI,
  [32961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_SEMI,
  [32968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2176), 1,
      anon_sym_SEMI,
  [32975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_SEMI,
  [32982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2180), 1,
      anon_sym_SEMI,
  [32989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_SEMI,
  [32996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_SEMI,
  [33003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_SEMI,
  [33010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 1,
      anon_sym_SEMI,
  [33017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      aux_sym_preproc_if_token2,
  [33024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      anon_sym_SEMI,
  [33031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2194), 1,
      anon_sym_SEMI,
  [33038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2014), 1,
      anon_sym_SEMI,
  [33045] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2196), 1,
      aux_sym_preproc_include_token2,
  [33052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 1,
      sym_integer_literal,
  [33059] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2200), 1,
      aux_sym_preproc_include_token2,
  [33066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 1,
      anon_sym_SEMI,
  [33073] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2204), 1,
      aux_sym_preproc_include_token2,
  [33080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2206), 1,
      anon_sym_SEMI,
  [33087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_SEMI,
  [33094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
  [33101] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2212), 1,
      aux_sym_preproc_include_token2,
  [33108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2214), 1,
      anon_sym_SEMI,
  [33115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1824), 1,
      anon_sym_COLON,
  [33122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_SEMI,
  [33129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_SEMI,
  [33136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2220), 1,
      anon_sym_SEMI,
  [33143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2222), 1,
      anon_sym_SEMI,
  [33150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2224), 1,
      anon_sym_SEMI,
  [33157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2226), 1,
      anon_sym_SEMI,
  [33164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_SEMI,
  [33171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_SEMI,
  [33178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_SEMI,
  [33185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2234), 1,
      anon_sym_SEMI,
  [33192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_SEMI,
  [33199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_SEMI,
  [33206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_SEMI,
  [33213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_SEMI,
  [33220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2244), 1,
      anon_sym_SEMI,
  [33227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_SEMI,
  [33234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      sym_identifier,
  [33241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2250), 1,
      sym_identifier,
  [33248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      sym_identifier,
  [33255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      sym_integer_literal,
  [33262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_SEMI,
  [33269] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2258), 1,
      aux_sym_preproc_include_token2,
  [33276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2260), 1,
      anon_sym_SEMI,
  [33283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2262), 1,
      anon_sym_SEMI,
  [33290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2264), 1,
      sym_identifier,
  [33297] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2266), 1,
      aux_sym_preproc_include_token2,
  [33304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_SEMI,
  [33311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2270), 1,
      sym_unit_address,
  [33318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 1,
      sym_identifier,
  [33325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      sym_integer_literal,
  [33332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_SEMI,
  [33339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      anon_sym_SEMI,
  [33346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_SEMI,
  [33353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2282), 1,
      anon_sym_SEMI,
  [33360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 1,
      sym_unit_address,
  [33367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 1,
      anon_sym_RPAREN,
  [33374] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_COLON,
  [33381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      aux_sym_preproc_if_token2,
  [33388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2290), 1,
      aux_sym_preproc_if_token2,
  [33395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2292), 1,
      anon_sym_SEMI,
  [33402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      aux_sym_preproc_if_token2,
  [33409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2296), 1,
      anon_sym_SEMI,
  [33416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2298), 1,
      sym_identifier,
  [33423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2300), 1,
      aux_sym_preproc_if_token2,
  [33430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2302), 1,
      aux_sym_preproc_if_token2,
  [33437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_SEMI,
  [33444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2306), 1,
      anon_sym_LBRACE,
  [33451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 1,
      anon_sym_SEMI,
  [33458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 1,
      anon_sym_SEMI,
  [33465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      anon_sym_SEMI,
  [33472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_SEMI,
  [33479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2316), 1,
      sym_identifier,
  [33486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 1,
      sym_identifier,
  [33493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2320), 1,
      anon_sym_SEMI,
  [33500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_SEMI,
  [33507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2324), 1,
      sym_identifier,
  [33514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_SEMI,
  [33521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_SEMI,
  [33528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      sym_unit_address,
  [33535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2332), 1,
      anon_sym_SEMI,
  [33542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      aux_sym_preproc_if_token2,
  [33549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
  [33556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym_SEMI,
  [33563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_SEMI,
  [33570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      aux_sym_preproc_if_token2,
  [33577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_LBRACE,
  [33584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2346), 1,
      anon_sym_LBRACE,
  [33591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_SEMI,
  [33598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      sym_unit_address,
  [33605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym_SEMI,
  [33612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_SEMI,
  [33619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 1,
      anon_sym_COMMA,
  [33626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_SEMI,
  [33633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 1,
      sym_identifier,
  [33640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      sym_identifier,
  [33647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 1,
      sym_integer_literal,
  [33654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 1,
      anon_sym_RBRACE,
  [33661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_SEMI,
  [33668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 1,
      anon_sym_SEMI,
  [33675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      aux_sym_preproc_if_token2,
  [33682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      sym_identifier,
  [33689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2376), 1,
      sym_identifier,
  [33696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_LPAREN,
  [33703] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2380), 1,
      aux_sym_preproc_include_token2,
  [33710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 1,
      sym_identifier,
  [33717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2384), 1,
      sym_integer_literal,
  [33724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_SEMI,
  [33731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2388), 1,
      sym_unit_address,
  [33738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 1,
      anon_sym_SEMI,
  [33745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2392), 1,
      sym_unit_address,
  [33752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2394), 1,
      anon_sym_SEMI,
  [33759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_SEMI,
  [33766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 1,
      aux_sym_preproc_if_token2,
  [33773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      sym_identifier,
  [33780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1812), 1,
      anon_sym_COLON,
  [33787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      ts_builtin_sym_end,
  [33794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      aux_sym_preproc_if_token2,
  [33801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      aux_sym_preproc_if_token2,
  [33808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2408), 1,
      anon_sym_SEMI,
  [33815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      aux_sym_preproc_if_token2,
  [33822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 1,
      aux_sym_preproc_if_token2,
  [33829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      sym_identifier,
  [33836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2416), 1,
      anon_sym_SEMI,
  [33843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_SEMI,
  [33850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_SEMI,
  [33857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2422), 1,
      anon_sym_SEMI,
  [33864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_SEMI,
  [33871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 1,
      anon_sym_SEMI,
  [33878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2428), 1,
      anon_sym_SEMI,
  [33885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      sym_identifier,
  [33892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2432), 1,
      sym_identifier,
  [33899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2434), 1,
      anon_sym_SEMI,
  [33906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_SEMI,
  [33913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 1,
      sym_unit_address,
  [33920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_RPAREN,
  [33927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1816), 1,
      anon_sym_LBRACE,
  [33934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      anon_sym_SEMI,
  [33941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2444), 1,
      aux_sym_preproc_if_token2,
  [33948] = 2,
    ACTIONS(721), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(979), 1,
      sym_comment,
  [33955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 1,
      aux_sym_preproc_if_token2,
  [33962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2448), 1,
      sym_integer_literal,
  [33969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2450), 1,
      anon_sym_SEMI,
  [33976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      sym_identifier,
  [33983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2054), 1,
      anon_sym_SEMI,
  [33990] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2454), 1,
      aux_sym_preproc_include_token2,
  [33997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 1,
      sym_integer_literal,
  [34004] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2458), 1,
      aux_sym_preproc_include_token2,
  [34011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2460), 1,
      anon_sym_RPAREN,
  [34018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2098), 1,
      anon_sym_SEMI,
  [34025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      aux_sym_preproc_if_token2,
  [34032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_SEMI,
  [34039] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2466), 1,
      aux_sym_preproc_include_token2,
  [34046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_SEMI,
  [34053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      anon_sym_SEMI,
  [34060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      sym_identifier,
  [34067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      sym_identifier,
  [34074] = 2,
    ACTIONS(717), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(979), 1,
      sym_comment,
  [34081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_SEMI,
  [34088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2478), 1,
      sym_unit_address,
  [34095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2076), 1,
      anon_sym_SEMI,
  [34102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 1,
      aux_sym_preproc_if_token2,
  [34109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2482), 1,
      anon_sym_SEMI,
  [34116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 1,
      anon_sym_SEMI,
  [34123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2486), 1,
      anon_sym_SEMI,
  [34130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      anon_sym_SEMI,
  [34137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2490), 1,
      anon_sym_SEMI,
  [34144] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2492), 1,
      aux_sym_preproc_include_token2,
  [34151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2494), 1,
      anon_sym_SEMI,
  [34158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      anon_sym_SEMI,
  [34165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_SEMI,
  [34172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_SEMI,
  [34179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_SEMI,
  [34186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2504), 1,
      anon_sym_LBRACE,
  [34193] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2506), 1,
      aux_sym_preproc_include_token2,
  [34200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_preproc_if_token2,
  [34207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2510), 1,
      aux_sym_preproc_if_token2,
  [34214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2512), 1,
      aux_sym_preproc_if_token2,
  [34221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2514), 1,
      sym_integer_literal,
  [34228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 1,
      anon_sym_SEMI,
  [34235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2518), 1,
      anon_sym_SEMI,
  [34242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      aux_sym_preproc_if_token2,
  [34249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_LBRACE,
  [34256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2522), 1,
      anon_sym_SEMI,
  [34263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2524), 1,
      sym_integer_literal,
  [34270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2526), 1,
      anon_sym_SEMI,
  [34277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_SEMI,
  [34284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2530), 1,
      anon_sym_SEMI,
  [34291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
  [34298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_LBRACE,
  [34305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym_SEMI,
  [34312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2538), 1,
      anon_sym_LBRACE,
  [34319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2540), 1,
      anon_sym_LBRACE,
  [34326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_LBRACE,
  [34333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      anon_sym_SEMI,
  [34340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1851), 1,
      anon_sym_LBRACE,
  [34347] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2546), 1,
      aux_sym_preproc_include_token2,
  [34354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      aux_sym_preproc_if_token2,
  [34361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      aux_sym_preproc_if_token2,
  [34368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_LBRACE,
  [34375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 1,
      anon_sym_LBRACE,
  [34382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      sym__label_name,
  [34389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      anon_sym_LBRACE,
  [34396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LBRACE,
  [34403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LBRACE,
  [34410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      aux_sym_preproc_if_token2,
  [34417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1571), 1,
      anon_sym_LBRACE,
  [34424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_SEMI,
  [34431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_SEMI,
  [34438] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2570), 1,
      aux_sym_preproc_include_token2,
  [34445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LBRACE,
  [34452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
  [34459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_SEMI,
  [34466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_LBRACE,
  [34473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym_LBRACE,
  [34480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LBRACE,
  [34487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      sym_unit_address,
  [34494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
  [34501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_SEMI,
  [34508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_SEMI,
  [34515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_SEMI,
  [34522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
  [34529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_LBRACE,
  [34536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_LBRACE,
  [34543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
  [34550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_LBRACE,
  [34557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_SEMI,
  [34564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1579), 1,
      anon_sym_LBRACE,
  [34571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 1,
      anon_sym_SEMI,
  [34578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_SEMI,
  [34585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      anon_sym_SEMI,
  [34592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_LBRACE,
  [34599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 1,
      anon_sym_LBRACE,
  [34606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_LBRACE,
  [34613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 1,
      anon_sym_LBRACE,
  [34620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 1,
      anon_sym_LBRACE,
  [34627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 1,
      aux_sym_preproc_if_token2,
  [34634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 1,
      sym_unit_address,
  [34641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      sym_unit_address,
  [34648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      sym_unit_address,
  [34655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2628), 1,
      sym_unit_address,
  [34662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 1,
      sym_unit_address,
  [34669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 1,
      sym_unit_address,
  [34676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      sym_unit_address,
  [34683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 1,
      sym_unit_address,
  [34690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      sym_unit_address,
  [34697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      sym_unit_address,
  [34704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      sym_unit_address,
  [34711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      sym_unit_address,
  [34718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      sym_unit_address,
  [34725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      sym_unit_address,
  [34732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      sym_unit_address,
  [34739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 1,
      sym_unit_address,
  [34746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 1,
      sym_unit_address,
  [34753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 1,
      sym_unit_address,
  [34760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      sym_unit_address,
  [34767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      sym_unit_address,
  [34774] = 2,
    ACTIONS(979), 1,
      sym_comment,
    ACTIONS(2662), 1,
      aux_sym_preproc_include_token2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 101,
  [SMALL_STATE(4)] = 202,
  [SMALL_STATE(5)] = 303,
  [SMALL_STATE(6)] = 404,
  [SMALL_STATE(7)] = 497,
  [SMALL_STATE(8)] = 593,
  [SMALL_STATE(9)] = 689,
  [SMALL_STATE(10)] = 785,
  [SMALL_STATE(11)] = 881,
  [SMALL_STATE(12)] = 977,
  [SMALL_STATE(13)] = 1073,
  [SMALL_STATE(14)] = 1169,
  [SMALL_STATE(15)] = 1265,
  [SMALL_STATE(16)] = 1361,
  [SMALL_STATE(17)] = 1457,
  [SMALL_STATE(18)] = 1553,
  [SMALL_STATE(19)] = 1649,
  [SMALL_STATE(20)] = 1745,
  [SMALL_STATE(21)] = 1841,
  [SMALL_STATE(22)] = 1937,
  [SMALL_STATE(23)] = 2033,
  [SMALL_STATE(24)] = 2121,
  [SMALL_STATE(25)] = 2212,
  [SMALL_STATE(26)] = 2303,
  [SMALL_STATE(27)] = 2394,
  [SMALL_STATE(28)] = 2485,
  [SMALL_STATE(29)] = 2576,
  [SMALL_STATE(30)] = 2663,
  [SMALL_STATE(31)] = 2754,
  [SMALL_STATE(32)] = 2845,
  [SMALL_STATE(33)] = 2936,
  [SMALL_STATE(34)] = 3027,
  [SMALL_STATE(35)] = 3118,
  [SMALL_STATE(36)] = 3204,
  [SMALL_STATE(37)] = 3290,
  [SMALL_STATE(38)] = 3376,
  [SMALL_STATE(39)] = 3459,
  [SMALL_STATE(40)] = 3540,
  [SMALL_STATE(41)] = 3621,
  [SMALL_STATE(42)] = 3702,
  [SMALL_STATE(43)] = 3783,
  [SMALL_STATE(44)] = 3864,
  [SMALL_STATE(45)] = 3945,
  [SMALL_STATE(46)] = 4026,
  [SMALL_STATE(47)] = 4107,
  [SMALL_STATE(48)] = 4188,
  [SMALL_STATE(49)] = 4269,
  [SMALL_STATE(50)] = 4350,
  [SMALL_STATE(51)] = 4431,
  [SMALL_STATE(52)] = 4512,
  [SMALL_STATE(53)] = 4593,
  [SMALL_STATE(54)] = 4674,
  [SMALL_STATE(55)] = 4755,
  [SMALL_STATE(56)] = 4836,
  [SMALL_STATE(57)] = 4917,
  [SMALL_STATE(58)] = 4998,
  [SMALL_STATE(59)] = 5079,
  [SMALL_STATE(60)] = 5160,
  [SMALL_STATE(61)] = 5241,
  [SMALL_STATE(62)] = 5322,
  [SMALL_STATE(63)] = 5403,
  [SMALL_STATE(64)] = 5484,
  [SMALL_STATE(65)] = 5565,
  [SMALL_STATE(66)] = 5646,
  [SMALL_STATE(67)] = 5727,
  [SMALL_STATE(68)] = 5808,
  [SMALL_STATE(69)] = 5889,
  [SMALL_STATE(70)] = 5970,
  [SMALL_STATE(71)] = 6051,
  [SMALL_STATE(72)] = 6132,
  [SMALL_STATE(73)] = 6213,
  [SMALL_STATE(74)] = 6294,
  [SMALL_STATE(75)] = 6375,
  [SMALL_STATE(76)] = 6456,
  [SMALL_STATE(77)] = 6537,
  [SMALL_STATE(78)] = 6618,
  [SMALL_STATE(79)] = 6699,
  [SMALL_STATE(80)] = 6780,
  [SMALL_STATE(81)] = 6861,
  [SMALL_STATE(82)] = 6942,
  [SMALL_STATE(83)] = 7023,
  [SMALL_STATE(84)] = 7104,
  [SMALL_STATE(85)] = 7185,
  [SMALL_STATE(86)] = 7266,
  [SMALL_STATE(87)] = 7347,
  [SMALL_STATE(88)] = 7428,
  [SMALL_STATE(89)] = 7509,
  [SMALL_STATE(90)] = 7590,
  [SMALL_STATE(91)] = 7671,
  [SMALL_STATE(92)] = 7752,
  [SMALL_STATE(93)] = 7833,
  [SMALL_STATE(94)] = 7914,
  [SMALL_STATE(95)] = 7995,
  [SMALL_STATE(96)] = 8076,
  [SMALL_STATE(97)] = 8157,
  [SMALL_STATE(98)] = 8238,
  [SMALL_STATE(99)] = 8319,
  [SMALL_STATE(100)] = 8400,
  [SMALL_STATE(101)] = 8481,
  [SMALL_STATE(102)] = 8562,
  [SMALL_STATE(103)] = 8643,
  [SMALL_STATE(104)] = 8724,
  [SMALL_STATE(105)] = 8805,
  [SMALL_STATE(106)] = 8886,
  [SMALL_STATE(107)] = 8967,
  [SMALL_STATE(108)] = 9048,
  [SMALL_STATE(109)] = 9129,
  [SMALL_STATE(110)] = 9210,
  [SMALL_STATE(111)] = 9291,
  [SMALL_STATE(112)] = 9372,
  [SMALL_STATE(113)] = 9453,
  [SMALL_STATE(114)] = 9534,
  [SMALL_STATE(115)] = 9615,
  [SMALL_STATE(116)] = 9696,
  [SMALL_STATE(117)] = 9777,
  [SMALL_STATE(118)] = 9858,
  [SMALL_STATE(119)] = 9939,
  [SMALL_STATE(120)] = 10020,
  [SMALL_STATE(121)] = 10101,
  [SMALL_STATE(122)] = 10182,
  [SMALL_STATE(123)] = 10263,
  [SMALL_STATE(124)] = 10344,
  [SMALL_STATE(125)] = 10425,
  [SMALL_STATE(126)] = 10506,
  [SMALL_STATE(127)] = 10587,
  [SMALL_STATE(128)] = 10668,
  [SMALL_STATE(129)] = 10749,
  [SMALL_STATE(130)] = 10830,
  [SMALL_STATE(131)] = 10911,
  [SMALL_STATE(132)] = 10992,
  [SMALL_STATE(133)] = 11073,
  [SMALL_STATE(134)] = 11154,
  [SMALL_STATE(135)] = 11235,
  [SMALL_STATE(136)] = 11316,
  [SMALL_STATE(137)] = 11397,
  [SMALL_STATE(138)] = 11478,
  [SMALL_STATE(139)] = 11559,
  [SMALL_STATE(140)] = 11640,
  [SMALL_STATE(141)] = 11721,
  [SMALL_STATE(142)] = 11802,
  [SMALL_STATE(143)] = 11883,
  [SMALL_STATE(144)] = 11964,
  [SMALL_STATE(145)] = 12045,
  [SMALL_STATE(146)] = 12126,
  [SMALL_STATE(147)] = 12207,
  [SMALL_STATE(148)] = 12288,
  [SMALL_STATE(149)] = 12369,
  [SMALL_STATE(150)] = 12450,
  [SMALL_STATE(151)] = 12531,
  [SMALL_STATE(152)] = 12565,
  [SMALL_STATE(153)] = 12599,
  [SMALL_STATE(154)] = 12633,
  [SMALL_STATE(155)] = 12667,
  [SMALL_STATE(156)] = 12701,
  [SMALL_STATE(157)] = 12735,
  [SMALL_STATE(158)] = 12771,
  [SMALL_STATE(159)] = 12802,
  [SMALL_STATE(160)] = 12833,
  [SMALL_STATE(161)] = 12864,
  [SMALL_STATE(162)] = 12895,
  [SMALL_STATE(163)] = 12926,
  [SMALL_STATE(164)] = 12957,
  [SMALL_STATE(165)] = 12988,
  [SMALL_STATE(166)] = 13019,
  [SMALL_STATE(167)] = 13050,
  [SMALL_STATE(168)] = 13081,
  [SMALL_STATE(169)] = 13112,
  [SMALL_STATE(170)] = 13143,
  [SMALL_STATE(171)] = 13174,
  [SMALL_STATE(172)] = 13205,
  [SMALL_STATE(173)] = 13236,
  [SMALL_STATE(174)] = 13267,
  [SMALL_STATE(175)] = 13298,
  [SMALL_STATE(176)] = 13329,
  [SMALL_STATE(177)] = 13360,
  [SMALL_STATE(178)] = 13391,
  [SMALL_STATE(179)] = 13422,
  [SMALL_STATE(180)] = 13453,
  [SMALL_STATE(181)] = 13484,
  [SMALL_STATE(182)] = 13515,
  [SMALL_STATE(183)] = 13546,
  [SMALL_STATE(184)] = 13577,
  [SMALL_STATE(185)] = 13608,
  [SMALL_STATE(186)] = 13639,
  [SMALL_STATE(187)] = 13670,
  [SMALL_STATE(188)] = 13701,
  [SMALL_STATE(189)] = 13732,
  [SMALL_STATE(190)] = 13763,
  [SMALL_STATE(191)] = 13794,
  [SMALL_STATE(192)] = 13825,
  [SMALL_STATE(193)] = 13856,
  [SMALL_STATE(194)] = 13887,
  [SMALL_STATE(195)] = 13918,
  [SMALL_STATE(196)] = 13949,
  [SMALL_STATE(197)] = 13980,
  [SMALL_STATE(198)] = 14011,
  [SMALL_STATE(199)] = 14042,
  [SMALL_STATE(200)] = 14086,
  [SMALL_STATE(201)] = 14124,
  [SMALL_STATE(202)] = 14158,
  [SMALL_STATE(203)] = 14188,
  [SMALL_STATE(204)] = 14238,
  [SMALL_STATE(205)] = 14286,
  [SMALL_STATE(206)] = 14334,
  [SMALL_STATE(207)] = 14380,
  [SMALL_STATE(208)] = 14422,
  [SMALL_STATE(209)] = 14458,
  [SMALL_STATE(210)] = 14516,
  [SMALL_STATE(211)] = 14546,
  [SMALL_STATE(212)] = 14600,
  [SMALL_STATE(213)] = 14634,
  [SMALL_STATE(214)] = 14664,
  [SMALL_STATE(215)] = 14693,
  [SMALL_STATE(216)] = 14722,
  [SMALL_STATE(217)] = 14751,
  [SMALL_STATE(218)] = 14780,
  [SMALL_STATE(219)] = 14809,
  [SMALL_STATE(220)] = 14838,
  [SMALL_STATE(221)] = 14867,
  [SMALL_STATE(222)] = 14896,
  [SMALL_STATE(223)] = 14925,
  [SMALL_STATE(224)] = 14980,
  [SMALL_STATE(225)] = 15009,
  [SMALL_STATE(226)] = 15038,
  [SMALL_STATE(227)] = 15067,
  [SMALL_STATE(228)] = 15122,
  [SMALL_STATE(229)] = 15151,
  [SMALL_STATE(230)] = 15180,
  [SMALL_STATE(231)] = 15209,
  [SMALL_STATE(232)] = 15238,
  [SMALL_STATE(233)] = 15267,
  [SMALL_STATE(234)] = 15296,
  [SMALL_STATE(235)] = 15325,
  [SMALL_STATE(236)] = 15354,
  [SMALL_STATE(237)] = 15383,
  [SMALL_STATE(238)] = 15412,
  [SMALL_STATE(239)] = 15441,
  [SMALL_STATE(240)] = 15470,
  [SMALL_STATE(241)] = 15499,
  [SMALL_STATE(242)] = 15528,
  [SMALL_STATE(243)] = 15557,
  [SMALL_STATE(244)] = 15586,
  [SMALL_STATE(245)] = 15615,
  [SMALL_STATE(246)] = 15644,
  [SMALL_STATE(247)] = 15673,
  [SMALL_STATE(248)] = 15702,
  [SMALL_STATE(249)] = 15731,
  [SMALL_STATE(250)] = 15760,
  [SMALL_STATE(251)] = 15789,
  [SMALL_STATE(252)] = 15822,
  [SMALL_STATE(253)] = 15851,
  [SMALL_STATE(254)] = 15880,
  [SMALL_STATE(255)] = 15909,
  [SMALL_STATE(256)] = 15938,
  [SMALL_STATE(257)] = 15967,
  [SMALL_STATE(258)] = 15996,
  [SMALL_STATE(259)] = 16025,
  [SMALL_STATE(260)] = 16054,
  [SMALL_STATE(261)] = 16083,
  [SMALL_STATE(262)] = 16112,
  [SMALL_STATE(263)] = 16141,
  [SMALL_STATE(264)] = 16170,
  [SMALL_STATE(265)] = 16199,
  [SMALL_STATE(266)] = 16228,
  [SMALL_STATE(267)] = 16281,
  [SMALL_STATE(268)] = 16310,
  [SMALL_STATE(269)] = 16339,
  [SMALL_STATE(270)] = 16368,
  [SMALL_STATE(271)] = 16397,
  [SMALL_STATE(272)] = 16426,
  [SMALL_STATE(273)] = 16455,
  [SMALL_STATE(274)] = 16484,
  [SMALL_STATE(275)] = 16513,
  [SMALL_STATE(276)] = 16542,
  [SMALL_STATE(277)] = 16571,
  [SMALL_STATE(278)] = 16600,
  [SMALL_STATE(279)] = 16629,
  [SMALL_STATE(280)] = 16658,
  [SMALL_STATE(281)] = 16687,
  [SMALL_STATE(282)] = 16716,
  [SMALL_STATE(283)] = 16745,
  [SMALL_STATE(284)] = 16774,
  [SMALL_STATE(285)] = 16803,
  [SMALL_STATE(286)] = 16832,
  [SMALL_STATE(287)] = 16861,
  [SMALL_STATE(288)] = 16890,
  [SMALL_STATE(289)] = 16919,
  [SMALL_STATE(290)] = 16948,
  [SMALL_STATE(291)] = 16992,
  [SMALL_STATE(292)] = 17044,
  [SMALL_STATE(293)] = 17072,
  [SMALL_STATE(294)] = 17100,
  [SMALL_STATE(295)] = 17128,
  [SMALL_STATE(296)] = 17156,
  [SMALL_STATE(297)] = 17184,
  [SMALL_STATE(298)] = 17212,
  [SMALL_STATE(299)] = 17240,
  [SMALL_STATE(300)] = 17268,
  [SMALL_STATE(301)] = 17296,
  [SMALL_STATE(302)] = 17324,
  [SMALL_STATE(303)] = 17352,
  [SMALL_STATE(304)] = 17380,
  [SMALL_STATE(305)] = 17408,
  [SMALL_STATE(306)] = 17436,
  [SMALL_STATE(307)] = 17464,
  [SMALL_STATE(308)] = 17492,
  [SMALL_STATE(309)] = 17520,
  [SMALL_STATE(310)] = 17548,
  [SMALL_STATE(311)] = 17576,
  [SMALL_STATE(312)] = 17604,
  [SMALL_STATE(313)] = 17632,
  [SMALL_STATE(314)] = 17660,
  [SMALL_STATE(315)] = 17688,
  [SMALL_STATE(316)] = 17716,
  [SMALL_STATE(317)] = 17744,
  [SMALL_STATE(318)] = 17772,
  [SMALL_STATE(319)] = 17814,
  [SMALL_STATE(320)] = 17850,
  [SMALL_STATE(321)] = 17882,
  [SMALL_STATE(322)] = 17910,
  [SMALL_STATE(323)] = 17958,
  [SMALL_STATE(324)] = 18004,
  [SMALL_STATE(325)] = 18050,
  [SMALL_STATE(326)] = 18078,
  [SMALL_STATE(327)] = 18106,
  [SMALL_STATE(328)] = 18140,
  [SMALL_STATE(329)] = 18168,
  [SMALL_STATE(330)] = 18196,
  [SMALL_STATE(331)] = 18224,
  [SMALL_STATE(332)] = 18252,
  [SMALL_STATE(333)] = 18304,
  [SMALL_STATE(334)] = 18332,
  [SMALL_STATE(335)] = 18360,
  [SMALL_STATE(336)] = 18388,
  [SMALL_STATE(337)] = 18416,
  [SMALL_STATE(338)] = 18444,
  [SMALL_STATE(339)] = 18472,
  [SMALL_STATE(340)] = 18500,
  [SMALL_STATE(341)] = 18528,
  [SMALL_STATE(342)] = 18556,
  [SMALL_STATE(343)] = 18584,
  [SMALL_STATE(344)] = 18612,
  [SMALL_STATE(345)] = 18664,
  [SMALL_STATE(346)] = 18692,
  [SMALL_STATE(347)] = 18720,
  [SMALL_STATE(348)] = 18748,
  [SMALL_STATE(349)] = 18776,
  [SMALL_STATE(350)] = 18804,
  [SMALL_STATE(351)] = 18832,
  [SMALL_STATE(352)] = 18860,
  [SMALL_STATE(353)] = 18910,
  [SMALL_STATE(354)] = 18938,
  [SMALL_STATE(355)] = 18978,
  [SMALL_STATE(356)] = 19005,
  [SMALL_STATE(357)] = 19032,
  [SMALL_STATE(358)] = 19059,
  [SMALL_STATE(359)] = 19086,
  [SMALL_STATE(360)] = 19113,
  [SMALL_STATE(361)] = 19140,
  [SMALL_STATE(362)] = 19167,
  [SMALL_STATE(363)] = 19194,
  [SMALL_STATE(364)] = 19221,
  [SMALL_STATE(365)] = 19248,
  [SMALL_STATE(366)] = 19275,
  [SMALL_STATE(367)] = 19302,
  [SMALL_STATE(368)] = 19329,
  [SMALL_STATE(369)] = 19356,
  [SMALL_STATE(370)] = 19383,
  [SMALL_STATE(371)] = 19410,
  [SMALL_STATE(372)] = 19437,
  [SMALL_STATE(373)] = 19464,
  [SMALL_STATE(374)] = 19491,
  [SMALL_STATE(375)] = 19518,
  [SMALL_STATE(376)] = 19545,
  [SMALL_STATE(377)] = 19572,
  [SMALL_STATE(378)] = 19599,
  [SMALL_STATE(379)] = 19626,
  [SMALL_STATE(380)] = 19653,
  [SMALL_STATE(381)] = 19680,
  [SMALL_STATE(382)] = 19707,
  [SMALL_STATE(383)] = 19734,
  [SMALL_STATE(384)] = 19761,
  [SMALL_STATE(385)] = 19788,
  [SMALL_STATE(386)] = 19815,
  [SMALL_STATE(387)] = 19842,
  [SMALL_STATE(388)] = 19869,
  [SMALL_STATE(389)] = 19896,
  [SMALL_STATE(390)] = 19923,
  [SMALL_STATE(391)] = 19950,
  [SMALL_STATE(392)] = 19977,
  [SMALL_STATE(393)] = 20004,
  [SMALL_STATE(394)] = 20049,
  [SMALL_STATE(395)] = 20092,
  [SMALL_STATE(396)] = 20119,
  [SMALL_STATE(397)] = 20146,
  [SMALL_STATE(398)] = 20187,
  [SMALL_STATE(399)] = 20226,
  [SMALL_STATE(400)] = 20275,
  [SMALL_STATE(401)] = 20310,
  [SMALL_STATE(402)] = 20341,
  [SMALL_STATE(403)] = 20386,
  [SMALL_STATE(404)] = 20413,
  [SMALL_STATE(405)] = 20458,
  [SMALL_STATE(406)] = 20503,
  [SMALL_STATE(407)] = 20548,
  [SMALL_STATE(408)] = 20597,
  [SMALL_STATE(409)] = 20642,
  [SMALL_STATE(410)] = 20669,
  [SMALL_STATE(411)] = 20696,
  [SMALL_STATE(412)] = 20723,
  [SMALL_STATE(413)] = 20750,
  [SMALL_STATE(414)] = 20795,
  [SMALL_STATE(415)] = 20840,
  [SMALL_STATE(416)] = 20867,
  [SMALL_STATE(417)] = 20894,
  [SMALL_STATE(418)] = 20921,
  [SMALL_STATE(419)] = 20966,
  [SMALL_STATE(420)] = 20993,
  [SMALL_STATE(421)] = 21020,
  [SMALL_STATE(422)] = 21047,
  [SMALL_STATE(423)] = 21074,
  [SMALL_STATE(424)] = 21101,
  [SMALL_STATE(425)] = 21128,
  [SMALL_STATE(426)] = 21155,
  [SMALL_STATE(427)] = 21182,
  [SMALL_STATE(428)] = 21209,
  [SMALL_STATE(429)] = 21236,
  [SMALL_STATE(430)] = 21263,
  [SMALL_STATE(431)] = 21290,
  [SMALL_STATE(432)] = 21317,
  [SMALL_STATE(433)] = 21344,
  [SMALL_STATE(434)] = 21371,
  [SMALL_STATE(435)] = 21408,
  [SMALL_STATE(436)] = 21441,
  [SMALL_STATE(437)] = 21470,
  [SMALL_STATE(438)] = 21497,
  [SMALL_STATE(439)] = 21524,
  [SMALL_STATE(440)] = 21551,
  [SMALL_STATE(441)] = 21578,
  [SMALL_STATE(442)] = 21605,
  [SMALL_STATE(443)] = 21632,
  [SMALL_STATE(444)] = 21659,
  [SMALL_STATE(445)] = 21686,
  [SMALL_STATE(446)] = 21713,
  [SMALL_STATE(447)] = 21740,
  [SMALL_STATE(448)] = 21767,
  [SMALL_STATE(449)] = 21794,
  [SMALL_STATE(450)] = 21821,
  [SMALL_STATE(451)] = 21848,
  [SMALL_STATE(452)] = 21875,
  [SMALL_STATE(453)] = 21902,
  [SMALL_STATE(454)] = 21929,
  [SMALL_STATE(455)] = 21956,
  [SMALL_STATE(456)] = 21981,
  [SMALL_STATE(457)] = 22006,
  [SMALL_STATE(458)] = 22031,
  [SMALL_STATE(459)] = 22056,
  [SMALL_STATE(460)] = 22081,
  [SMALL_STATE(461)] = 22106,
  [SMALL_STATE(462)] = 22131,
  [SMALL_STATE(463)] = 22156,
  [SMALL_STATE(464)] = 22181,
  [SMALL_STATE(465)] = 22206,
  [SMALL_STATE(466)] = 22231,
  [SMALL_STATE(467)] = 22256,
  [SMALL_STATE(468)] = 22281,
  [SMALL_STATE(469)] = 22306,
  [SMALL_STATE(470)] = 22331,
  [SMALL_STATE(471)] = 22356,
  [SMALL_STATE(472)] = 22381,
  [SMALL_STATE(473)] = 22426,
  [SMALL_STATE(474)] = 22451,
  [SMALL_STATE(475)] = 22476,
  [SMALL_STATE(476)] = 22501,
  [SMALL_STATE(477)] = 22526,
  [SMALL_STATE(478)] = 22551,
  [SMALL_STATE(479)] = 22576,
  [SMALL_STATE(480)] = 22601,
  [SMALL_STATE(481)] = 22626,
  [SMALL_STATE(482)] = 22651,
  [SMALL_STATE(483)] = 22676,
  [SMALL_STATE(484)] = 22701,
  [SMALL_STATE(485)] = 22726,
  [SMALL_STATE(486)] = 22751,
  [SMALL_STATE(487)] = 22776,
  [SMALL_STATE(488)] = 22801,
  [SMALL_STATE(489)] = 22826,
  [SMALL_STATE(490)] = 22851,
  [SMALL_STATE(491)] = 22876,
  [SMALL_STATE(492)] = 22901,
  [SMALL_STATE(493)] = 22926,
  [SMALL_STATE(494)] = 22951,
  [SMALL_STATE(495)] = 22976,
  [SMALL_STATE(496)] = 23001,
  [SMALL_STATE(497)] = 23026,
  [SMALL_STATE(498)] = 23051,
  [SMALL_STATE(499)] = 23076,
  [SMALL_STATE(500)] = 23101,
  [SMALL_STATE(501)] = 23126,
  [SMALL_STATE(502)] = 23171,
  [SMALL_STATE(503)] = 23196,
  [SMALL_STATE(504)] = 23221,
  [SMALL_STATE(505)] = 23246,
  [SMALL_STATE(506)] = 23271,
  [SMALL_STATE(507)] = 23296,
  [SMALL_STATE(508)] = 23341,
  [SMALL_STATE(509)] = 23386,
  [SMALL_STATE(510)] = 23431,
  [SMALL_STATE(511)] = 23476,
  [SMALL_STATE(512)] = 23501,
  [SMALL_STATE(513)] = 23546,
  [SMALL_STATE(514)] = 23571,
  [SMALL_STATE(515)] = 23596,
  [SMALL_STATE(516)] = 23621,
  [SMALL_STATE(517)] = 23666,
  [SMALL_STATE(518)] = 23711,
  [SMALL_STATE(519)] = 23756,
  [SMALL_STATE(520)] = 23801,
  [SMALL_STATE(521)] = 23826,
  [SMALL_STATE(522)] = 23871,
  [SMALL_STATE(523)] = 23896,
  [SMALL_STATE(524)] = 23921,
  [SMALL_STATE(525)] = 23946,
  [SMALL_STATE(526)] = 23991,
  [SMALL_STATE(527)] = 24036,
  [SMALL_STATE(528)] = 24081,
  [SMALL_STATE(529)] = 24126,
  [SMALL_STATE(530)] = 24151,
  [SMALL_STATE(531)] = 24196,
  [SMALL_STATE(532)] = 24221,
  [SMALL_STATE(533)] = 24246,
  [SMALL_STATE(534)] = 24271,
  [SMALL_STATE(535)] = 24296,
  [SMALL_STATE(536)] = 24321,
  [SMALL_STATE(537)] = 24346,
  [SMALL_STATE(538)] = 24371,
  [SMALL_STATE(539)] = 24396,
  [SMALL_STATE(540)] = 24421,
  [SMALL_STATE(541)] = 24446,
  [SMALL_STATE(542)] = 24471,
  [SMALL_STATE(543)] = 24496,
  [SMALL_STATE(544)] = 24521,
  [SMALL_STATE(545)] = 24546,
  [SMALL_STATE(546)] = 24571,
  [SMALL_STATE(547)] = 24596,
  [SMALL_STATE(548)] = 24621,
  [SMALL_STATE(549)] = 24646,
  [SMALL_STATE(550)] = 24671,
  [SMALL_STATE(551)] = 24696,
  [SMALL_STATE(552)] = 24721,
  [SMALL_STATE(553)] = 24746,
  [SMALL_STATE(554)] = 24771,
  [SMALL_STATE(555)] = 24796,
  [SMALL_STATE(556)] = 24821,
  [SMALL_STATE(557)] = 24846,
  [SMALL_STATE(558)] = 24871,
  [SMALL_STATE(559)] = 24896,
  [SMALL_STATE(560)] = 24921,
  [SMALL_STATE(561)] = 24946,
  [SMALL_STATE(562)] = 24971,
  [SMALL_STATE(563)] = 24996,
  [SMALL_STATE(564)] = 25021,
  [SMALL_STATE(565)] = 25046,
  [SMALL_STATE(566)] = 25071,
  [SMALL_STATE(567)] = 25096,
  [SMALL_STATE(568)] = 25121,
  [SMALL_STATE(569)] = 25146,
  [SMALL_STATE(570)] = 25171,
  [SMALL_STATE(571)] = 25196,
  [SMALL_STATE(572)] = 25221,
  [SMALL_STATE(573)] = 25246,
  [SMALL_STATE(574)] = 25271,
  [SMALL_STATE(575)] = 25296,
  [SMALL_STATE(576)] = 25321,
  [SMALL_STATE(577)] = 25346,
  [SMALL_STATE(578)] = 25371,
  [SMALL_STATE(579)] = 25396,
  [SMALL_STATE(580)] = 25421,
  [SMALL_STATE(581)] = 25446,
  [SMALL_STATE(582)] = 25471,
  [SMALL_STATE(583)] = 25496,
  [SMALL_STATE(584)] = 25521,
  [SMALL_STATE(585)] = 25546,
  [SMALL_STATE(586)] = 25571,
  [SMALL_STATE(587)] = 25596,
  [SMALL_STATE(588)] = 25621,
  [SMALL_STATE(589)] = 25646,
  [SMALL_STATE(590)] = 25671,
  [SMALL_STATE(591)] = 25696,
  [SMALL_STATE(592)] = 25721,
  [SMALL_STATE(593)] = 25746,
  [SMALL_STATE(594)] = 25771,
  [SMALL_STATE(595)] = 25796,
  [SMALL_STATE(596)] = 25821,
  [SMALL_STATE(597)] = 25866,
  [SMALL_STATE(598)] = 25911,
  [SMALL_STATE(599)] = 25936,
  [SMALL_STATE(600)] = 25961,
  [SMALL_STATE(601)] = 25986,
  [SMALL_STATE(602)] = 26011,
  [SMALL_STATE(603)] = 26036,
  [SMALL_STATE(604)] = 26061,
  [SMALL_STATE(605)] = 26086,
  [SMALL_STATE(606)] = 26111,
  [SMALL_STATE(607)] = 26136,
  [SMALL_STATE(608)] = 26161,
  [SMALL_STATE(609)] = 26186,
  [SMALL_STATE(610)] = 26211,
  [SMALL_STATE(611)] = 26236,
  [SMALL_STATE(612)] = 26261,
  [SMALL_STATE(613)] = 26306,
  [SMALL_STATE(614)] = 26331,
  [SMALL_STATE(615)] = 26356,
  [SMALL_STATE(616)] = 26381,
  [SMALL_STATE(617)] = 26406,
  [SMALL_STATE(618)] = 26431,
  [SMALL_STATE(619)] = 26456,
  [SMALL_STATE(620)] = 26495,
  [SMALL_STATE(621)] = 26534,
  [SMALL_STATE(622)] = 26573,
  [SMALL_STATE(623)] = 26612,
  [SMALL_STATE(624)] = 26651,
  [SMALL_STATE(625)] = 26690,
  [SMALL_STATE(626)] = 26729,
  [SMALL_STATE(627)] = 26768,
  [SMALL_STATE(628)] = 26807,
  [SMALL_STATE(629)] = 26846,
  [SMALL_STATE(630)] = 26885,
  [SMALL_STATE(631)] = 26924,
  [SMALL_STATE(632)] = 26963,
  [SMALL_STATE(633)] = 27002,
  [SMALL_STATE(634)] = 27041,
  [SMALL_STATE(635)] = 27080,
  [SMALL_STATE(636)] = 27113,
  [SMALL_STATE(637)] = 27152,
  [SMALL_STATE(638)] = 27185,
  [SMALL_STATE(639)] = 27224,
  [SMALL_STATE(640)] = 27263,
  [SMALL_STATE(641)] = 27302,
  [SMALL_STATE(642)] = 27332,
  [SMALL_STATE(643)] = 27362,
  [SMALL_STATE(644)] = 27392,
  [SMALL_STATE(645)] = 27422,
  [SMALL_STATE(646)] = 27458,
  [SMALL_STATE(647)] = 27488,
  [SMALL_STATE(648)] = 27518,
  [SMALL_STATE(649)] = 27548,
  [SMALL_STATE(650)] = 27578,
  [SMALL_STATE(651)] = 27608,
  [SMALL_STATE(652)] = 27638,
  [SMALL_STATE(653)] = 27668,
  [SMALL_STATE(654)] = 27698,
  [SMALL_STATE(655)] = 27728,
  [SMALL_STATE(656)] = 27758,
  [SMALL_STATE(657)] = 27788,
  [SMALL_STATE(658)] = 27818,
  [SMALL_STATE(659)] = 27848,
  [SMALL_STATE(660)] = 27878,
  [SMALL_STATE(661)] = 27908,
  [SMALL_STATE(662)] = 27938,
  [SMALL_STATE(663)] = 27968,
  [SMALL_STATE(664)] = 27998,
  [SMALL_STATE(665)] = 28028,
  [SMALL_STATE(666)] = 28058,
  [SMALL_STATE(667)] = 28088,
  [SMALL_STATE(668)] = 28118,
  [SMALL_STATE(669)] = 28148,
  [SMALL_STATE(670)] = 28178,
  [SMALL_STATE(671)] = 28208,
  [SMALL_STATE(672)] = 28238,
  [SMALL_STATE(673)] = 28268,
  [SMALL_STATE(674)] = 28298,
  [SMALL_STATE(675)] = 28328,
  [SMALL_STATE(676)] = 28357,
  [SMALL_STATE(677)] = 28383,
  [SMALL_STATE(678)] = 28417,
  [SMALL_STATE(679)] = 28451,
  [SMALL_STATE(680)] = 28477,
  [SMALL_STATE(681)] = 28517,
  [SMALL_STATE(682)] = 28543,
  [SMALL_STATE(683)] = 28569,
  [SMALL_STATE(684)] = 28595,
  [SMALL_STATE(685)] = 28621,
  [SMALL_STATE(686)] = 28647,
  [SMALL_STATE(687)] = 28673,
  [SMALL_STATE(688)] = 28699,
  [SMALL_STATE(689)] = 28725,
  [SMALL_STATE(690)] = 28751,
  [SMALL_STATE(691)] = 28791,
  [SMALL_STATE(692)] = 28831,
  [SMALL_STATE(693)] = 28865,
  [SMALL_STATE(694)] = 28891,
  [SMALL_STATE(695)] = 28917,
  [SMALL_STATE(696)] = 28943,
  [SMALL_STATE(697)] = 28969,
  [SMALL_STATE(698)] = 28995,
  [SMALL_STATE(699)] = 29035,
  [SMALL_STATE(700)] = 29070,
  [SMALL_STATE(701)] = 29107,
  [SMALL_STATE(702)] = 29142,
  [SMALL_STATE(703)] = 29177,
  [SMALL_STATE(704)] = 29212,
  [SMALL_STATE(705)] = 29247,
  [SMALL_STATE(706)] = 29282,
  [SMALL_STATE(707)] = 29319,
  [SMALL_STATE(708)] = 29337,
  [SMALL_STATE(709)] = 29367,
  [SMALL_STATE(710)] = 29401,
  [SMALL_STATE(711)] = 29419,
  [SMALL_STATE(712)] = 29437,
  [SMALL_STATE(713)] = 29467,
  [SMALL_STATE(714)] = 29485,
  [SMALL_STATE(715)] = 29519,
  [SMALL_STATE(716)] = 29537,
  [SMALL_STATE(717)] = 29571,
  [SMALL_STATE(718)] = 29605,
  [SMALL_STATE(719)] = 29639,
  [SMALL_STATE(720)] = 29673,
  [SMALL_STATE(721)] = 29696,
  [SMALL_STATE(722)] = 29717,
  [SMALL_STATE(723)] = 29741,
  [SMALL_STATE(724)] = 29765,
  [SMALL_STATE(725)] = 29789,
  [SMALL_STATE(726)] = 29813,
  [SMALL_STATE(727)] = 29837,
  [SMALL_STATE(728)] = 29853,
  [SMALL_STATE(729)] = 29877,
  [SMALL_STATE(730)] = 29899,
  [SMALL_STATE(731)] = 29914,
  [SMALL_STATE(732)] = 29929,
  [SMALL_STATE(733)] = 29950,
  [SMALL_STATE(734)] = 29965,
  [SMALL_STATE(735)] = 29979,
  [SMALL_STATE(736)] = 29993,
  [SMALL_STATE(737)] = 30012,
  [SMALL_STATE(738)] = 30031,
  [SMALL_STATE(739)] = 30050,
  [SMALL_STATE(740)] = 30063,
  [SMALL_STATE(741)] = 30082,
  [SMALL_STATE(742)] = 30095,
  [SMALL_STATE(743)] = 30114,
  [SMALL_STATE(744)] = 30133,
  [SMALL_STATE(745)] = 30152,
  [SMALL_STATE(746)] = 30171,
  [SMALL_STATE(747)] = 30187,
  [SMALL_STATE(748)] = 30203,
  [SMALL_STATE(749)] = 30219,
  [SMALL_STATE(750)] = 30235,
  [SMALL_STATE(751)] = 30251,
  [SMALL_STATE(752)] = 30263,
  [SMALL_STATE(753)] = 30277,
  [SMALL_STATE(754)] = 30293,
  [SMALL_STATE(755)] = 30309,
  [SMALL_STATE(756)] = 30325,
  [SMALL_STATE(757)] = 30341,
  [SMALL_STATE(758)] = 30357,
  [SMALL_STATE(759)] = 30371,
  [SMALL_STATE(760)] = 30387,
  [SMALL_STATE(761)] = 30403,
  [SMALL_STATE(762)] = 30419,
  [SMALL_STATE(763)] = 30431,
  [SMALL_STATE(764)] = 30445,
  [SMALL_STATE(765)] = 30461,
  [SMALL_STATE(766)] = 30475,
  [SMALL_STATE(767)] = 30491,
  [SMALL_STATE(768)] = 30507,
  [SMALL_STATE(769)] = 30519,
  [SMALL_STATE(770)] = 30533,
  [SMALL_STATE(771)] = 30545,
  [SMALL_STATE(772)] = 30561,
  [SMALL_STATE(773)] = 30575,
  [SMALL_STATE(774)] = 30591,
  [SMALL_STATE(775)] = 30607,
  [SMALL_STATE(776)] = 30623,
  [SMALL_STATE(777)] = 30639,
  [SMALL_STATE(778)] = 30652,
  [SMALL_STATE(779)] = 30665,
  [SMALL_STATE(780)] = 30678,
  [SMALL_STATE(781)] = 30691,
  [SMALL_STATE(782)] = 30704,
  [SMALL_STATE(783)] = 30717,
  [SMALL_STATE(784)] = 30730,
  [SMALL_STATE(785)] = 30743,
  [SMALL_STATE(786)] = 30756,
  [SMALL_STATE(787)] = 30769,
  [SMALL_STATE(788)] = 30782,
  [SMALL_STATE(789)] = 30795,
  [SMALL_STATE(790)] = 30808,
  [SMALL_STATE(791)] = 30821,
  [SMALL_STATE(792)] = 30834,
  [SMALL_STATE(793)] = 30847,
  [SMALL_STATE(794)] = 30860,
  [SMALL_STATE(795)] = 30873,
  [SMALL_STATE(796)] = 30886,
  [SMALL_STATE(797)] = 30899,
  [SMALL_STATE(798)] = 30912,
  [SMALL_STATE(799)] = 30925,
  [SMALL_STATE(800)] = 30938,
  [SMALL_STATE(801)] = 30951,
  [SMALL_STATE(802)] = 30964,
  [SMALL_STATE(803)] = 30977,
  [SMALL_STATE(804)] = 30990,
  [SMALL_STATE(805)] = 31003,
  [SMALL_STATE(806)] = 31016,
  [SMALL_STATE(807)] = 31029,
  [SMALL_STATE(808)] = 31042,
  [SMALL_STATE(809)] = 31055,
  [SMALL_STATE(810)] = 31068,
  [SMALL_STATE(811)] = 31077,
  [SMALL_STATE(812)] = 31090,
  [SMALL_STATE(813)] = 31103,
  [SMALL_STATE(814)] = 31116,
  [SMALL_STATE(815)] = 31129,
  [SMALL_STATE(816)] = 31142,
  [SMALL_STATE(817)] = 31155,
  [SMALL_STATE(818)] = 31168,
  [SMALL_STATE(819)] = 31181,
  [SMALL_STATE(820)] = 31194,
  [SMALL_STATE(821)] = 31207,
  [SMALL_STATE(822)] = 31220,
  [SMALL_STATE(823)] = 31233,
  [SMALL_STATE(824)] = 31246,
  [SMALL_STATE(825)] = 31259,
  [SMALL_STATE(826)] = 31272,
  [SMALL_STATE(827)] = 31285,
  [SMALL_STATE(828)] = 31298,
  [SMALL_STATE(829)] = 31311,
  [SMALL_STATE(830)] = 31324,
  [SMALL_STATE(831)] = 31337,
  [SMALL_STATE(832)] = 31350,
  [SMALL_STATE(833)] = 31363,
  [SMALL_STATE(834)] = 31376,
  [SMALL_STATE(835)] = 31389,
  [SMALL_STATE(836)] = 31402,
  [SMALL_STATE(837)] = 31415,
  [SMALL_STATE(838)] = 31428,
  [SMALL_STATE(839)] = 31441,
  [SMALL_STATE(840)] = 31454,
  [SMALL_STATE(841)] = 31467,
  [SMALL_STATE(842)] = 31480,
  [SMALL_STATE(843)] = 31493,
  [SMALL_STATE(844)] = 31506,
  [SMALL_STATE(845)] = 31519,
  [SMALL_STATE(846)] = 31532,
  [SMALL_STATE(847)] = 31545,
  [SMALL_STATE(848)] = 31558,
  [SMALL_STATE(849)] = 31569,
  [SMALL_STATE(850)] = 31582,
  [SMALL_STATE(851)] = 31595,
  [SMALL_STATE(852)] = 31608,
  [SMALL_STATE(853)] = 31621,
  [SMALL_STATE(854)] = 31634,
  [SMALL_STATE(855)] = 31647,
  [SMALL_STATE(856)] = 31660,
  [SMALL_STATE(857)] = 31673,
  [SMALL_STATE(858)] = 31686,
  [SMALL_STATE(859)] = 31699,
  [SMALL_STATE(860)] = 31712,
  [SMALL_STATE(861)] = 31725,
  [SMALL_STATE(862)] = 31738,
  [SMALL_STATE(863)] = 31751,
  [SMALL_STATE(864)] = 31764,
  [SMALL_STATE(865)] = 31777,
  [SMALL_STATE(866)] = 31790,
  [SMALL_STATE(867)] = 31803,
  [SMALL_STATE(868)] = 31816,
  [SMALL_STATE(869)] = 31829,
  [SMALL_STATE(870)] = 31842,
  [SMALL_STATE(871)] = 31855,
  [SMALL_STATE(872)] = 31868,
  [SMALL_STATE(873)] = 31881,
  [SMALL_STATE(874)] = 31894,
  [SMALL_STATE(875)] = 31907,
  [SMALL_STATE(876)] = 31920,
  [SMALL_STATE(877)] = 31933,
  [SMALL_STATE(878)] = 31946,
  [SMALL_STATE(879)] = 31959,
  [SMALL_STATE(880)] = 31972,
  [SMALL_STATE(881)] = 31985,
  [SMALL_STATE(882)] = 31998,
  [SMALL_STATE(883)] = 32011,
  [SMALL_STATE(884)] = 32024,
  [SMALL_STATE(885)] = 32037,
  [SMALL_STATE(886)] = 32050,
  [SMALL_STATE(887)] = 32063,
  [SMALL_STATE(888)] = 32071,
  [SMALL_STATE(889)] = 32081,
  [SMALL_STATE(890)] = 32091,
  [SMALL_STATE(891)] = 32099,
  [SMALL_STATE(892)] = 32107,
  [SMALL_STATE(893)] = 32117,
  [SMALL_STATE(894)] = 32127,
  [SMALL_STATE(895)] = 32137,
  [SMALL_STATE(896)] = 32145,
  [SMALL_STATE(897)] = 32155,
  [SMALL_STATE(898)] = 32165,
  [SMALL_STATE(899)] = 32175,
  [SMALL_STATE(900)] = 32185,
  [SMALL_STATE(901)] = 32193,
  [SMALL_STATE(902)] = 32203,
  [SMALL_STATE(903)] = 32211,
  [SMALL_STATE(904)] = 32221,
  [SMALL_STATE(905)] = 32231,
  [SMALL_STATE(906)] = 32241,
  [SMALL_STATE(907)] = 32251,
  [SMALL_STATE(908)] = 32259,
  [SMALL_STATE(909)] = 32269,
  [SMALL_STATE(910)] = 32279,
  [SMALL_STATE(911)] = 32289,
  [SMALL_STATE(912)] = 32299,
  [SMALL_STATE(913)] = 32309,
  [SMALL_STATE(914)] = 32319,
  [SMALL_STATE(915)] = 32329,
  [SMALL_STATE(916)] = 32339,
  [SMALL_STATE(917)] = 32349,
  [SMALL_STATE(918)] = 32359,
  [SMALL_STATE(919)] = 32367,
  [SMALL_STATE(920)] = 32377,
  [SMALL_STATE(921)] = 32385,
  [SMALL_STATE(922)] = 32393,
  [SMALL_STATE(923)] = 32403,
  [SMALL_STATE(924)] = 32413,
  [SMALL_STATE(925)] = 32423,
  [SMALL_STATE(926)] = 32431,
  [SMALL_STATE(927)] = 32441,
  [SMALL_STATE(928)] = 32451,
  [SMALL_STATE(929)] = 32461,
  [SMALL_STATE(930)] = 32471,
  [SMALL_STATE(931)] = 32481,
  [SMALL_STATE(932)] = 32491,
  [SMALL_STATE(933)] = 32501,
  [SMALL_STATE(934)] = 32511,
  [SMALL_STATE(935)] = 32521,
  [SMALL_STATE(936)] = 32529,
  [SMALL_STATE(937)] = 32539,
  [SMALL_STATE(938)] = 32549,
  [SMALL_STATE(939)] = 32559,
  [SMALL_STATE(940)] = 32569,
  [SMALL_STATE(941)] = 32579,
  [SMALL_STATE(942)] = 32589,
  [SMALL_STATE(943)] = 32599,
  [SMALL_STATE(944)] = 32609,
  [SMALL_STATE(945)] = 32619,
  [SMALL_STATE(946)] = 32629,
  [SMALL_STATE(947)] = 32639,
  [SMALL_STATE(948)] = 32649,
  [SMALL_STATE(949)] = 32659,
  [SMALL_STATE(950)] = 32669,
  [SMALL_STATE(951)] = 32679,
  [SMALL_STATE(952)] = 32689,
  [SMALL_STATE(953)] = 32699,
  [SMALL_STATE(954)] = 32709,
  [SMALL_STATE(955)] = 32716,
  [SMALL_STATE(956)] = 32723,
  [SMALL_STATE(957)] = 32730,
  [SMALL_STATE(958)] = 32737,
  [SMALL_STATE(959)] = 32744,
  [SMALL_STATE(960)] = 32751,
  [SMALL_STATE(961)] = 32758,
  [SMALL_STATE(962)] = 32765,
  [SMALL_STATE(963)] = 32772,
  [SMALL_STATE(964)] = 32779,
  [SMALL_STATE(965)] = 32786,
  [SMALL_STATE(966)] = 32793,
  [SMALL_STATE(967)] = 32800,
  [SMALL_STATE(968)] = 32807,
  [SMALL_STATE(969)] = 32814,
  [SMALL_STATE(970)] = 32821,
  [SMALL_STATE(971)] = 32828,
  [SMALL_STATE(972)] = 32835,
  [SMALL_STATE(973)] = 32842,
  [SMALL_STATE(974)] = 32849,
  [SMALL_STATE(975)] = 32856,
  [SMALL_STATE(976)] = 32863,
  [SMALL_STATE(977)] = 32870,
  [SMALL_STATE(978)] = 32877,
  [SMALL_STATE(979)] = 32884,
  [SMALL_STATE(980)] = 32891,
  [SMALL_STATE(981)] = 32898,
  [SMALL_STATE(982)] = 32905,
  [SMALL_STATE(983)] = 32912,
  [SMALL_STATE(984)] = 32919,
  [SMALL_STATE(985)] = 32926,
  [SMALL_STATE(986)] = 32933,
  [SMALL_STATE(987)] = 32940,
  [SMALL_STATE(988)] = 32947,
  [SMALL_STATE(989)] = 32954,
  [SMALL_STATE(990)] = 32961,
  [SMALL_STATE(991)] = 32968,
  [SMALL_STATE(992)] = 32975,
  [SMALL_STATE(993)] = 32982,
  [SMALL_STATE(994)] = 32989,
  [SMALL_STATE(995)] = 32996,
  [SMALL_STATE(996)] = 33003,
  [SMALL_STATE(997)] = 33010,
  [SMALL_STATE(998)] = 33017,
  [SMALL_STATE(999)] = 33024,
  [SMALL_STATE(1000)] = 33031,
  [SMALL_STATE(1001)] = 33038,
  [SMALL_STATE(1002)] = 33045,
  [SMALL_STATE(1003)] = 33052,
  [SMALL_STATE(1004)] = 33059,
  [SMALL_STATE(1005)] = 33066,
  [SMALL_STATE(1006)] = 33073,
  [SMALL_STATE(1007)] = 33080,
  [SMALL_STATE(1008)] = 33087,
  [SMALL_STATE(1009)] = 33094,
  [SMALL_STATE(1010)] = 33101,
  [SMALL_STATE(1011)] = 33108,
  [SMALL_STATE(1012)] = 33115,
  [SMALL_STATE(1013)] = 33122,
  [SMALL_STATE(1014)] = 33129,
  [SMALL_STATE(1015)] = 33136,
  [SMALL_STATE(1016)] = 33143,
  [SMALL_STATE(1017)] = 33150,
  [SMALL_STATE(1018)] = 33157,
  [SMALL_STATE(1019)] = 33164,
  [SMALL_STATE(1020)] = 33171,
  [SMALL_STATE(1021)] = 33178,
  [SMALL_STATE(1022)] = 33185,
  [SMALL_STATE(1023)] = 33192,
  [SMALL_STATE(1024)] = 33199,
  [SMALL_STATE(1025)] = 33206,
  [SMALL_STATE(1026)] = 33213,
  [SMALL_STATE(1027)] = 33220,
  [SMALL_STATE(1028)] = 33227,
  [SMALL_STATE(1029)] = 33234,
  [SMALL_STATE(1030)] = 33241,
  [SMALL_STATE(1031)] = 33248,
  [SMALL_STATE(1032)] = 33255,
  [SMALL_STATE(1033)] = 33262,
  [SMALL_STATE(1034)] = 33269,
  [SMALL_STATE(1035)] = 33276,
  [SMALL_STATE(1036)] = 33283,
  [SMALL_STATE(1037)] = 33290,
  [SMALL_STATE(1038)] = 33297,
  [SMALL_STATE(1039)] = 33304,
  [SMALL_STATE(1040)] = 33311,
  [SMALL_STATE(1041)] = 33318,
  [SMALL_STATE(1042)] = 33325,
  [SMALL_STATE(1043)] = 33332,
  [SMALL_STATE(1044)] = 33339,
  [SMALL_STATE(1045)] = 33346,
  [SMALL_STATE(1046)] = 33353,
  [SMALL_STATE(1047)] = 33360,
  [SMALL_STATE(1048)] = 33367,
  [SMALL_STATE(1049)] = 33374,
  [SMALL_STATE(1050)] = 33381,
  [SMALL_STATE(1051)] = 33388,
  [SMALL_STATE(1052)] = 33395,
  [SMALL_STATE(1053)] = 33402,
  [SMALL_STATE(1054)] = 33409,
  [SMALL_STATE(1055)] = 33416,
  [SMALL_STATE(1056)] = 33423,
  [SMALL_STATE(1057)] = 33430,
  [SMALL_STATE(1058)] = 33437,
  [SMALL_STATE(1059)] = 33444,
  [SMALL_STATE(1060)] = 33451,
  [SMALL_STATE(1061)] = 33458,
  [SMALL_STATE(1062)] = 33465,
  [SMALL_STATE(1063)] = 33472,
  [SMALL_STATE(1064)] = 33479,
  [SMALL_STATE(1065)] = 33486,
  [SMALL_STATE(1066)] = 33493,
  [SMALL_STATE(1067)] = 33500,
  [SMALL_STATE(1068)] = 33507,
  [SMALL_STATE(1069)] = 33514,
  [SMALL_STATE(1070)] = 33521,
  [SMALL_STATE(1071)] = 33528,
  [SMALL_STATE(1072)] = 33535,
  [SMALL_STATE(1073)] = 33542,
  [SMALL_STATE(1074)] = 33549,
  [SMALL_STATE(1075)] = 33556,
  [SMALL_STATE(1076)] = 33563,
  [SMALL_STATE(1077)] = 33570,
  [SMALL_STATE(1078)] = 33577,
  [SMALL_STATE(1079)] = 33584,
  [SMALL_STATE(1080)] = 33591,
  [SMALL_STATE(1081)] = 33598,
  [SMALL_STATE(1082)] = 33605,
  [SMALL_STATE(1083)] = 33612,
  [SMALL_STATE(1084)] = 33619,
  [SMALL_STATE(1085)] = 33626,
  [SMALL_STATE(1086)] = 33633,
  [SMALL_STATE(1087)] = 33640,
  [SMALL_STATE(1088)] = 33647,
  [SMALL_STATE(1089)] = 33654,
  [SMALL_STATE(1090)] = 33661,
  [SMALL_STATE(1091)] = 33668,
  [SMALL_STATE(1092)] = 33675,
  [SMALL_STATE(1093)] = 33682,
  [SMALL_STATE(1094)] = 33689,
  [SMALL_STATE(1095)] = 33696,
  [SMALL_STATE(1096)] = 33703,
  [SMALL_STATE(1097)] = 33710,
  [SMALL_STATE(1098)] = 33717,
  [SMALL_STATE(1099)] = 33724,
  [SMALL_STATE(1100)] = 33731,
  [SMALL_STATE(1101)] = 33738,
  [SMALL_STATE(1102)] = 33745,
  [SMALL_STATE(1103)] = 33752,
  [SMALL_STATE(1104)] = 33759,
  [SMALL_STATE(1105)] = 33766,
  [SMALL_STATE(1106)] = 33773,
  [SMALL_STATE(1107)] = 33780,
  [SMALL_STATE(1108)] = 33787,
  [SMALL_STATE(1109)] = 33794,
  [SMALL_STATE(1110)] = 33801,
  [SMALL_STATE(1111)] = 33808,
  [SMALL_STATE(1112)] = 33815,
  [SMALL_STATE(1113)] = 33822,
  [SMALL_STATE(1114)] = 33829,
  [SMALL_STATE(1115)] = 33836,
  [SMALL_STATE(1116)] = 33843,
  [SMALL_STATE(1117)] = 33850,
  [SMALL_STATE(1118)] = 33857,
  [SMALL_STATE(1119)] = 33864,
  [SMALL_STATE(1120)] = 33871,
  [SMALL_STATE(1121)] = 33878,
  [SMALL_STATE(1122)] = 33885,
  [SMALL_STATE(1123)] = 33892,
  [SMALL_STATE(1124)] = 33899,
  [SMALL_STATE(1125)] = 33906,
  [SMALL_STATE(1126)] = 33913,
  [SMALL_STATE(1127)] = 33920,
  [SMALL_STATE(1128)] = 33927,
  [SMALL_STATE(1129)] = 33934,
  [SMALL_STATE(1130)] = 33941,
  [SMALL_STATE(1131)] = 33948,
  [SMALL_STATE(1132)] = 33955,
  [SMALL_STATE(1133)] = 33962,
  [SMALL_STATE(1134)] = 33969,
  [SMALL_STATE(1135)] = 33976,
  [SMALL_STATE(1136)] = 33983,
  [SMALL_STATE(1137)] = 33990,
  [SMALL_STATE(1138)] = 33997,
  [SMALL_STATE(1139)] = 34004,
  [SMALL_STATE(1140)] = 34011,
  [SMALL_STATE(1141)] = 34018,
  [SMALL_STATE(1142)] = 34025,
  [SMALL_STATE(1143)] = 34032,
  [SMALL_STATE(1144)] = 34039,
  [SMALL_STATE(1145)] = 34046,
  [SMALL_STATE(1146)] = 34053,
  [SMALL_STATE(1147)] = 34060,
  [SMALL_STATE(1148)] = 34067,
  [SMALL_STATE(1149)] = 34074,
  [SMALL_STATE(1150)] = 34081,
  [SMALL_STATE(1151)] = 34088,
  [SMALL_STATE(1152)] = 34095,
  [SMALL_STATE(1153)] = 34102,
  [SMALL_STATE(1154)] = 34109,
  [SMALL_STATE(1155)] = 34116,
  [SMALL_STATE(1156)] = 34123,
  [SMALL_STATE(1157)] = 34130,
  [SMALL_STATE(1158)] = 34137,
  [SMALL_STATE(1159)] = 34144,
  [SMALL_STATE(1160)] = 34151,
  [SMALL_STATE(1161)] = 34158,
  [SMALL_STATE(1162)] = 34165,
  [SMALL_STATE(1163)] = 34172,
  [SMALL_STATE(1164)] = 34179,
  [SMALL_STATE(1165)] = 34186,
  [SMALL_STATE(1166)] = 34193,
  [SMALL_STATE(1167)] = 34200,
  [SMALL_STATE(1168)] = 34207,
  [SMALL_STATE(1169)] = 34214,
  [SMALL_STATE(1170)] = 34221,
  [SMALL_STATE(1171)] = 34228,
  [SMALL_STATE(1172)] = 34235,
  [SMALL_STATE(1173)] = 34242,
  [SMALL_STATE(1174)] = 34249,
  [SMALL_STATE(1175)] = 34256,
  [SMALL_STATE(1176)] = 34263,
  [SMALL_STATE(1177)] = 34270,
  [SMALL_STATE(1178)] = 34277,
  [SMALL_STATE(1179)] = 34284,
  [SMALL_STATE(1180)] = 34291,
  [SMALL_STATE(1181)] = 34298,
  [SMALL_STATE(1182)] = 34305,
  [SMALL_STATE(1183)] = 34312,
  [SMALL_STATE(1184)] = 34319,
  [SMALL_STATE(1185)] = 34326,
  [SMALL_STATE(1186)] = 34333,
  [SMALL_STATE(1187)] = 34340,
  [SMALL_STATE(1188)] = 34347,
  [SMALL_STATE(1189)] = 34354,
  [SMALL_STATE(1190)] = 34361,
  [SMALL_STATE(1191)] = 34368,
  [SMALL_STATE(1192)] = 34375,
  [SMALL_STATE(1193)] = 34382,
  [SMALL_STATE(1194)] = 34389,
  [SMALL_STATE(1195)] = 34396,
  [SMALL_STATE(1196)] = 34403,
  [SMALL_STATE(1197)] = 34410,
  [SMALL_STATE(1198)] = 34417,
  [SMALL_STATE(1199)] = 34424,
  [SMALL_STATE(1200)] = 34431,
  [SMALL_STATE(1201)] = 34438,
  [SMALL_STATE(1202)] = 34445,
  [SMALL_STATE(1203)] = 34452,
  [SMALL_STATE(1204)] = 34459,
  [SMALL_STATE(1205)] = 34466,
  [SMALL_STATE(1206)] = 34473,
  [SMALL_STATE(1207)] = 34480,
  [SMALL_STATE(1208)] = 34487,
  [SMALL_STATE(1209)] = 34494,
  [SMALL_STATE(1210)] = 34501,
  [SMALL_STATE(1211)] = 34508,
  [SMALL_STATE(1212)] = 34515,
  [SMALL_STATE(1213)] = 34522,
  [SMALL_STATE(1214)] = 34529,
  [SMALL_STATE(1215)] = 34536,
  [SMALL_STATE(1216)] = 34543,
  [SMALL_STATE(1217)] = 34550,
  [SMALL_STATE(1218)] = 34557,
  [SMALL_STATE(1219)] = 34564,
  [SMALL_STATE(1220)] = 34571,
  [SMALL_STATE(1221)] = 34578,
  [SMALL_STATE(1222)] = 34585,
  [SMALL_STATE(1223)] = 34592,
  [SMALL_STATE(1224)] = 34599,
  [SMALL_STATE(1225)] = 34606,
  [SMALL_STATE(1226)] = 34613,
  [SMALL_STATE(1227)] = 34620,
  [SMALL_STATE(1228)] = 34627,
  [SMALL_STATE(1229)] = 34634,
  [SMALL_STATE(1230)] = 34641,
  [SMALL_STATE(1231)] = 34648,
  [SMALL_STATE(1232)] = 34655,
  [SMALL_STATE(1233)] = 34662,
  [SMALL_STATE(1234)] = 34669,
  [SMALL_STATE(1235)] = 34676,
  [SMALL_STATE(1236)] = 34683,
  [SMALL_STATE(1237)] = 34690,
  [SMALL_STATE(1238)] = 34697,
  [SMALL_STATE(1239)] = 34704,
  [SMALL_STATE(1240)] = 34711,
  [SMALL_STATE(1241)] = 34718,
  [SMALL_STATE(1242)] = 34725,
  [SMALL_STATE(1243)] = 34732,
  [SMALL_STATE(1244)] = 34739,
  [SMALL_STATE(1245)] = 34746,
  [SMALL_STATE(1246)] = 34753,
  [SMALL_STATE(1247)] = 34760,
  [SMALL_STATE(1248)] = 34767,
  [SMALL_STATE(1249)] = 34774,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [51] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [53] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1134),
  [56] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1111),
  [59] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1133),
  [62] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(819),
  [65] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(945),
  [68] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [71] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [74] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(704),
  [77] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(724),
  [80] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(905),
  [83] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [86] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1086),
  [89] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1087),
  [92] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [95] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1106),
  [98] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(703),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(760),
  [136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 2, 0, 7),
  [164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 3, 0, 15),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 7),
  [170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 15),
  [172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1125),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1170),
  [197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(875),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(726),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(933),
  [212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(758),
  [215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1064),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1065),
  [221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(670),
  [224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(1031),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_node, 3, 0, 15),
  [257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_node, 4, 0, 15),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(743),
  [266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(760),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(699),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(722),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(768),
  [290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(769),
  [293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1093),
  [296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1094),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(671),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1037),
  [307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else, 1, 0, 0),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else, 2, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 0),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(740),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(944),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(759),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(898),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(701),
  [340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(723),
  [343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(772),
  [349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1122),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1123),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1068),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_node, 1, 0, 0),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_node, 2, 0, 0),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(744),
  [442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(948),
  [445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(775),
  [448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(728),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(770),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(752),
  [463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1147),
  [466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1148),
  [469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1097),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(738),
  [484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(908),
  [493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(702),
  [496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(725),
  [499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(751),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(763),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1029),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1030),
  [511] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(651),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_node_repeat1, 2, 0, 0), SHIFT_REPEAT(1055),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 8),
  [703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 8),
  [705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_memory_reservation, 5, 0, 23),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_memory_reservation, 5, 0, 23),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 5, 0, 17),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 5, 0, 17),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_node, 5, 0, 19),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_node, 5, 0, 19),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_memory_reservation, 4, 0, 10),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_memory_reservation, 4, 0, 10),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 6, 0, 24),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 6, 0, 24),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 4, 0, 11),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 4, 0, 11),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omit_if_no_ref, 2, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_omit_if_no_ref, 2, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, 0, 20),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, 0, 20),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, 0, 12),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, 0, 12),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, 0, 13),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, 0, 13),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, 0, 15),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, 0, 15),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, 0, 27),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, 0, 27),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omit_if_no_ref, 3, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_omit_if_no_ref, 3, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_node, 3, 0, 7),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_node, 3, 0, 7),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 16),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, 0, 7),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, 0, 7),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dtsi_include, 2, 0, 5),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dtsi_include, 2, 0, 5),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 21),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 21),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 6, 0, 17),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 6, 0, 17),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, 0, 15),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, 0, 15),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, 0, 7),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, 0, 7),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 7, 0, 24),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 7, 0, 24),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_undef, 3, 0, 7),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_undef, 3, 0, 7),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, 0, 22),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, 0, 22),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, 0, 7),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, 0, 7),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 7, 0, 32),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 7, 0, 32),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_version, 2, 0, 0),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_version, 2, 0, 0),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 8, 0, 32),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 8, 0, 32),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, 0, 5),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, 0, 5),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_plugin, 2, 0, 0),
  [849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_plugin, 2, 0, 0),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_node, 5, 0, 11),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_node, 5, 0, 11),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 14),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 14),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(686),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 9),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 38),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 3, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 3, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 30),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 30),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_node, 5, 0, 21),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_node, 5, 0, 21),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_node, 5, 0, 15),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_node, 5, 0, 15),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_node, 5, 0, 22),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_node, 5, 0, 22),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 31),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 31),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 34),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 34),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_node, 6, 0, 27),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_node, 6, 0, 27),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 35),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 35),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 6, 0, 36),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 6, 0, 36),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 7, 0, 37),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 7, 0, 37),
  [975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 29),
  [977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 29),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 5, 0, 28),
  [985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 5, 0, 28),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 2, 0, 11),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 2, 0, 11),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 3, 0, 11),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 3, 0, 11),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_property, 3, 0, 7),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_property, 3, 0, 7),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_node, 3, 0, 7),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_node, 3, 0, 7),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 3, 0, 17),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 3, 0, 17),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, 0, 25),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, 0, 25),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, 0, 26),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, 0, 26),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_node, 4, 0, 15),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_node, 4, 0, 15),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_node, 4, 0, 16),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_node, 4, 0, 16),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_node, 4, 0, 7),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_node, 4, 0, 7),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_property, 4, 0, 17),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property, 4, 0, 17),
  [1033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, 0, 14),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, 0, 14),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, 0, 8),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, 0, 8),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, 0, 9),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, 0, 9),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3, 0, 0),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2, 0, 0),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4, 0, 0),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4, 0, 0),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0), SHIFT_REPEAT(1193),
  [1312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0), SHIFT_REPEAT(810),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0), SHIFT_REPEAT(697),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0), SHIFT_REPEAT(677),
  [1323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_integer_cells_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [1370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [1410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [1418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [1434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label_reference, 2, 0, 4),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label_reference, 2, 0, 4),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference, 1, 0, 1),
  [1446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference, 1, 0, 1),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference, 1, 0, 2),
  [1450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference, 1, 0, 2),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node_reference, 5, 0, 18),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node_reference, 5, 0, 18),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__node_reference, 3, 0, 5),
  [1462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__node_reference, 3, 0, 5),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [1474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_memory_reservation_repeat1, 2, 0, 6), SHIFT_REPEAT(1049),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_memory_reservation_repeat1, 2, 0, 6),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_memory_reservation_repeat1, 2, 0, 6),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer_cell_items, 1, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer_cell_items, 1, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer_cell_items, 3, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer_cell_items, 3, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_memory_reservation_repeat1, 2, 0, 6), SHIFT_REPEAT(1107),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_memory_reservation_repeat1, 1, 0, 1),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_memory_reservation_repeat1, 1, 0, 1),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__label, 2, 0, 3),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__label, 2, 0, 3),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_memory_reservation_repeat1, 2, 0, 6), SHIFT_REPEAT(1012),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bits, 2, 0, 0),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bits, 2, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1171),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(753),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_byte_string_literal_repeat1, 2, 0, 0),
  [1793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_byte_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(813),
  [1796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2, 0, 0),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_repeat1, 2, 0, 0),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_repeat1, 2, 0, 0), SHIFT_REPEAT(645),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(693),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4, 0, 0),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_incbin, 4, 0, 33),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_incbin, 8, 0, 39),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2, 0, 0),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_cells, 2, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_cells, 3, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte_string_literal, 2, 0, 0),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_byte_string_literal, 3, 0, 0),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [2052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, 0, 21),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, 0, 22),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_node, 4, 0, 21),
  [2304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2402] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_node, 5, 0, 27),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, 0, 16),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, 0, 27),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_devicetree(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
